2026-07-01  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	* NEWS:
	=== Version 0.7.4 ===

2026-06-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Purisa: Add Stylistic Set 1 lookup.

	* tlwg/Purisa*.sfd:
	  - Add Descenderless/ตัดเชิง StyleSet Name for ss01.
	  - Import GSUB "'ss01' Thai Style Set 1" from Garuda.
	  - Bump font version to 004.005.

2026-06-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Sawasdee: Add Stylistic Set 1 lookup.

	* tlwg/Sawasdee*.sfd:
	  - Add Descenderless/ตัดเชิง StyleSet Name for ss01.
	  - Import GSUB "'ss01' Thai Style Set 1" from Garuda.
	  - Bump font version to 003.006.

2026-06-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypist, TlwgTypewriter: Remove excessive text in StyleSet Name.

	* tlwg/TlwgTypist.sfd, tlwg/TlwgTypewriter.sfd:
	  - Remove excessive text in Thai StyleSet Name.

2026-06-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgMono: Add Stylistic Set 1 lookup.

	* tlwg/TlwgMono*.sfd:
	  - Add Descenderless/ตัดเชิง StyleSet Name for ss01.
	  - Import GSUB "'ss01' Thai Style Set 1" from Garuda.
	  - Bump font version to 002.004.

2026-06-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypewriter: Add Stylistic Set 1 lookup.

	* tlwg/TlwgTypewriter*.sfd:
	  - Add Descenderless/ตัดเชิง StyleSet Name for ss01.
	  - Import GSUB "'ss01' Thai Style Set 1" from Garuda.
	  - Bump font version to 003.004.

2026-06-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypist: Add Stylistic Set 1 lookup.

	* tlwg/TlwgTypist*.sfd:
	  - Add Descenderless/ตัดเชิง StyleSet Name for ss01.
	  - Import GSUB "'ss01' Thai Style Set 1" from Garuda.
	  - Bump font version to 003.005.

2026-06-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypo: Add Stylistic Set 1 lookup.

	* tlwg/TlwgTypo*.sfd:
	  - Add Descenderless/ตัดเชิง StyleSet Name for ss01.
	  - Import GSUB "'ss01' Thai Style Set 1" from Garuda.
	  - Bump font version to 004.005.

2026-06-24  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Umpush: Add Stylistic Set 1 lookup.

	* tlwg/Umpush*.sfd:
	  - Add Descenderless/ตัดเชิง StyleSet Name for ss01.
	  - Import GSUB "'ss01' Thai Style Set 1" from Garuda.
	  - Bump font version to 001.003.

2026-06-23  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Waree: Add Stylistic Set 1 lookup.

	* tlwg/Waree*.sfd:
	  - Add Descenderless/ตัดเชิง StyleSet Name for ss01.
	  - Import GSUB "'ss01' Thai Style Set 1" from Garuda.
	  - Bump font version to 001.003.

2026-06-23  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Laksaman: Add Stylistic Set 1 lookup.

	* sipa/Laksaman*.sfd:
	  - Add Descenderless/ตัดเชิง StyleSet Name for ss01.
	  - Import GSUB "'ss01' Thai Style Set 1" from Garuda.
	  - Bump font version to 004.002.

2026-06-23  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Loma: Add Stylistic Set 1 lookup.

	* nectec/Loma*.sfd:
	  - Add Descenderless/ตัดเชิง StyleSet Name for ss01.
	  - Import GSUB "'ss01' Thai Style Set 1" from Garuda.
	  - Bump font version to 001.003.

2026-06-22  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Norasi: Add Stylistic Set 1 lookup.

	* nf/Norasi*.sfd:
	  - Add Descenderless/ตัดเชิง StyleSet Name for ss01.
	  - Import GSUB "'ss01' Thai Style Set 1" from Garuda.
	  - Bump font version to 006.005.

2026-06-21  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Kinnari: Add Stylistic Set 1 lookup.

	* nf/Kinnari*.sfd:
	  - Add Descenderless/ตัดเชิง StyleSet Name for ss01.
	  - Import GSUB "'ss01' Thai Style Set 1" from Garuda.
	  - Bump font version to 003.003.

2026-06-20  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Garuda: Add Stylistic Set 1 lookup.

	* nf/Garuda*.sfd:
	  - Add StyleSet Name for ss01:
	    - (en_US) Descenderless
	    - (th) ตัดเชิง
	  - Add GSUB "'ss01' Thai Style Set 1", with conversion to
	    descenderless version of YO YING and THO THAN.
	  - Bump font version to 004.003.

2026-06-03  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Norasi: Balance splines.

	* nf/Norasi*.sfd:
	  - Balance cubic splines of Thai glyphs and copy them to
	    quadratic layer.
	  - Re-apply AutoHint, AutoInstr.
	  - Bump font version to 006.004.

2026-04-29  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Kinnari: Balance splines.

	* nf/Kinnari*.sfd:
	  - Balance cubic splines of Thai glyphs and copy them to
	    quadratic layer.
	  - Re-apply AutoHint, AutoInstr.
	  - Bump font version to 003.002.

2026-03-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	LaTeX: Unversion top level directory of CTAN tarball.

	* Makefile.am:
	  - Make unversioned distdir as a symlink and make tarball/zip
	    from the symlink. (Note the -h option for tar to dereference
	    symlinks. For zip, it's always dereferenced.)

2026-03-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	LaTeX: Sync thai-dummy.afm with ENC files.

	* latex/thai-dummy.afm:
	  - Move the mythical left variants of below-base vowels to the
	    slots declared in *.enc.
	  - Update glyhphs 4..15 to what declared in *.enc.
	    The change has been missing since thailatex!

2026-03-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Update example LaTeX documents for ucs 2.3+.

	* latex/examples/digits-axes.tex:
	* latex/examples/digits-cfr.tex:
	* latex/examples/oldnum.tex:
	* latex/examples/testsans.tex:
	* latex/examples/testscaled-120.tex:
	* latex/examples/testscaled-65.tex:
	* latex/examples/teststd.tex:
	  - Load "ucs" package explicitly to make "utf8x" effective,
	    according to the change introduced in ucs 2.3.

2026-03-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Strengthen sorting locale in LaTeX font map.

	* latex/texfont.mk.am:
	  - Set LC_ALL, not just LC_COLLATE, when sorting the map file,
	    to ensure C locale even when LC_ALL is set.

2026-03-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Fix reproducibility issues in Type1 fonts.

	* scripts/gen.mk.am:
	  - When generating AFM and PFB:
	    - Set LC_ALL="C" to ensure decimal point format
	      of ItalicAngle in AFM.
	    - Set USER="Thai Linux Working Group" to ensure Creator in PFB.
	    - Set TZ="GMT" to ensure GMT timestamp in Creation Date
	      in AFM and PFB.

2025-05-16  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Fix "make --shuffle=reverse" failure.

	See Debian #1105308 for similar report on fonts-arundina.

	* latex/texfont.mk.am:
	  - Add %.vf target to vptovf invoking rule, to satisfy the condition
	    in which %.vf target is built before %.tfm.

2021-10-18  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	* NEWS:
	=== Version 0.7.3 ===

2021-08-30  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Apply 'autoupdate' for autoconf 2.71

	* configure.ac:
	  - Parenthesize m4 strings in AC_INIT() parameters with brackets.
	  - Replace deprecated AC_HELP_STRING() with AS_HELP_STRING().
	  - Replace parameterized AC_OUTPUT() with AC_CONFIG_FILES()
	    and parameter-less AC_OUTPUT.
	  - Update AC_PREREQ() from 2.59 to 2.71.

2021-06-22  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	LaTeX: Use 'norasij' family instead of 'norasi-OsF'.

	'norasij' is tried for all of plain, tabular, and proportional
	old style figures when used via fontaxes.sty.
	nfssext-cfr is more complicated. Only plain old style figures
	are supported for now.

	* latex/Makefile.am,
	  latex/lthnorasi-osf.fd -> latex/lthnorasij.fd:
	  - Rename font description file.
	* latex/lthnorasij.fd:
	  - Replace 'norasi-OsF' family declarations with 'norasij'.
	* latex/fonts-tlwg.sty:
	  - Replace 'norasi-OsF' referrals with 'norasij'.
	* latex/examples/Makefile.am,
	  +latex/examples/digits-axes.tex,
	  +latex/examples/digits-cfr.tex:
	  - Add examples for fontaxes & nfssext-cfr usage.

2021-06-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	LaTeX: Add old style figures demonstration doc.

	* latex/examples/Makefile.am, +latex/examples/oldnum.tex:
	  - Add example demonstrating the use of 'norasi-osf' option
	    for using old style figures in the entire document.

2021-06-13  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	LaTeX: Add Norasi old style figures test.

	* latex/examples/teststd.tex:
	  - Add test for Norasi old style figures.

2021-06-12  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	LaTeX/Norasi: Add old style figures support.

	* latex/Makefile.am,
	  +latex/lthtlwg-osf.enc, +latex/lthtlwg-osf-sc.enc,
	  +latex/thailigs-osf.enc, +latex/thailigs-osf-sc.enc:
	  - Add OsF font variant re-encoding, along with small caps versions.
	* latex/texfont.mk.am:
	  - Add rules for creating TFMs and VFs for OsF font variants.
	* latex/Makefile.am, +latex/lthnorasi-osf.fd:
	  - Add "norasi-OsF" font definition, using fontaxes naming convention.
	* latex/lthnorasi.fd:
	  - Update file version to be the same as that of norasi-OsF (v2.0).
	* latex/Makefile.am, +latex/lthnorj.fd, +latex/lthnorx.fd:
	  - Add "norj" and "norx" font definitions, according to Karl Berry's
	    font naming, to support nfssext-cfr.
	  - "norj" is essentially the same as "norasi-OsF" and share TFM
	    and VF files with it. And "norx" is the same as "norasi"
	    in the same manner.
	* nf/Makefile.am:
	  - Add OsF synthetic fonts for Norasi.
	* latex/fonts-tlwg.sty:
	  - Add 'norasi-osf' and 'rmnorasi-osf' options for using
	    old style figures by default.
	  - Update the file version to v2.0.

2021-06-10  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Revert wrong make rules.

	* nectec/Makefile.am:
	* nf/Makefile.am:
	* sipa/Makefile.am:
	* tlwg/Makefile.am:
	  - Revert wrong "common generic rules". It's not shared by the
	    targets. 'make all' happened to pass somehow when I tested it,
	    probably by the help of kpathsea, but 'make install' fails
	    due to the missing symlinks.

2021-06-10  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	LaTeX: Add Norasi small caps test.

	* latex/examples/teststd.tex:
	  - Add test messages for Norasi small caps.

2021-06-10  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Make make rules concise.

	* latex/texfont.mk.am:
	* nectec/Makefile.am:
	* nf/Makefile.am:
	* sipa/Makefile.am:
	* tlwg/Makefile.am:
	  - Use common generic rules for similar targets.

2021-06-10  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	LaTeX/Norasi: Add small caps support.

	* latex/Makefile.am, +latex/lthtlwg-sc.enc, +latex/thailigs-sc.enc:
	  - Add small caps re-encoding version:
	    - Replace lower-case letters with small cap glyphs.
	    - Remove ligatures for ff, fi, fl, ffi, ffl,
	      which are specific to lower-case letters.
	* latex/texfont.mk.am:
	  - Add rules for creating TFMs and VFs for small caps re-encoded
	    fonts, assuming fonts to be synthesized as such are listed
	    in SYNTH_FONTS variable.
	* nf/Makefile.am:
	  - List 'norasi*-sc' in SYNTH_FONTS.
	* latex/lthnorasi.fd:
	  - Add 'sc' shape declarations.

2021-06-06  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Norasi: Unify DOTTED CIRCLE glyph name

	* nf/Norasi-{Bold,BoldItalic,Oblique}.sfd:
	  - Rename 'uni25CC' glyph to 'dottedcircle', to be consistent
	    with other styles in the family.
	* nf/Norasi*.sfd:
	  - Bump font version to 006.003.

2021-06-04  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Norasi: Add 'onum' and 'smcp'

	* nf/Norasi*.sfd:
	  - Add 'onum' and 'smcp' OpenType features.
	  - Bump font version to 006.002.

2021-05-12  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypewriter: Use default PANOSE

	* tlwg/TlwgTypewriter*.sfd:
	  - Clear manual PANOSE to use calculated values.
	    This won't make its proportion Monospaced but other properties
	    such as weight should match those of TlwgMono.
	  - Bump font version to 003.003.

2021-05-12  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypist: Use default PANOSE

	* tlwg/TlwgTypist*.sfd:
	  - Clear manual PANOSE to use calculated values.
	    This won't make its proportion Monospaced but other properties
	    such as weight should match those of TlwgTypo.
	  - Bump font version to 003.004.

2021-05-12  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgMono: Use default PANOSE

	* tlwg/TlwgMono*.sfd:
	  - Clear manual PANOSE to use calculated values.
	    This makes its proportion Monospaced and should make it listed
	    by gvim.
	  - Bump font version to 002.003.

2021-05-12  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypo: Use default PANOSE

	* tlwg/TlwgTypo*.sfd:
	  - Clear manual PANOSE to use calculated values.
	    This makes its proportion Monospaced and should make it listed
	    by gvim.
	  - Bump font version to 004.004.

	Thanks Chaiwat Suttipongsakul (@cwt) for the report via mastodon.in.th.

2021-05-05  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypist: Fix uneven widths of several glyphs in bold faces

	* tlwg/TlwgTypist-Bold*.sfd:
	  - Set widths of several glyphs to 600.
	* tlwg/TlwgTypist*.sfd:
	  - Bump font version to 003.003.

2021-05-05  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypo: Fix uneven widths of two glyphs in bold faces

	* tlwg/TlwgTypo-Bold*.sfd:
	  - Set widths of uni0E09.uline and uni0E17.uline to 600.
	* tlwg/TlwgTypo*.sfd:
	  - Bump font version to 004.003.

2020-05-01  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Sawasdee: Set FSType to installable embedding.

	* tlwg/Sawasdee*.sfd:
	  - Set FSType to "Installable".
	  - Bump font version to 003.005.

2020-05-01  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Purisa: Set FSType to installable embedding.

	* tlwg/Purisa*.sfd:
	  - Set FSType to "Installable".
	  - Bump font version to 004.004.

2020-05-01  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	* NEWS:
	=== Version 0.7.2 ===

2020-04-30  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Bump fontforge min ver

	* configure.ac:
	  - Bump FONTFORGE_MIN_VER to 20190801, for SplineFontDB 3.2 support.

2020-04-30  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Update AUTHORS

	* AUTHORS:
	  - Move contributors in the past into a new section.
	  - Remove their outdated e-mail addresses.

2020-04-28  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Waree: Use OS/2 Typo metrics based on regular face

	* tlwg/Waree*.sfd:
	  - Set OS/2 TypoAscent, TypoDescent, TypoLinegap to the same
	    absolute values as Win*/HHead* counterparts of the regular face.
	  - Turn on UseTypoMetrics flag.
	  - Bump font version to 001.002.

2020-04-28  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Umpush: Use OS/2 Typo metrics based on regular face

	* tlwg/Umpush*.sfd:
	  - Set OS/2 TypoAscent, TypoDescent, TypoLinegap to the same
	    absolute values as Win*/HHead* counterparts of the regular face.
	  - Turn on UseTypoMetrics flag.
	  - Bump font version to 001.002.

2020-04-27  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypo: Use OS/2 Typo metrics based on regular face

	* tlwg/TlwgTypo*.sfd:
	  - Set OS/2 TypoAscent, TypoDescent, TypoLinegap to the same
	    absolute values as Win*/HHead* counterparts of the regular face.
	  - Turn on UseTypoMetrics flag.
	  - Clear LineGap to zero.
	  - [Bold, BoldOblique] Clear TypoLinegap to zero.
	  - Bump font version to 004.002.

2020-04-27  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypist: Use OS/2 Typo metrics based on regular face

	* tlwg/TlwgTypist*.sfd:
	  - Set OS/2 TypoAscent, TypoDescent, TypoLinegap to the same
	    absolute values as Win*/HHead* counterparts of the regular face.
	  - Turn on UseTypoMetrics flag.
	  - Clear LineGap to zero.
	  - [Bold, BoldOblique] Clear TypoLinegap to zero.
	  - Bump font version to 003.002.

2020-04-27  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypewriter: Use OS/2 Typo metrics based on regular face

	* tlwg/TlwgTypewriter*.sfd:
	  - Set OS/2 TypoAscent, TypoDescent, TypoLinegap to the same
	    absolute values as Win*/HHead* counterparts of the regular face.
	  - Turn on UseTypoMetrics flag.
	  - Clear LineGap to zero.
	  - Bump font version to 003.002.

2020-04-27  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgMono: Use OS/2 Typo metrics based on regular face

	* tlwg/TlwgMono*.sfd:
	  - Set OS/2 TypoAscent, TypoDescent, TypoLinegap to the same
	    absolute values as Win*/HHead* counterparts of the regular face.
	  - Turn on UseTypoMetrics flag.
	  - Clear LineGap to zero.
	  - Bump font version to 002.002.

2020-04-27  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Purisa: Re-normalize OS/2 metrics based on regular face

	* tlwg/Purisa-Bold[Oblique].sfd:
	  - Set OS/2 TypoAscent, TypoDescent to the same absolute values
	    as those of regular face.
	* tlwg/Purisa*.sfd:
	  - Clear LineGap to zero.
	  - Bump font version to 004.003.

2020-04-27  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Sawasdee: Re-normalize OS/2 metrics based on regular face

	Let's be more conservative on widening the line gap.

	* tlwg/Sawasdee*.sfd:
	  - Set OS/2 TypoAscent, TypoDescent to the same absolute values
	    as Win* counterparts of the regular face.
	  - Set HheadAscent, HheadDescent to the same absolute values
	    as Typo* counterparts.
	  - Bump font version to 003.004.

2020-04-26  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Sawasdee: Normalize OS/2 metrics based on Win* of bold face

	* tlwg/Sawasdee*.sfd:
	  - Set OS/2 TypoAscent, TypoDescent to the same absolute values
	    as Win* counterparts of the bold face.
	  - Set HheadAscent, HheadDescent to the same absolute values
	    as Typo* counterparts.
	  - Set LineGap and TypoLinegap to zero.
	  - Bump font version to 003.003.

2020-04-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Sawasdee: Use OS/2 Typo metrics

	* tlwg/Sawasdee*.sfd:
	  - Set OS/2 TypoAscent, TypoDescent, TypoLinegap to the same
	    absolute values as HHead* counterparts of the regular face.
	  - Bump font version to 003.002.

2020-04-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Purisa: Use OS/2 Typo metrics

	* tlwg/Purisa*.sfd:
	  - Set OS/2 TypoAscent, TypoDescent, TypoLinegap to the same
	    absolute values as Win*/HHead* counterparts.
	  - Turn on UseTypoMetrics flag.
	  - Bump font version to 004.002.

2020-04-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Loma: Use OS/2 Typo metrics

	* nectec/Loma*.sfd:
	  - Set OS/2 TypoAscent, TypoDescent, TypoLinegap to the same
	    absolute values as Win*/HHead* counterparts.
	  - Turn on UseTypoMetrics flag.
	  - Bump font version to 001.002.

2020-04-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Norasi: Use OS/2 Typo metrics

	* nf/Norasi*.sfd:
	  - Set OS/2 TypoAscent, TypoDescent, TypoLinegap to the same
	    absolute values as Win*/HHead* counterparts.
	  - Turn on UseTypoMetrics flag.
	  - Bump font version to 006.001.

2020-04-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Kinnari: Use OS/2 Typo metrics

	* nf/Kinnari*.sfd:
	  - Set OS/2 TypoAscent, TypoDescent, TypoLinegap to the same
	    absolute values as Win*/HHead* counterparts.
	  - Turn on UseTypoMetrics flag.
	  - Bump font version to 003.001.

2020-04-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Garuda: Use OS/2 Typo metrics

	* nf/Garuda*.sfd:
	  - Set OS/2 TypoAscent, TypoDescent, TypoLinegap to the same
	    absolute values as Win*/HHead* counterparts.
	  - Turn on UseTypoMetrics flag.
	  - Bump font version to 004.002.

2020-04-21  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Garuda: Fine-tune splines in Fore/Quad layers

	* nf/Garuda*.sfd:
	  - Balance cubic splines for optimal converted quadratic.
	  - Copy the balanced cubic splines over to quadratic layer.
	    Add interpolated points as appropriate.
	  - Re-apply AutoHint & AutoInstr.
	  - Use more references (Thai Sara Ae, quotedbl[left,right,base])
	  - Bump font version to 004.001.

2020-01-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Use Python 3 for Python scripts.

	* configure.ac:
	  - Bump minimum Python version in AM_PYTHON_PATH from 2.7 to 3.7.
	  - Drop third arg for AX_PYTHON_MODULE and use the default.
	* scripts/gen.mk.am:
	  - Call Python interpreter explicitly using the PYTHON variable
	    as detected by configure instead of relying on the hard-coded
	    shebang in Python scripts.
	* scripts/gen-ttf.py, scripts/gen-test-ttf.py:
	  - Remove shebang.
	  - chmod -x

2019-12-20  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Use GitHub issue tracker as bug report address.

	* configure.ac:
	  - Replace bug report e-mail address with GitHub issue tracker URL.

2018-11-04  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	LaTeX: Strip version from TDS tarball name in CTAN tarball

	* Makefile.am:
	  - Copy TDS tarball/zip to a version-less name before
	    including it in CTAN tarball.

2018-11-04  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	* NEWS:
	=== Version 0.7.1 ===

2018-11-01  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Add automated font binary tarballs building

	* Makefile.am:
	  - Add 'dist-fonts' target and friends for automatically
	    building OTF, TTF, and WOFF tarballs.
	  - Move Phony targets out of INCLUDE_LATEX condition,
	    to avoid automake warnings about duplicated phonies.

2018-10-29  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Waree: Add TTF Name 'UniqueID' to fix reproducibility issue

	* tlwg/Waree*.sfd:
	  - Add TTF Name 'UniqueID' entry to prevent another timestamp
	    in form of date in UniqueID auto-generated by FontForge.
	  - Bump font version to 001.001

2018-10-29  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Umpush: Add TTF Name 'UniqueID' to fix reproducibility issue

	* tlwg/Umpush*.sfd:
	  - Add TTF Name 'UniqueID' entry to prevent another timestamp
	    in form of date in UniqueID auto-generated by FontForge.
	  - Bump font version to 001.001

2018-10-29  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypo: Add TTF Name 'UniqueID' to fix reproducibility issue

	* tlwg/TlwgTypo*.sfd:
	  - Add TTF Name 'UniqueID' entry to prevent another timestamp
	    in form of date in UniqueID auto-generated by FontForge.
	  - Bump font version to 004.001

2018-10-29  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypist: Add TTF Name 'UniqueID' to fix reproducibility issue

	* tlwg/TlwgTypist*.sfd:
	  - Add TTF Name 'UniqueID' entry to prevent another timestamp
	    in form of date in UniqueID auto-generated by FontForge.
	  - Bump font version to 003.001

2018-10-29  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypewriter: Add TTF Name 'UniqueID' to fix reproducibility issue

	* tlwg/TlwgTypewriter*.sfd:
	  - Add TTF Name 'UniqueID' entry to prevent another timestamp
	    in form of date in UniqueID auto-generated by FontForge.
	  - Bump font version to 003.001

2018-10-29  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgMono: Add TTF Name 'UniqueID' to fix reproducibility issue

	* tlwg/TlwgMono*.sfd:
	  - Add TTF Name 'UniqueID' entry to prevent another timestamp
	    in form of date in UniqueID auto-generated by FontForge.
	  - Bump font version to 002.001

2018-10-29  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Sawasdee: Add TTF Name 'UniqueID' to fix reproducibility issue

	* tlwg/Sawasdee*.sfd:
	  - Add TTF Name 'UniqueID' entry to prevent another timestamp
	    in form of date in UniqueID auto-generated by FontForge.
	  - Bump font version to 003.001

2018-10-29  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Purisa: Add TTF Name 'UniqueID' to fix reproducibility issue

	* tlwg/Purisa*.sfd:
	  - Add TTF Name 'UniqueID' entry to prevent another timestamp
	    in form of date in UniqueID auto-generated by FontForge.
	  - Bump font version to 004.001

2018-10-29  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Laksaman: Add TTF Name 'UniqueID' to fix reproducibility issue

	* sipa/Laksaman*.sfd:
	  - Add TTF Name 'UniqueID' entry to prevent another timestamp
	    in form of date in UniqueID auto-generated by FontForge.
	  - Bump font version to 004.001

2018-10-29  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Loma: Regulate TTF Name UniqueID

	* nectec/Loma-Bold.sfd:
	  - Set TTF Name 'UniqueID' to be consistent with other styles.
	* nectec/Loma*.sfd:
	  - Bump font version to 001.001

2018-10-26  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	* NEWS:
	=== Version 0.7.0 ===

2018-10-26  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Clean WOFF files on 'make clean'

	* scripts/gen.mk.am:
	  - Add '*.woff' to CLEANFILES.

2018-10-26  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Generate OTF by default instead of TTF

	* configure.ac:
	  - Disable TTF generation by default
	  - Enable OTF generation by default

2018-10-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Drop obsolete TODO

	* -TODO: Removed.

2018-10-22  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Test TTF: Generate test TTFs from 'Quad' layer

	* scripts/Makefile.am, +scripts/gen-test-ttf.py:
	  - Rewrite gen-test-ttf.pe in Python
	* configure.ac:
	  - Check for "fontforge" Python module on --enable-testfont option
	* scripts/gen.mk.am:
	  - Replace test TTF generation with Python script

2018-10-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TTF: Generate TTFs from 'Quad' layer

	* scripts/gen-ttf.py:
	  - Fix script to generate TTF in current dir,
	    not in the same dir as SFD
	* configure.ac:
	  - Check for "fontforge" Python module
	* scripts/gen.mk.am:
	  - Replace TTF generation with Python script

2018-10-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Waree: Add Quad layer with quadratic splines

	* tlwg/Waree*.sfd:
	  - Add new quadratic foreground layer 'Quad'.
	  - Copy glyphs from 'Fore' layer to 'Quad' layer.
	  - Apply AutoInstr all over 'Quad' layer.
	  - Change versioning scheme and bump font version
	    from 0.12.8 to 001.000

2018-10-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Umpush: Add Quad layer with quadratic splines

	* tlwg/Umpush*.sfd:
	  - Add new quadratic foreground layer 'Quad'.
	  - Copy glyphs from 'Fore' layer to 'Quad' layer.
	  - Apply AutoInstr all over 'Quad' layer.
	  - Change versioning scheme and bump font version
	    from 0.10.8 to 001.000

2018-10-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypo: Add Quad layer with quadratic splines

	* tlwg/TlwgTypo*.sfd:
	  - Add new quadratic foreground layer 'Quad'.
	  - Copy glyphs from 'Fore' layer to 'Quad' layer.
	  - Apply AutoInstr all over 'Quad' layer.
	  - Bump font version to 004.000

2018-10-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypist: Add Quad layer with quadratic splines

	* tlwg/TlwgTypist*.sfd:
	  - Add new quadratic foreground layer 'Quad'.
	  - Copy glyphs from 'Fore' layer to 'Quad' layer.
	  - Apply AutoInstr all over 'Quad' layer.
	  - Bump font version to 003.000

2018-10-16  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypewriter: Add Quad layer with quadratic splines

	* tlwg/TlwgTypewriter*.sfd:
	  - Add new quadratic foreground layer 'Quad'.
	  - Copy glyphs from 'Fore' layer to 'Quad' layer.
	  - Apply AutoInstr all over 'Quad' layer.
	  - Bump font version to 003.000

2018-10-16  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgMono: Add Quad layer with quadratic splines

	* tlwg/TlwgMono*.sfd:
	  - Add new quadratic foreground layer 'Quad'.
	  - Copy glyphs from 'Fore' layer to 'Quad' layer.
	  - Apply AutoInstr all over 'Quad' layer.
	  - Bump font version to 002.000

2018-10-16  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Sawasdee: Add Quad layer with quadratic splines

	* tlwg/Sawasdee*.sfd:
	  - Add new quadratic foreground layer 'Quad'.
	  - Copy glyphs from 'Fore' layer to 'Quad' layer.
	  - Apply AutoInstr all over 'Quad' layer.
	  - Bump font version to 003.000

2018-10-16  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Purisa: Add Quad layer with quadratic splines

	* tlwg/Purisa*.sfd:
	  - Add new quadratic foreground layer 'Quad'.
	  - Copy glyphs from 'Fore' layer to 'Quad' layer.
	  - Apply AutoInstr all over 'Quad' layer.
	  - Bump font version to 004.000

2018-10-16  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Laksaman: Add Quad layer with quadratic splines

	* sipa/Laksaman*.sfd:
	  - Add new quadratic foreground layer 'Quad'.
	  - Copy glyphs from 'Fore' layer to 'Quad' layer.
	  - Apply AutoInstr all over 'Quad' layer.
	  - Bump font version to 004.000

2018-10-16  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Garuda, Kinnari, Norasi: Bump font major version

	This is to reflect major change in SFD management,
	not for the fonts themselves.

	* nf/Garuda*.sfd:
	  - Bump font version to 004.000
	* nf/Kinnari*.sfd:
	  - Bump font version to 003.000
	* nf/Norasi*.sfd:
	  - Bump font version to 006.000

2018-10-15  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Loma: Add Quad layer with quadratic splines

	* nectec/Loma*.sfd:
	  - Add new quadratic foreground layer 'Quad'.
	  - Copy glyphs from 'Fore' layer to 'Quad' layer.
	  - Apply AutoInstr all over 'Quad' layer.
	  - Change versioning scheme and bump font version
	    from 0.10.9 to 001.000

2018-10-15  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Norasi: Add Quad layer with quadratic splines

	* nf/Norasi*.sfd:
	  - Add new quadratic foreground layer 'Quad'.
	  - Copy glyphs from 'Fore' layer to 'Quad' layer.
	  - Apply AutoInstr all over 'Quad' layer.
	  - Bump font version to 005.011.

2018-10-15  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Kinnari: Add Quad layer with quadratic splines

	* nf/Kinnari*.sfd:
	  - Add new quadratic foreground layer 'Quad'.
	  - Copy glyphs from 'Fore' layer to 'Quad' layer.
	  - Apply AutoInstr all over 'Quad' layer.
	  - Bump font version to 002.009.

2018-09-26  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Add Python script for generating TTF from 'Quad' layer

	* scripts/Makefile.am, +scripts/gen-ttf.py:
	  - Add Python script for generating TTF from 'Quad' layer.

2018-09-21  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Garuda: Add Quad layer with quadratic splines

	* nf/Garuda*.sfd:
	  - Add new quadratic foreground layer 'Quad'.
	  - Copy glyphs from 'Fore' layer to 'Quad' layer.
	  - Apply AutoInstr all over 'Quad' layer.
	  - Bump font version to 003.011.

2018-09-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	OTF, WOFF: Do not strip PUA glyphs

	This is to improve binary reproducibility by avoiding
	modification on the fly.

	The PUA glyphs should not take too much space,
	as they are all references.

	They could not be removed from the font sources, BTW,
	as LaTeX virtual fonts still rely on them.

	* scripts/gen-otf.pe:
	* scripts/gen-test-otf.pe:
	* scripts/gen-woff.pe:
	  - Remove rules for clearing PUA glyphs.

2018-07-26  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	LaTeX: install OpenType fonts for XeTeX

	* latex/texfont.mk.am:
	  - Add rule for building & installing OTF within texmf tree.

	Closes: #6
	https://github.com/tlwg/fonts-tlwg/issues/6
	Thanks Abhabongse Janthong for the suggestion.

2018-07-26  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Update project info

	* README:
	  - Update Fontforge project URL to GitHub.
	  - Use HTTPS in linux.thai.net URLs.

2018-07-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Norasi: Make space + cmb work in all cases

	* nf/Norasi*.sfd:
	  - Add "latn<dflt>" to 'liga' containing space + cmb
	  - Remove undesirable T M -> trademark rule
	  - Bump font version to 005.010.

2018-07-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Remove references to non-existent glyphs in Norasi 'liga'

	* nf/Norasi*.sfd:
	  - Remove references to non-existent glyphs in 'liga' subtables,
	    fixing Fontforge warnings on invalid table.
	  - Bump font version to 005.009.

2018-07-24  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Fix GSUB rule for Phinthu + Macron Below in all fonts

	* */*.sfd (except tlwg/TlwgMono*.sfd):
	  - Fix wrong substitution in
	    "'ccmp' Thai Macron Below Vowel Reordering"
	    which caused Phinthu + Macron Below to appear as double Phinthu.
	  - Bump font versions as needed.

	Thanks @Richard57 for the report and investigation.
	Closes: #7
	https://github.com/tlwg/fonts-tlwg/issues/7

2018-04-24  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	* NEWS:
	=== Version 0.6.5 ===

2018-04-20  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Add missing Latin ligatures to Laksaman

	* sipa/Laksaman*.sfd:
	  - Add missing Latin ligatures "ff", "ffi", "ffl", which caused
	    LaTeX documents to be wrongly typeset.
	  - Bump font version to 003.012

	Thanks Kittipitch Meesawat for the report in a KKLUG meeting.

2018-04-19  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Set TTFWeight for regular-weight fonts to 400.

	* nf/Kinnari-Italic.sfd:
	* nf/Kinnari-Oblique.sfd:
	* nf/Kinnari.sfd:
	* tlwg/TlwgMono.sfd:
	* tlwg/TlwgTypewriter.sfd:
	* tlwg/TlwgTypist-Oblique.sfd:
	* tlwg/TlwgTypist.sfd:
	* tlwg/TlwgTypo-Oblique.sfd:
	* tlwg/TlwgTypo.sfd:
	  - Change TTFWeight from 500 to 400.

	Hopefully closes: #5.
	https://github.com/tlwg/fonts-tlwg/issues/5

2018-03-12  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Bump fontforge min ver to 20170731.

	* configure.ac:
	  - Bump FONTFORGE_MIN_VER to 20170731
	  - Convert fontforge version string from date to comparable number
	    before checking with the min ver.

2018-03-12  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Move fontconfig templates from /etc/fonts to /usr/share/fontconfig

	* fontconfig/Makefile.sm:
	  - Relocate $(fontconfigdir) to $(datadir)/fontconfig/...

2018-02-22  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Remove trailing spaces from files.

	* latex/examples/testscaled-120.tex:
	* latex/examples/testscaled-65.tex:
	* latex/examples/teststd.tex:
	  - Remove trailing spaces.

2018-01-01  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Reformat all sfd files with fontforge 24 Sep 2017 version.

	* */*.sfd:
	  - Apply fontforge with simple Open($1) and Save($1) script.

2017-10-03  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	* NEWS:
	=== Version 0.6.4 ===

2017-10-03  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	* COPYING:
	  - Add copyright & license info for LaTeX stuffs.

2017-09-27  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	LaTeX: include scaling tests in dist tarball.

	* latex/examples/Makefile.am:
	  - Append testscaled-120.tex and testscaled-65.tex to EXAMPLES list

2017-09-27  Abhabongse Janthong <abhabongse@gmail.com>

	LaTeX: Add font scaling option

	* latex/fonts-tlwg.sty:
	  - Require package xkeyval and use \DeclareOptionX instead of
	    \DeclareOption to allow options with value
	  - Also use \ProcessOptionsX instead of \ProcessOptions
	  - Add option 'scale' and define \fontstlwg@scale command from
	    its value
	* latex/lthgaruda.fd:
	* latex/lthkinnari.fd:
	* latex/lthlaksaman.fd:
	* latex/lthloma.fd:
	* latex/lthnorasi.fd:
	* latex/lthpurisa.fd:
	* latex/lthsawasdee.fd:
	* latex/lthttype.fd:
	* latex/lthttypist.fd:
	* latex/lthumpush.fd:
	* latex/lthwaree.fd:
	  - Check if \fontstlwg@scale has been defined and use it
	    as scaling factor in \DeclareFontShape
	* latex/README.latex:
	  - Document the new 'scale' option
	* latex/examples/testscaled-120.tex:
	* latex/examples/testscaled-65.tex:
	  - Add test docs

2017-09-04  Abhabongse Janthong <abhabongse@gmail.com>

	LaTeX: Fix familydefault upon switching between scripts

	* latex/fonts-tlwg.sty:
	  - Also redefine \familydefault in \thaitext and \latintext
	* latex/examples/Makefile.am, +latex/examples/testsans.tex:
	  - Add test doc with \normalfont macro

	https://github.com/tlwg/fonts-tlwg/issues/1

2016-12-15  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Include git-version-gen in tarball

	* Makefile.am:
	  - Add build-aux/git-version-gen to EXTRA_DIST.

2016-07-11  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Use versioning based on Git snapshot.

	* Makefile.am:
	  - Add dist-hook to generate VERSION file on tarball generation.
	* +build-aux/git-version-gen:
	  - Add script to generate version based on 'git describe'
	    if in git tree, or using VERSION file if in release tarball.
	* configure.ac:
	  - Call git-version-gen to get package version.

2016-06-09  Theppitak Karoonboonyanan <theppitak@gmail.com>

	* configure.ac, NEWS:
	=== Version 0.6.3 ===

2016-05-22  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Loma: Narrow down space glyph

	Space (U+0020) took too much space and made words widely separated.

	* nectec/Loma*.sfd:
	  - Narrow down width of SPACE from 1024 to 690.
	  - Bump font version to 0.10.8

2016-05-12  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Promote Loma over Waree as sans-serif.

	Loma's metrics is more optimized for strict point-size-based
	line height so that top tone marks do not get clipped.

	* fontconfig/Makefile.am,
	  fontconfig/64-12-tlwg-loma.conf -> fontconfig/64-10-tlwg-loma.conf:
	  - Rename Loma fontconfig to get higher precedence than Waree.

	Thanks Samphan Raruenrom for the report on a Facebook post,
	and other people for providing useful comments.

2016-05-10  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Drop synthesizations of Tahoma and MS Sans Serif

	There are no actual close relations with the ones we provide.

	Particularly for Tahoma, it caused Waree to get ahead of other
	Thai fonts even though its <prefer> rule is removed,
	as Tahoma gets prepended early in fontconfig's standard file
	60-latin.conf, and Waree gets appended there.

	Alternatively, having Waree appended at the last of the queue
	would effectively render it unused. No point for doing that.

	* fontconfig/Makefile.am,
	  -fontconfig/89-tlwg-loma-synthetic.conf
	  -fontconfig/89-tlwg-waree-synthetic.conf:
	  - Remove synthesizing rules for Loma and Waree.

2016-05-10  Theppitak Karoonboonyanan <theppitak@gmail.com>

	* configure.ac: Post-release version suffix added.

2015-12-30  Theppitak Karoonboonyanan <theppitak@gmail.com>

	* configure.ac, NEWS:
	=== Version 0.6.2 ===

2015-12-23  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Laksaman: Add Apostrophe mod & Minus mod for Patani Malay.

	* sipa/Laksaman*.sfd:
	  - Add U+02BC apostophemod glyph.
	  - Add U+02D7 minusmod glyph.
	  - Bump font version to 003.011.

2015-12-23  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Laksaman: Add Macron below support for Patani Malay.

	* sipa/Laksaman*.sfd:
	  - Add U+0331 macronbelowcmb glyph, with anchors.
	  - Add macronbelowcmb to 'ccmp' descender removal,
	    in the same class as below vowels.
	  - Add ligature glyphs for underlined versions of Ngo Ngu,
	    Yo Ying, No Nu, Mo Ma.
	  - Import "'ccmp' Thai Tone Macron Reordering"
	    and    "'ccmp' Thai Below Vowel Macron Reordering"
	    from Garuda.
	  - Import "'ccmp' Patani Malay Ligatures" from Garuda.
	  - Import "'ccmp' Thai Macron Below Vowel Reordering"
	    and    "'ccmp' Thai Macron Tone Reordering"
	    from Garuda.
	  - Import "'ccmp'Thai Below Vowel Macron Reordering Round 2"
	    from Garuda.
	  - Bump font version to 003.010.

2015-12-22  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Laksaman: Fix Phinthu and Below Vowel order

	* sipa/Laksaman*.sfd:
	  - Import "'ccmp' Thai Below Vowel Phinthu Reordering" from Kinnari.
	  - Import "'ccmp' Thai Phinthu Lower Tone Reordering" from Kinnari.
	  - Bump font version to 003.009.

2015-12-22  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Laksaman: Add Nasal mark for Patani Malay.

	See similar log for Kinnari for details.

	* sipa/Laksaman*.sfd:
	  - Add "MLY " (Malay) language tag to all GSUB/GPOS lookups.
	  - Copy U+0303 tildecomb to tildecomb.latin glyph and replace all
	    references to it in precomposed Latin glyphs with the .latin
	    variant.
	  - Adjust U+0303 tildecomb glyph to fit Thai consonants,
	    with anchors added.
	  - Add AboveMark mark anchor to upper vowels and tildecomb to
	    allow vertical stacking of multiple marks.
	  - Import "'ccmp' Thai Tone Tilde Reordering" from Kinnari.
	  - Add tildecomb to 'ccmp' for high mark variant,
	    in the same class as upper vowels.
	  - Bump font version to 003.008.

2015-12-20  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgMono: Add plain glyphs for Patani Malay support.

	* tlwg/TlwgMono*.sfd:
	  - Add U+02BC apostophemod glyph.
	  - Add U+02D7 minusmod glyph.
	  - Add U+0303 tildecomb glyph.
	  - Add U+0331 macronbelowcmb glyph.
	  - Bump font version to 001.023.

2015-12-20  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypewriter: Add Apostrophe mod & Minus mod for Patani Malay.

	* tlwg/TlwgTypewriter*.sfd:
	  - Add U+02BC apostophemod glyph.
	  - Add U+02D7 minusmod glyph.
	  - Bump font version to 002.007.

2015-12-20  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypewriter: Add Macron below support for Patani Malay.

	* tlwg/TlwgTypewriter*.sfd:
	  - Add U+0331 macronbelowcmb glyph, with anchors.
	  - Add macronbelowcmb to 'ccmp' descender removal,
	    in the same class as below vowels.
	  - Add ligature glyphs for underlined versions of Ngo Ngu,
	    Yo Ying, No Nu, Mo Ma.
	  - Import "'ccmp' Thai Tone Macron Reordering"
	    and    "'ccmp' Thai Below Vowel Macron Reordering"
	    from Garuda.
	  - Import "'ccmp' Patani Malay Ligatures" from Garuda.
	  - Import "'ccmp' Thai Macron Below Vowel Reordering"
	    and    "'ccmp' Thai Macron Tone Reordering"
	    from Garuda.
	  - Import "'ccmp'Thai Below Vowel Macron Reordering Round 2"
	    from Garuda.
	  - Bump font version to 002.006.

2015-12-07  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypewriter: Fix Phinthu and Below Vowel order

	* tlwg/TlwgTypewriter*.sfd:
	  - Import "'ccmp' Thai Below Vowel Phinthu Reordering" from Kinnari.
	  - Import "'ccmp' Thai Phinthu Lower Tone Reordering" from Kinnari.
	  - Bump font version to 002.005.

2015-12-06  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypewriter: Add Nasal mark for Patani Malay.

	See similar log for Kinnari for details.

	* tlwg/TlwgTypewriter*.sfd:
	  - Add "MLY " (Malay) language tag to all GSUB/GPOS lookups.
	  - Add U+0303 tildecomb glyph, with anchors.
	  - Add AboveMark mark anchor to upper vowels and tildecomb to
	    allow vertical stacking of multiple marks.
	  - Import "'ccmp' Thai Tone Tilde Reordering" from Kinnari.
	  - Add tildecomb to 'ccmp' for high mark variant,
	    in the same class as upper vowels.
	  - Bump font version to 002.004.

2015-11-26  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypo: Add Apostrophe mod & Minus mod for Patani Malay.

	* tlwg/TlwgTypo*.sfd:
	  - Add U+02BC apostophemod glyph.
	  - Add U+02D7 minusmod glyph.
	  - Bump font version to 003.008.

2015-11-26  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypo: Add Macron below support for Patani Malay.

	* tlwg/TlwgTypo*.sfd:
	  - Add U+0331 macronbelowcmb glyph, with anchors.
	  - Add macronbelowcmb to 'ccmp' descender removal,
	    in the same class as below vowels.
	  - Add ligature glyphs for underlined versions of Ngo Ngu,
	    Yo Ying, No Nu, Mo Ma.
	  - [Oblique] Add missing anchors for RO RUA, THO THONG.
	  - Import "'ccmp' Thai Tone Macron Reordering"
	    and    "'ccmp' Thai Below Vowel Macron Reordering"
	    from Garuda.
	  - Import "'ccmp' Patani Malay Ligatures" from Garuda.
	  - Import "'ccmp' Thai Macron Below Vowel Reordering"
	    and    "'ccmp' Thai Macron Tone Reordering"
	    from Garuda.
	  - Import "'ccmp'Thai Below Vowel Macron Reordering Round 2"
	    from Garuda.
	  - Bump font version to 003.007.

2015-11-24  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypo: Fix Phinthu and Below Vowel order

	* tlwg/TlwgTypo*.sfd:
	  - Import "'ccmp' Thai Below Vowel Phinthu Reordering" from Kinnari.
	  - Import "'ccmp' Thai Phinthu Lower Tone Reordering" from Kinnari.
	  - Bump font version to 003.006.

2015-11-24  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypo: Add Nasal mark for Patani Malay.

	See similar log for Kinnari for details.

	* tlwg/TlwgTypo*.sfd:
	  - Add "MLY " (Malay) language tag to all GSUB/GPOS lookups.
	  - Add U+0303 tildecomb glyph, with anchors and dx_adv positioning.
	  - Add AboveMark mark anchor to upper vowels and tildecomb to
	    allow vertical stacking of multiple marks.
	  - Import "'ccmp' Thai Tone Tilde Reordering" from Kinnari.
	  - Add tildecomb to 'ccmp' for high mark variant,
	    in the same class as upper vowels.
	  - Bump font version to 003.005.

2015-11-23  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypist: Add Apostrophe mod & Minus mod for Patani Malay.

	* tlwg/TlwgTypist*.sfd:
	  - Add U+02BC apostophemod glyph.
	  - Add U+02D7 minusmod glyph.
	  - Bump font version to 002.009.

2015-11-23  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypist: Add Macron below support for Patani Malay.

	* tlwg/TlwgTypist*.sfd:
	  - Add U+0331 macronbelowcmb glyph, with anchors.
	  - Add macronbelowcmb to 'ccmp' descender removal,
	    in the same class as below vowels.
	  - Add ligature glyphs for underlined versions of Ngo Ngu,
	    Yo Ying, No Nu, Mo Ma.
	  - Import "'ccmp' Thai Tone Macron Reordering"
	    and    "'ccmp' Thai Below Vowel Macron Reordering"
	    from Garuda.
	  - Import "'ccmp' Patani Malay Ligatures" from Garuda.
	  - Import "'ccmp' Thai Macron Below Vowel Reordering"
	    and    "'ccmp' Thai Macron Tone Reordering"
	    from Garuda.
	  - Import "'ccmp'Thai Below Vowel Macron Reordering Round 2"
	    from Garuda.
	  - Bump font version to 002.008.

2015-11-23  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypist: Fix Phinthu and Below Vowel order

	* tlwg/TlwgTypist*.sfd:
	  - Import "'ccmp' Thai Below Vowel Phinthu Reordering" from Kinnari.
	  - Import "'ccmp' Thai Phinthu Lower Tone Reordering" from Kinnari.
	  - Bump font version to 002.007.

2015-11-21  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	TlwgTypist: Add Nasal mark for Patani Malay.

	See similar log for Kinnari for details.

	* tlwg/TlwgTypist*.sfd:
	  - Add "MLY " (Malay) language tag to all GSUB/GPOS lookups.
	  - Add U+0303 tildecomb glyph, with anchors.
	  - Add AboveMark mark anchor to upper vowels and tildecomb to
	    allow vertical stacking of multiple marks.
	  - Import "'ccmp' Thai Tone Tilde Reordering" from Kinnari.
	  - Add tildecomb to 'ccmp' for high mark variant,
	    in the same class as upper vowels.
	  - Bump font version to 002.006.

2015-11-14  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Purisa: Add Apostrophe mod & Minus mod for Patani Malay.

	* tlwg/Purisa*.sfd:
	  - Add U+02BC apostophemod glyph.
	  - Add U+02D7 minusmod glyph.
	  - Bump font version to 003.007.

2015-11-14  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Purisa: Add Macron below support for Patani Malay.

	* tlwg/Purisa*.sfd:
	  - Add U+0331 macronbelowcmb glyph, with anchors.
	  - Add macronbelowcmb to 'ccmp' descender removal,
	    in the same class as below vowels.
	  - Add ligature glyphs for underlined versions of Ngo Ngu,
	    Yo Ying, No Nu, Mo Ma.
	  - Import "'ccmp' Thai Tone Macron Reordering"
	    and    "'ccmp' Thai Below Vowel Macron Reordering"
	    from Garuda.
	  - Import "'ccmp' Patani Malay Ligatures" from Garuda.
	  - Import "'ccmp' Thai Macron Below Vowel Reordering"
	    and    "'ccmp' Thai Macron Tone Reordering"
	    from Garuda.
	  - Import "'ccmp'Thai Below Vowel Macron Reordering Round 2"
	    from Garuda.
	  - Bump font version to 003.006.

2015-11-13  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Purisa: Fix Phinthu and Below Vowel order

	* tlwg/Purisa*.sfd:
	  - Import "'ccmp' Thai Below Vowel Phinthu Reordering" from Kinnari.
	  - Import "'ccmp' Thai Phinthu Lower Tone Reordering" from Kinnari.
	  - Bump font version to 003.005.

2015-11-13  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Purisa: Add Nasal mark for Patani Malay.

	See similar log for Kinnari for details.

	* tlwg/Purisa*.sfd:
	  - Add "MLY " (Malay) language tag to all GSUB/GPOS lookups.
	  - Add U+0303 tildecomb glyph, with anchors.
	  - Add AboveMark mark anchor to upper vowels and tildecomb to
	    allow vertical stacking of multiple marks.
	  - Also add missing AboveMark base anchor to MAI HAN-AKAT.
	  - Import "'ccmp' Thai Tone Tilde Reordering" from Kinnari.
	  - Add tildecomb to 'ccmp' for high mark variant,
	    in the same class as upper vowels.
	  - Bump font version to 003.004.

2015-10-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Sawasdee: Add Apostrophe mod & Minus mod for Patani Malay.

	* tlwg/Sawasdee*.sfd:
	  - Add U+02BC apostophemod glyph.
	  - Add U+02D7 minusmod glyph.
	  - Bump font version to 002.007.

2015-10-25  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Sawasdee: Add Macron below support for Patani Malay.

	* tlwg/Sawasdee*.sfd:
	  - Add U+0331 macronbelowcmb glyph, with anchors.
	  - Add macronbelowcmb to 'ccmp' descender removal,
	    in the same class as below vowels.
	  - Add ligature glyphs for underlined versions of Ngo Ngu,
	    Yo Ying, No Nu, Mo Ma.
	  - Import "'ccmp' Thai Tone Macron Reordering"
	    and    "'ccmp' Thai Below Vowel Macron Reordering"
	    from Garuda.
	  - Import "'ccmp' Patani Malay Ligatures" from Garuda.
	  - Import "'ccmp' Thai Macron Below Vowel Reordering"
	    and    "'ccmp' Thai Macron Tone Reordering"
	    from Garuda.
	  - Import "'ccmp'Thai Below Vowel Macron Reordering Round 2"
	    from Garuda.
	  - Bump font version to 002.006.

2015-10-23  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Sawasdee: Fix Phinthu and Below Vowel order

	* tlwg/Sawasdee*.sfd:
	  - Import "'ccmp' Thai Below Vowel Phinthu Reordering" from Kinnari.
	  - Import "'ccmp' Thai Phinthu Lower Tone Reordering" from Kinnari.
	  - Bump font version to 002.005.

2015-10-23  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Sawasdee: Add Nasal mark for Patani Malay.

	See similar log for Kinnari for details.

	* tlwg/Sawasdee*.sfd:
	  - Add "MLY " (Malay) language tag to all GSUB/GPOS lookups.
	  - Add U+0303 tildecomb glyph, with anchors.
	  - Add AboveMark mark anchor to upper vowels and tildecomb to
	    allow vertical stacking of multiple marks.
	  - Import "'ccmp' Thai Tone Tilde Reordering" from Kinnari.
	  - Add tildecomb to 'ccmp' for high mark variant,
	    in the same class as upper vowels.
	  - Bump font version to 002.004.

2015-10-18  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Umpush: Add Apostrophe mod & Minus mod for Patani Malay.

	* tlwg/Umpush*.sfd:
	  - Add U+02BC apostophemod glyph.
	  - Add U+02D7 minusmod glyph.
	  - Bump font version to 0.10.7.

2015-10-18  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Umpush: Add Macron below support for Patani Malay.

	* tlwg/Umpush*.sfd:
	  - Add U+0331 macronbelowcmb glyph, with anchors.
	  - Add macronbelowcmb to 'ccmp' descender removal,
	    in the same class as below vowels.
	  - Add ligature glyphs for underlined versions of Ngo Ngu,
	    Yo Ying, No Nu, Mo Ma.
	  - Import "'ccmp' Thai Tone Macron Reordering"
	    and    "'ccmp' Thai Below Vowel Macron Reordering"
	    from Garuda.
	  - Import "'ccmp' Patani Malay Ligatures" from Garuda.
	  - Import "'ccmp' Thai Macron Below Vowel Reordering"
	    and    "'ccmp' Thai Macron Tone Reordering"
	    from Garuda.
	  - Import "'ccmp'Thai Below Vowel Macron Reordering Round 2"
	    from Garuda.
	  - Bump font version to 0.10.6.

2015-10-15  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Umpush: Fix Phinthu and Below Vowel order

	* tlwg/Umpush*.sfd:
	  - Import "'ccmp' Thai Below Vowel Phinthu Reordering" from Kinnari.
	  - Import "'ccmp' Thai Phinthu Lower Tone Reordering" from Kinnari.
	  - Bump font version to 0.10.5.

2015-10-13  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Umpush: Add Nasal mark for Patani Malay.

	See similar log for Kinnari for details.

	* tlwg/Umpush*.sfd:
	  - Add "MLY " (Malay) language tag to all GSUB/GPOS lookups.
	  - Add U+0303 tildecomb glyph, with anchors.
	  - Add AboveMark mark anchor to upper vowels and tildecomb to
	    allow vertical stacking of multiple marks.
	  - Import "'ccmp' Thai Tone Tilde Reordering" from Kinnari.
	  - Add tildecomb to 'ccmp' for high mark variant,
	    in the same class as upper vowels.
	  - Bump font version to 0.10.4.

2015-09-13  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Waree: Add Apostrophe mod & Minus mod for Patani Malay.

	* tlwg/Waree*.sfd:
	  - Add U+02BC apostophemod glyph.
	  - Add U+02D7 minusmod glyph.
	  - Bump font version to 0.12.7.

2015-09-13  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Waree: Add Macron below support for Patani Malay.

	* tlwg/Waree*.sfd:
	  - Add U+0331 macronbelowcmb glyph, with anchors.
	  - Add macronbelowcmb to 'ccmp' descender removal,
	    in the same class as below vowels.
	  - Add ligature glyphs for underlined versions of Ngo Ngu,
	    Yo Ying, No Nu, Mo Ma.
	  - Import "'ccmp' Thai Tone Macron Reordering"
	    and    "'ccmp' Thai Below Vowel Macron Reordering"
	    from Garuda.
	  - Import "'ccmp' Patani Malay Ligatures" from Garuda.
	  - Import "'ccmp' Thai Macron Below Vowel Reordering"
	    and    "'ccmp' Thai Macron Tone Reordering"
	    from Garuda.
	  - Import "'ccmp'Thai Below Vowel Macron Reordering Round 2"
	    from Garuda.
	  - Bump font version to 0.12.6.

2015-09-12  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Waree: Fix Phinthu and Below Vowel order

	* tlwg/Waree*.sfd:
	  - Import "'ccmp' Thai Below Vowel Phinthu Reordering" from Kinnari.
	  - Import "'ccmp' Thai Phinthu Lower Tone Reordering" from Kinnari.
	  - Bump font version to 0.12.5.

2015-09-08  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Waree: Add Nasal mark for Patani Malay.

	See similar log for Kinnari for details.

	* tlwg/Waree*.sfd:
	  - Add "MLY " (Malay) language tag to all GSUB/GPOS lookups.
	  - Add U+0303 tildecomb glyph, with anchors.
	  - Add AboveMark mark anchor to upper vowels and tildecomb to
	    allow vertical stacking of multiple marks.
	  - Import "'ccmp' Thai Tone Tilde Reordering" from Kinnari.
	  - Add tildecomb to 'ccmp' for high mark variant,
	    in the same class as upper vowels.
	  - Bump font version to 0.12.4.

2015-08-18  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Loma: Add Apostrophe mod & Minus mod for Patani Malay.

	* nectec/Loma*.sfd:
	  - Add U+02BC apostophemod glyph.
	  - Add U+02D7 minusmod glyph.
	  - Bump font version to 0.10.7.

2015-08-18  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Loma: Add Macron below support for Patani Malay.

	* nectec/Loma*.sfd:
	  - Add U+0331 macronbelowcmb glyph, with anchors.
	  - Add macronbelowcmb to 'ccmp' descender removal,
	    in the same class as below vowels.
	  - Add ligature glyphs for underlined versions of Ngo Ngu,
	    Yo Ying, No Nu, Mo Ma.
	  - Import "'ccmp' Thai Tone Macron Reordering"
	    and    "'ccmp' Thai Below Vowel Macron Reordering"
	    from Garuda.
	  - Import "'ccmp' Patani Malay Ligatures" from Garuda.
	  - Import "'ccmp' Thai Macron Below Vowel Reordering"
	    and    "'ccmp' Thai Macron Tone Reordering"
	    from Garuda.
	  - Import "'ccmp'Thai Below Vowel Macron Reordering Round 2"
	    from Garuda.
	  - Bump font version to 0.10.6.

2015-08-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Loma: Fix Phinthu and Below Vowel order

	* nectec/Loma*.sfd:
	  - Import "'ccmp' Thai Below Vowel Phinthu Reordering" from Kinnari.
	  - Import "'ccmp' Thai Phinthu Lower Tone Reordering" from Kinnari.
	  - Bump font version to 0.10.5.

2015-08-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Loma: Add Nasal mark for Patani Malay.

	See similar log for Kinnari for details.

	* nectec/Loma*.sfd:
	  - Add "MLY " (Malay) language tag to all GSUB/GPOS lookups.
	  - Add U+0303 tildecomb glyph, with anchors.
	  - Add AboveMark mark anchor to upper vowels and tildecomb to
	    allow vertical stacking of multiple marks.
	  - Import "'ccmp' Thai Tone Tilde Reordering" from Kinnari.
	  - Add tildecomb to 'ccmp' for high mark variant,
	    in the same class as upper vowels.
	  - Bump font version to 0.10.4.

2015-08-13  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Add WOFF generation support.

	* configure.ac:
	  - Add --enable-woff and --with-woffdir configure options.
	  - Add corresponding INCLUDE_WOFF condition for automake.
	* scripts/Makefile.am, +scripts/gen-woff.pe:
	  - Add fontforge script for generating WOFF.
	* scripts/gen.mk.am:
	  - Add make rules for generating and installing WOFF files.

2015-08-13  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Norasi: Add Apostrophe mod & Minus mod for Patani Malay.

	* nf/Norasi*.sfd:
	  - Add U+02BC apostophemod glyph.
	  - Add U+02D7 minusmod glyph.
	  - Bump font version to 005.007.

2015-08-12  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Norasi: Add Macron below support for Patani Malay.

	* nf/Norasi*.sfd:
	  - Add U+0331 macronbelowcmb glyph, with anchors.
	  - Add macronbelowcmb to 'ccmp' descender removal,
	    in the same class as below vowels.
	  - Add ligature glyphs for underlined versions of Ngo Ngu,
	    Yo Ying, No Nu, Mo Ma.
	  - Import "'ccmp' Thai Tone Macron Reordering"
	    and    "'ccmp' Thai Below Vowel Macron Reordering"
	    from Garuda.
	  - Import "'ccmp' Patani Malay Ligatures" from Garuda.
	  - Import "'ccmp' Thai Macron Below Vowel Reordering"
	    and    "'ccmp' Thai Macron Tone Reordering"
	    from Garuda.
	  - Import "'ccmp'Thai Below Vowel Macron Reordering Round 2"
	    from Garuda.
	  - Bump font version to 005.006.

2015-08-11  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Norasi: Fix Phinthu and Below Vowel order

	* nf/Norasi*.sfd:
	  - Import "'ccmp' Thai Below Vowel Phinthu Reordering" from Kinnari.
	  - Import "'ccmp' Thai Phinthu Lower Tone Reordering" from Kinnari.
	  - Bump font version to 005.005.

2015-08-10  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Norasi: Add Nasal mark for Patani Malay.

	See similar log for Kinnari for details.

	* nf/Norasi*.sfd:
	  - Add "MLY " (Malay) language tag to all GSUB/GPOS lookups.
	  - Add U+0303 tildecomb glyph, with anchors.
	  - Add AboveMark mark anchor to upper vowels and tildecomb to
	    allow vertical stacking of multiple marks.
	  - Import "'ccmp' Thai Tone Tilde Reordering" from Kinnari.
	  - Add tildecomb to 'ccmp' for high mark variant,
	    in the same class as upper vowels.
	  - Bump font version to 005.004.

2015-07-20  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Kinnari: Add Apostrophe mod & Minus mod for Patani Malay.

	* nf/Kinnari*.sfd:
	  - Add U+02BC apostophemod glyph.
	  - Add U+02D7 minusmod glyph.
	  - Bump font version to 002.007.

2015-07-20  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Kinnari: Add Macron below support for Patani Malay.

	* nf/Kinnari*.sfd:
	  - Add U+0331 macronbelowcmb glyph, with anchors.
	  - Add macronbelowcmb to 'ccmp' descender removal,
	    in the same class as below vowels.
	  - Add ligature glyphs for underlined versions of Ngo Ngu,
	    Yo Ying, No Nu, Mo Ma.
	  - Import "'ccmp' Thai Tone Macron Reordering"
	    and    "'ccmp' Thai Below Vowel Macron Reordering"
	    from Garuda.
	  - Import "'ccmp' Patani Malay Ligatures" from Garuda.
	  - Import "'ccmp' Thai Macron Below Vowel Reordering"
	    and    "'ccmp' Thai Macron Tone Reordering"
	    from Garuda.
	  - Import "'ccmp'Thai Below Vowel Macron Reordering Round 2"
	    from Garuda.
	  - Bump font version to 002.006.

2015-07-19  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Kinnari: Fix Phinthu and Below Vowel order

	* nf/Kinnari*.sfd:
	  - Import "'ccmp' Thai Below Vowel Phinthu Reordering" from Garuda.
	  - Import "'ccmp' Thai Phinthu Lower Tone Reordering" from Garuda.
	  - Bump font version to 002.005.

2015-07-19  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Garuda: Fix tildecomb order with tone marks.

	* nf/Garuda*.sfd:
	  - Import "'ccmp' Thai Tone Tilde Reordering" from Kinnari.
	  - Bump font version to 003.009.

2015-07-19  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Kinnari: Add Nasal mark for Patani Malay.

	Needed conversions are:
	- tildecomb (ccc=220) before tone marks (ccc=107) is always
	  moved to after tone marks in normalization.
	  So, we need to reorder it back.
	  Other marks (upper vowels, Maitaikhu, Thanthakhat, Nikhahit,
	  Yamakkan) have ccc=0, so normalization doesn't touch tildecomb
	  before them. Thus, no reordering is needed.
	- Count tildecomb like upper vowel in gen. comp., so that upper
	  mark (Maitaikhu, Nikhahit, Yamakkan) after it gets converted
	  to high variant.

	* nf/Kinnari*.sfd:
	  - Add "MLY " (Malay) language tag to all GSUB/GPOS lookups.
	  - Add U+0303 tildecomb glyph, with anchors.
	  - Add AboveMark mark anchor to upper vowels and tildecomb to
	    allow vertical stacking of multiple marks.
	  - Add "'ccmp' Thai Tone Tilde Reordering" before base char
	    conversions to reorder tone marks and tildecomb.
	  - Add tildecomb to 'ccmp' for high mark variant,
	    in the same class as upper vowels.
	  - Bump font version to 002.004.

2015-07-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Garuda: Fix macronbelowcmb order with below vowels.

	macronbelowcmb (U+0331) has ccc=220. So it's always placed after
	below vowels (ccc=103, 3 in Uniscribe/Harfbuzz), Phinthu (ccc=9),
	and tone marks (ccc=107). We need to reorder it to get close to
	base consonants, to get ligature matched and to place it before
	below vowel, but after tone marks.

	Original:	C + Macron + BV + T
	Harfbuzz:	C + BV + T + Macron
	1st rule*:	C + BV + Macron + T
	2nd rule*:	C + Macron + BV + T
	ligature:	C-Macron-lig + BV + T  ||  C + Macron + BV + T
	3rd rule*:	C + BV + Macron + T
	4th rule*:	C + BV + T + Macron
	gen. comp.:	C + T.low + BV + Macron
	5th rule*:	C + T.low + Macron + BV

	*added rules.

	* nf/Garuda*.sfd:
	  - Add "'ccmp' Thai Tone Macron Reordering"
	    and "'ccmp' Thai Below Vowel Macron Reordering"
	    before Patani Malay Ligatures GSUB, to move Macron backward through
	    T & BV to C, so any ligature can be matched.
	  - Add "'ccmp' Thai Macron Below Vowel Reordering"
	    and "'ccmp' Thai Macron Tone Reordering"
	    after the ligatures & descender removal GSUBs, to move unmatched
	    Macron forward back to its original position, to give way to T & BV
	    to be applied to general compositions.
	  - Add "'ccmp'Thai Below Vowel Macron Reordering Round 2"
	    after general compositions to move Macron before BV.

	  General adjustments:
	  - Move BelowMark anchor for macronbelowcmb up to narrow down the gap
	    with BV.
	  - Add BelowBase anchor to *.uline glyphs, to make space with BV.
	  - Bump font version to 003.008.

2015-07-14  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Garuda: Allow upper vowel over tildecomb.

	* nf/Garuda*.sfd:
	  - Add AboveMark mark anchor to upper vowels and tildecomb to
	    allow vertical stacking of multiple marks.
	  - Unref tildecomb glyph and widen it to cover Thai base consonants
	    width better.
	  - Adjust vertical positioning of tildecomb for better spacing.
	  - Bump font version to 003.007.

2015-07-14  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Garuda: Fix Phinthu and Below Vowel order

	Uniscribe and Harfbuzz appear to redefine combining class for
	Sara U, UU from 103 to 3 so it's placed before Phinthu (ccc=9).
	But this is undesirable for Patani Malay. So, add GSUB to revert
	it, and also handle tone mark order:

	Original:	C + Ph + BV + T
	Harfbuzz:	C + BV + Ph + T
	1st rule*:	C + Ph + BV + T
	2nd rule:	C + Ph + T.low + BV
	3rd rule*:	C + T.low + Ph + BV

	*added rules.

	* nf/Garuda*.sfd:
	  - Add "'ccmp' Thai Below Vowel Phinthu Reordering" to swap
	    Sara U/UU and Phinthu before doing general compositions.
	  - Add "'ccmp' Thai Phinthu Lower Tone Reordering" after
	    general compositions to move lowered tone marks closer to
	    the base consonant if a Phinthu appears before it.
	  - Bump font version to 003.006.

2015-06-27  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Garuda: Undo tildecomb exception for tone mark lower form conversion.

	The rule appears to require one character after the tone mark
	to be lowered down, thus the tone mark at the end doesn't get
	converted.

	* nf/Garuda*.sfd:
	  - Remove tildecomb lookahead class for 'ccmp' Thai General
	    Composition.
	  - Remove lookahead part from the rule that converts tone mark
	    to lower form.
	  - Bump font version to 003.005.

2015-06-24  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Garuda: Add Nasal, Macron, Apostophe mod, Minus mod for Patani Malay.

	* nf/Garuda*.sfd:
	  - Add "MLY " (Malay) language tag to all GSUB/GPOS lookups.
	  - Add Nasal sign support:
	    ~ Add U+0303 tilecomb glyph, with anchors.
	    ~ Add tilecomb to 'ccmp' for high mark variant,
	      in the same class as upper vowels.
	    ~ Add tilecomb to lookahead exception in 'ccmp', to prevent
	      conversion of tone marks to lower form caused by HarfBuzz
	      reordering as part of Unicode normalization.
	  - Add Macron Below support:
	    ~ Add U+0331 macronbelowcmb glyph, with anchors.
	    ~ Add macronbelowcmb to 'ccmp' descender removal,
	      in the same class as below vowels.
	    ~ Add ligatures for underlined versions of Ngo Ngu, Yo Ying,
	      No Nu, Mo Ma when followed by macronbelowcmb,
	      using 'ccmp' table.
	  - Add U+02BC apostophemod glyph.
	  - Add U+02D7 minusmod glyph.
	  - Bump font version to 003.004.

2015-06-22  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Set OS/2 Version for Laksaman. (Thanks Martin Hosken)

	* sipa/Laksaman*.sfd:
	  - Bump OS/2 Version from 3 to 4.
	  - Bump font version to 003.007.

2015-06-22  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Set OS/2 Version for Purisa. (Thanks Martin Hosken)

	* tlwg/Purisa*.sfd:
	  - Explicitly set OS/2 Version to 4.
	  - Bump font version to 003.003.

2015-06-22  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Set OS/2 Version for Sawasdee. (Thanks Martin Hosken)

	* tlwg/Sawasdee*.sfd:
	  - Explicitly set OS/2 Version to 4.
	  - Bump font version to 002.003.

2015-06-22  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Set OS/2 Version for Tlwg Mono. (Thanks Martin Hosken)

	* tlwg/TlwgMono*.sfd:
	  - Explicitly set OS/2 Version to 4.
	  - Bump font version to 001.022.

2015-06-22  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Set OS/2 Version for Tlwg Typewriter. (Thanks Martin Hosken)

	* tlwg/TlwgTypewriter*.sfd:
	  - Explicitly set OS/2 Version to 4.
	  - Bump font version to 002.003.

2015-06-22  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Set OS/2 Version for Tlwg Typist. (Thanks Martin Hosken)

	* tlwg/TlwgTypist*.sfd:
	  - Explicitly set OS/2 Version to 4.
	  - Bump font version to 002.005.

2015-06-22  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Set OS/2 Version for Tlwg Typo. (Thanks Martin Hosken)

	* tlwg/TlwgTypo*.sfd:
	  - Explicitly set OS/2 Version to 4.
	  - Bump font version to 003.004.

2015-06-22  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Set OS/2 Version for Umpush. (Thanks Martin Hosken)

	* tlwg/Umpush*.sfd:
	  - Explicitly set OS/2 Version to 4.
	  - Bump font version to 0.10.3.

2015-06-22  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Set OS/2 Version for Loma. (Thanks Martin Hosken)

	* nectec/Loma*.sfd:
	  - Explicitly set OS/2 Version to 4.
	  - Bump font version to 0.10.3.

2015-06-22  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Set OS/2 Version for Norasi. (Thanks Martin Hosken)

	* nf/Norasi*.sfd:
	  - Explicitly set OS/2 Version to 4.
	  - Bump font version to 005.003.

2015-06-22  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Set OS/2 Version for Kinnari. (Thanks Martin Hosken)

	* nf/Kinnari*.sfd:
	  - Explicitly set OS/2 Version to 4.
	  - Bump font version to 002.003.

2015-06-17  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Set OS/2 Version for Waree. (Thanks Martin Hosken)

	With "Auto" version, TTF got OS/2 version 1, OTF got version 3.

	* nf/Garuda*.sfd:
	  - Explicitly set OS/2 Version to 4.
	  - Bump font version to 0.12.3.

2015-06-06  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Set OS/2 Version for Garuda. (Thanks Martin Hosken)

	* nf/Garuda*.sfd:
	  - Explicitly set OS/2 Version to 4.
	  - Rename glyphs [fontlint]:
	      zerowidthjoiner -> zerojoin
	      mu -> micro
	  - Bump font version to 003.003.

2015-06-05  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Validate TlwgMono.

	* tlwg/TlwgMono*.sfd:
	  - Copy glyphs from TlwgTypewriter.
	  - Remove duplicated .notdef glyphs.
	  - Rename glyphs [fontlint]:
	      mu -> micro
	  - Bump font version to 001.021.

2015-06-05  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Validate TlwgTypewriter.

	* tlwg/TlwgTypewriter*.sfd:
	  - Copy Latin glyphs back from TlwgTypist.
	  - Validate all other glyphs and fix problems.
	  - Remove duplicated .notdef glyphs.
	  - (Oblique): Remove 'maxp' TrueType instructions, which causes
	    conflicts of glyph/path/reference counts reported by fontlint.
	  - Rename glyphs [fontlint]:
	      zerowidthjoiner -> zerojoin
	      mu -> micro
	  - Bump font version to 002.002.

2015-06-04  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Validate Laksaman.

	* sipa/Laksaman*.sfd:
	  - Validate all glyphs and fix problems.
	  - Remove duplicated glyph for nonmarkingreturn.
	  - Rename glyphs [fontlint]:
	      zerowidthjoiner -> zerojoin
	      mu -> micro
	      Delta -> Delta.math
	  - Remove contours for:
	      zerowidthnonjoiner
	      zerojoin
	      lefttorightmark
	      righttoleftmark
	  - Bump font version to 003.006.

2015-06-03  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Validate Loma.

	* nectec/Loma*.sfd:
	  - Validate all glyphs and fix problems.
	  - Narrow down BlueValues and adjust all relevant glyphs,
	    reported by the validator.
	  - Rename glyphs [fontlint]:
	      zerowidthjoiner -> zerojoin
	      mu -> micro
	  - Bump font version to 0.10.2.

2015-05-19  Theppitak Karoonboonyanan  <theppitak@gmail.com>

	Validate Purisa.

	* tlwg/Purisa*.sfd:
	  - Validate all glyphs and fix problems.
	  - (Bold, BoldOblique): Remove 'maxp' TrueType instructions, which
	    causes conflicts of glyph/path/reference counts reported by
	    fontlint.
	  - Rename glyphs [fontlint]:
	      zerowidthjoiner -> zerojoin
	  - Unlink references for uni0E47.high, uni0E4E.high which were
	    scaled down and caused non-integral coordinates.
	  - Bump font version to 003.002.

2015-05-01  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Validate Sawasdee.

	* tlwg/Sawasdee*.sfd:
	  - Validate all glyphs and fix problems.
	  - Narrow down OtherBlues and adjust p, q glyphs, as reported by
	    the validator.
	  - Rename glyphs [fontlint]:
	      zerowidthjoiner -> zerojoin
	      uni00B5 -> micro
	  - Bump font version to 002.002.

2015-04-30  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Adjust TlwgTypist more; Validate TlwgTypo.

	* tlwg/TlwgTypist*.sfd:
	  - Clean up more splines.
	  - (BoldOblique): Copy overlap-free glyphs for Thai digits from
	    TlwgTypo. The changes were missing in the past.
	  - (Bold, BoldOblique): Remove overlap for Thai digit three glyph.
	  - Bump font version to 002.004.

	* tlwg/TlwgTypo*.sfd:
	  - Validate all glyphs and fix problems (in sync with TlwgTypist).
	  - (Bold, BoldOblique): Split "Thai Above and Below Base" GSUB rule
	    into Above and Below counterparts, to avoid errors reported by
	    fontlint.
	  - (Bold): Remove 'maxp' TrueType instructions, which causes
	    conflicts of glyph/path/reference counts reported by fontlint.
	  - Rename glyphs [fontlint]:
	      zerowidthjoiner -> zerojoin
	      mu -> micro
	  - Clean up splines for Latin glyphs.
	  - Bump font version to 003.003.

2015-04-28  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Validate TlwgTypist.

	* tlwg/TlwgTypist*.sfd:
	  - Validate all glyphs and fix problems.
	  - (Bold, BoldOblique): Split "Thai Above and Below Base/Mark"
	    GSUB rules into Above and Below counterparts, to avoid errors
	    reported by fontlint.
	  - (Bold): Remove 'maxp' TrueType instructions, which causes
	    conflicts of glyph/path/reference counts reported by fontlint.
	  - Rename glyphs [fontlint]:
	      zerowidthjoiner -> zerojoin
	      mu -> micro
	  - Clean up splines for Latin glyphs.
	  - Bump font version to 002.003.

2015-04-23  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Validate Umpush.

	* tlwg/Umpush*.sfd:
	  - Validate all glyphs and fix problems.
	  - Rename glyphs [fontlint]:
	      zerowidthjoiner -> zerojoin
	      mu -> micro
	  - Bump font version to 0.10.2.

2015-04-23  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Validate Waree.

	* tlwg/Waree*.sfd:
	  - Validate all glyphs and fix problems.
	  - Rename glyphs [fontlint]:
	      zerowidthjoiner -> zerojoin
	      mu -> micro
	  - Fix OtherBlues for Regular & Oblique [fontlint].
	  - Bump font version to 0.12.2.

2015-04-21  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Validate Norasi.

	* nf/Norasi*.sfd:
	  - Validate all glyphs and fix problems, except uni0E34 (SARA I)
	    for Regular, which appears to be free of self intersection,
	    despite the problem reported.
	  - Rename small caps glyphs from uniXXXX to Xsmall for fonts
	    with former format.
	  - Rename glyphs [fontlint]:
	      zerowidthjoiner -> zerojoin
	      mu -> micro
	      visiblespace/uni2423 -> spaceopenbox
	  - Bump font version to 005.002.

2015-04-18  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Validate Kinnari.

	* nf/Kinnari*.sfd:
	  - Validate all glyphs and fix problems, except uni0E34 (SARA I)
	    for Bold, which appears to be free of self intersection,
	    despite the problem reported.
	  - Remove 'maxp' TrueType instructions, which causes conflicts of
	    glyph/path/reference counts reported by fontlint.
	  - Rename glyph from 'zerowidthjoiner' to 'zerojoin' [fontlint].
	  - Bump font version to 002.002.

2015-04-15  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Add Preferred Family/Subfamily names to Laksaman.

	* sipa/Laksaman*.sfd:
	  - Add Preferred (Typographic) Family/Subfamily names.
	  - Use 'Regular' weight instead of 'Book' in non-bold fonts.
	  - Bump font version to 003.005 (reformatted, date part dropped).

2015-04-15  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Add Preferred Family/Subfamily names to Sawasdee.

	* tlwg/Sawasdee*.sfd:
	  - Add Preferred (Typographic) Family/Subfamily names.
	  - Bump font version to 002.001 (date part dropped).

2015-04-15  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Add Preferred Family/Subfamily names to Purisa.

	* tlwg/Purisa*.sfd:
	  - Add Preferred (Typographic) Family/Subfamily names.
	  - Use 'Regular' weight instead of 'Medium' in non-bold fonts.
	  - Bump font version to 003.001 (date part dropped).

2015-04-15  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Add Preferred Family/Subfamily names to TlwgTypo.

	* tlwg/TlwgTypo*.sfd:
	  - Add Preferred (Typographic) Family/Subfamily names.
	  - Use 'Regular' weight instead of 'Medium' in non-bold fonts.
	  - Bump font version to 003.002 (date part dropped).

2015-04-15  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Add Preferred Family/Subfamily names to TlwgTypist.

	* tlwg/TlwgTypist*.sfd:
	  - Add Preferred (Typographic) Family/Subfamily names.
	  - Use 'Regular' weight instead of 'Medium' in non-bold fonts.
	  - Bump font version to 002.002 (date part dropped).

2015-04-15  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Add Preferred Family/Subfamily names to TlwgTypewriter.

	* tlwg/TlwgTypewriter*.sfd:
	  - Add Preferred (Typographic) Family/Subfamily names.
	  - Use 'Regular' weight instead of 'Medium' in non-bold fonts.
	  - Drop all Thai TTF Names except Sample Text, so that English
	    names are not overridden.
	  - Bump font version to 002.001 (date part dropped).

2015-04-15  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Add Preferred Family/Subfamily names to TlwgMono.

	* tlwg/TlwgMono*.sfd:
	  - Add Preferred (Typographic) Family/Subfamily names.
	  - Use 'Regular' weight instead of 'Medium' in non-bold fonts.
	  - Drop all Thai TTF Names except Sample Text, so that English
	    names are not overridden.
	  - Bump font version to 001.020 (date part dropped).

2015-04-14  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Add Preferred Family/Subfamily names to Waree.

	* tlwg/Waree*.sfd:
	  - Add Preferred (Typographic) Family/Subfamily names.
	  - Use 'Regular' weight instead of 'Book' in non-bold fonts.
	  - Bump font version to 0.12.1 (date part dropped).

2015-04-14  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Add Preferred Family/Subfamily names to Loma.

	* nectec/Loma*.sfd:
	  - Add Preferred (Typographic) Family/Subfamily names.
	  - Use 'Regular' weight instead of 'Book' in non-bold fonts.
	  - Bump font version to 0.10.1 (date part dropped).

2015-04-14  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Validate Garuda.

	* nf/Garuda*.sfd:
	  - Validate all glyphs and fix problems, except uni0E34 (SARA I)
	    for non-oblique shapes, which appears to be free of self
	    intersection, despite the problem reported.
	  - Bump font version to 003.002.

	* nf/Garuda-Bold[Oblique].sfd:
	  - Narrow down OtherBlues and adjust g, j, y, dotlessj glyphs,
	    as reported by the validator.

2015-04-10  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Add Preferred Family/Subfamily names to Garuda.

	* nf/Garuda*.sfd:
	  - Add Preferred (Typographic) Family/Subfamily names.
	  - Use 'Regular' weight instead of 'Medium' in non-bold fonts.
	  - Bump font version to 003.001 (reformatted, date part dropped).

2015-04-09  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Add Preferred Family/Subfamily names to Umpush.

	* tlwg/Umpush*.sfd:
	  - Add Preferred (Typographic) Family/Subfamily names, to get
	    Light styles covered by some OS like Windows.
	  - Use 'Regular' weight instead of 'Medium' in non-bold fonts.
	  - Bump font version to 0.10.1 (date part dropped).

2015-04-09  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Add Preferred Family/Subfamily names to Norasi.

	* nf/Norasi*.sfd:
	  - Add Preferred (Typographic) Family/Subfamily names.
	  - Use 'Regular' weight instead of 'Medium' in non-bold fonts.
	  - Bump font version to 005.001 (date part dropped).

2015-04-08  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Add Preferred Family/Subfamily names to Kinnari.

	* nf/Kinnari*.sfd:
	  - Add Preferred (Typographic) Family/Subfamily names to make it
	    possible to ship more than four subfamilies, thus making some
	    OS like Windows distinguish between Oblique and Italic.
	  - Use 'Regular' weight instead of 'Medium' in non-bold fonts.
	  - Bump font version to 002.001 (date part dropped).
	* scripts/gen-test-otf.pe, scripts/gen-test-ttf.pe:
	  - Also add TTF/OTF prefix to Preferred Family Name if exists.

	Thanks Martin Hosken for the suggestion in a private chat.

2014-07-08  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Rename README for TlwgMono.

	* tlwg/Makefile.am, tlwg/README -> tlwg/README.tlwgmono:
	  - Rename to avoid confusion with README at root, as suggested
	    by CTAN team.

2014-07-08  Theppitak Karoonboonyanan <theppitak@gmail.com>

	* configure.ac: Post-release version suffix added.

2014-07-07  Theppitak Karoonboonyanan <theppitak@gmail.com>

	* configure.ac, NEWS:
	=== Version 0.6.1 ===

2014-07-07  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Add doc for LaTeX package.

	* latex/Makefile.am, +latex/README.latex:
	  - Add documentation for LaTeX package.

2014-07-07  Theppitak Karoonboonyanan <theppitak@gmail.com>

	* README:
	  - Adjust wordings.
	  - Rewrap lines.

2014-07-05  Theppitak Karoonboonyanan <theppitak@gmail.com>

	LaTeX: Add options for default teletype font.

	* latex/fonts-tlwg.sty:
	  - Add 'ttttype' and 'ttttypist' for setting default teletype font.

2014-07-05  Theppitak Karoonboonyanan <theppitak@gmail.com>

	LaTeX: Add options for setting default fonts.

	* latex/fonts-tlwg.sty:
	  - Use \newcommand instead of \def, to be consistent with following
	    \renewcommand's.
	  - Add \DeclareOption's for end-user options to set default fonts.
	  - Add \ProcessOptions to process the options.

2014-06-30  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Add fontconfig files for Laksaman.

	* fontconfig/Makefile.am, +fontconfig/64-15-laksaman.conf:
	  - Add fontconfig file to register Laksaman as a preferred
	    sans-serif font.
	* fontconfig/Makefile.am, +fontconfig/89-tlwg-laksaman-synthetic.conf:
	  - Add fontconfig file to synthesize "TH Sarabun*" with scaled-down
	    Laksaman.

2014-06-28  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Replace monolithic fontconfig files with ones for individual fonts.

	* fontconfig/Makefile.am,
	  -fontconfig/64-ttf-thai-tlwg.conf,
	  -fontconfig/89-ttf-thai-tlwg-synthetic.conf,
	  +fontconfig/64-01-tlwg-kinnari.conf,
	  +fontconfig/64-02-tlwg-norasi.conf,
	  +fontconfig/64-11-tlwg-waree.conf,
	  +fontconfig/64-12-tlwg-loma.conf,
	  +fontconfig/64-13-tlwg-garuda.conf,
	  +fontconfig/64-14-tlwg-umpush.conf,
	  +fontconfig/64-21-tlwg-typo.conf,
	  +fontconfig/64-22-tlwg-typist.conf,
	  +fontconfig/64-23-tlwg-mono.conf,
	  +fontconfig/89-tlwg-garuda-synthetic.conf,
	  +fontconfig/89-tlwg-kinnari-synthetic.conf,
	  +fontconfig/89-tlwg-loma-synthetic.conf,
	  +fontconfig/89-tlwg-umpush-synthetic.conf,
	  +fontconfig/89-tlwg-waree-synthetic.conf:
	  - Remove monolithic fontconfig files.
	  - Take split fontconfig files for individual fonts from Debian.

2014-06-27  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Update copyright info for Tlwg Typist, Tlwg Typo.

	* tlwg/TlwgTypist*.sfd:
	  - Update copyright years (last release was done without updating).
	  - Bump font version to 002.001: 2014-06-27.
	* tlwg/TlwgTypo.sfd:
	  - Fix font name in copyright info.
	  - Update copyright years (last release was done without updating).
	  - Bump font version to 003.001: 2014-06-27.
	* AUTHORS:
	  - Fix font name for Tlwg Typewriter.
	  - Add original author for Tlwg Typist, Tlwg Typo.
	* COPYING:
	  - Update copyright info for Tlwg Typist.
	  - Add missing copyright info for Tlwg Typo.

2014-06-27  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Add copyright info for Laskaman.

	* AUTHORS:
	  - Add original author for Laksaman.
	* COPYING:
	  - Add copyright info for Laksaman.

2014-06-26  Theppitak Karoonboonyanan <theppitak@gmail.com>

	LaTeX: Add Laksaman font.

	* latex/Makefile.am, +latex/lthlaksaman.fd:
	  - Add TeX font description for Laksaman.
	* latex/examples/teststd.tex:
	  - Add test text for Laksaman.

2014-06-26  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Laksaman: Add special high variant glyphs support.

	* sipa/Laksaman*.sfd:
	  - Add high Nikhahit, high Maitaikhu, high Yamakkan glyphs.
	    From normal glyph, scaled 67%, expand stroke by 9 (15 for bold),
	    move so AboveMark Mark anchor is placed at Sara II's
	    Above Mark Base anchor.
	  - Remove AboveMark Mark anchor from normal glyphs,
	    and AboveBase Mark anchor from high variants.
	  - Bump font version to 3.04: 2014-06-26.

2014-06-24  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Laksaman: Replace GSUB rules.

	* sipa/Laksaman*.sfd:
	  - Remove all GSUB rules related to Thai glyphs.
	  - Import GSUB rules from Garuda.
	  - Rename glyphs as referred to by new GSUB rules.
	  - Bump font version to 3.03: 2014-06-24.

2014-06-24  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Laksaman: Add GPOS anchors.

	* sipa/Laksaman*.sfd:
	  - Add 'mark' and 'mkmk' lookups.
	  - Add anchors to glyphs.
	  - Bump font version to 3.02: 2014-06-24.

2014-06-10  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Laksaman: Clean up splines.

	* sipa/Laksaman*.sfd:
	  - Add extreamas & simplify splines.
	  - Replace shifted glyphs with references.
	  - Bump font version to 3.01: 2014-06-10.

2014-05-03  Theppitak Karoonboonyanan <theppitak@gmail.com>

	* sipa/Laksaman*.sfd:
	  - Convert splines from quadratic to cubic.
	  - Add BlueValues, StdHW, StemSnapH, StdVW, StemSnapV.

2014-05-01  Theppitak Karoonboonyanan <theppitak@gmail.com>

	* sipa/Laksaman*.sfd:
	  - Add License URL (GPL 2.0).

2014-05-01  Theppitak Karoonboonyanan <theppitak@gmail.com>

	* sipa/Laksaman*.sfd:
	  - Scale up glyphs by 150.42% for Garuda X-Height compatibility.
	  - Scale up OS/2 Metrics accordingly.
	  - Set PFM Family to Sans-Serif.

2014-04-30  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Add sipa dir for Sarabun derivative.

	* configure.ac, Makefile.am, +sipa, +sipa/Makefile.am:
	  - Prepare build system for sipa fonts.
	* +sipa/Laksaman.sfd, +sipa/Laksaman-Italic.sfd,
	  +sipa/Laksaman-Bold.sfd, +sipa/Laksaman-BoldItalic.sfd:
	  - Create sfd files from TH Sarabun New TTF's.
	  - Rename font family to Laksaman.
	  - Change Manufacturer to TLWG, retaining old info in Designer
	    fields.
	  - Change VendorURL to fonts-tlwg project page.
	  - Drop Compatible Full field.
	  - Set font version to 3.0: 2014-04-30.

2014-04-30  Theppitak Karoonboonyanan <theppitak@gmail.com>

	* configure.ac: Post-release version suffix added.

2014-03-17  Theppitak Karoonboonyanan <theppitak@gmail.com>

	* configure.ac, NEWS:
	=== Version 0.6.0 ===

2014-03-17  Theppitak Karoonboonyanan <theppitak@gmail.com>

	* TODO:
	  - Cross out minority language support. It's done.

2014-03-17  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Replace my broken @linux.thai.net e-mail in non-history occurences.

	* configure.ac:
	  - Replace bug-report-address with mailing list.
	* AUTHORS, tlwg/AUTHORS, tlwg/CREDITS, scripts/thaikernpairs.txt:
	  - Replace my e-mail with @gmail.
	* tlwg/TlwgTypist*.sfd, tlwg/TlwgTypo*.sfd:
	  - Replace my Designer address with @gmail.

2014-03-17  Theppitak Karoonboonyanan <theppitak@gmail.com>

	Waree, Umpush: Update Vendor URL.

	* tlwg/Waree*.sfd, tlwg/Umpush*.sfd:
	  - Update Vendor URL from thaifonts-scalable to fonts-tlwg.

2014-03-17  Theppitak Karoonboonyanan <theppitak@gmail.com>

	* AUTHORS:
	  - Replace thaifonts-scalable mentioning with fonts-tlwg.

2014-03-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Bump font major versions to reflect new anchor classes.

	* nf/Garuda*.sfd:
	  - Bump font version to 3.00: 2014-03-17.
	* nf/Norasi*.sfd:
	  - Bump font version to 005.000: 2014-03-17.
	* nf/Nikkari*.sfd:
	  - Bump font version to 002.000: 2014-03-17.
	* nectec/Loma*.sfd:
	  - Bump font version to 0.10.0: 2014-03-17.
	* tlwg/Waree*.sfd:
	  - Bump font version to 0.12.0: 2014-03-17.
	* tlwg/Umpush*.sfd:
	  - Bump font version to 0.10.0: 2014-03-17.
	* tlwg/Sawasdee*.sfd:
	  - Bump font version to 002.000: 2014-03-17.
	* tlwg/Purisa*.sfd:
	  - Bump font version to 003.000: 2014-03-17.
	* tlwg/TlwgTypo*.sfd:
	  - Bump font version to 003.000: 2014-03-17.
	* tlwg/TlwgTypist*.sfd:
	  - Bump font version to 002.000: 2014-03-17.
	* tlwg/TlwgTypewriter*.sfd:
	  - Bump font version to 002.000: 2014-03-17.

2014-03-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	LaTeX: Replace thaifonts-scalable mentionings with fonts-tlwg.

	* latex/fonts-tlwg.sty:
	* latex/lthgaruda.fd:
	* latex/lthkinnari.fd:
	* latex/lthloma.fd:
	* latex/lthnorasi.fd:
	* latex/lthpurisa.fd:
	* latex/lthsawasdee.fd:
	* latex/lthttype.fd:
	* latex/lthttypist.fd:
	* latex/lthumpush.fd:
	* latex/lthwaree.fd:
	  - Replace thaifonts-scalable mentionings with fonts-tlwg.

2014-03-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Umpush: Adjust low below marks positions.

	* tlwg/Umpush*.sfd:
	  - Adjust horizontal position of low Sara U, Sara Uu, Phinthu PUA's
	    so they align properly when stacking. This is mainly for LaTeX
	    but also applies to legacy PUA-based rendering engines.
	  - Adjust overshoots & stem widths of Thai glyphs.
	    For Umpush-Light*, also adjust BlueValues to have non-zero-width
	    blue zone.
	  - Bump font version to 0.9.18: 2014-03-15.

2014-03-14  Theppitak Karoonboonyanan <thep@linux.thai.net>

	LaTeX: Add Umpush Light series.

	* tlwg/Makefile.am:
	  - Add rules to generate TeX staffs for umpush_l and umpush_lo.
	* latex/lthumpush.fd:
	  - Add font shape declaration for light weight.
	* latex/examples/teststd.tex:
	  - Add tests for Umpush Light and LightOblique.

2014-03-08  Theppitak Karoonboonyanan <thep@linux.thai.net>

	LaTeX: Add basic supports for ethnic languages.

	* latex/examples/teststd.tex:
	  - Add sample ethnic language text for testing.
	* latex/thailigs.enc:
	  - Add LIGKERN rules for high tone marks over Mai Taikhu, tone marks,
	    and Thanthakhat.
	  - Ditto for high-left counterparts.
	  - Add generalization for left Nikhahit after Sara Uu and Phinthu.
	  - Add LIGKERN rules for left upper vowel after Phinthu, with
	    generalization over Sara U and Sara Uu.
	  - Add LIGKERN rules for low Sara U, Sara Uu, and Phintu below
	    another.

2014-02-28  Theppitak Karoonboonyanan <thep@linux.thai.net>

	TlwgTypist: Add supports for stacking over/under base-line vowels.

	* tlwg/TlwgTypist*.sfd:
	  - Add "'mark' Thai Below Base Centered" GPOS table,
	    with "BelowBaseCenter" anchor class, for aligning below marks
	    under some vowels properly.
	  - Add BelowBaseCenter base anchors to leading vowels.
	  - Add BelowBase base anchors to Ru, Lu, Lakkhangyao, Maiyamok
	  - Add BelowBaseCenter mark anchor to below marks.
	  - Add AboveBase base anchors to Sara O, Maimuan, Maimalai.
	  - [Bold & BoldOblique] Copy polished glyphs for leading vowels
	    and below marks from TlwgTypo.
	  - [Bold & BoldOblique] Copy BelowBase base anchor for Ro Rua
	    from TlwgTypo.
	  - Bump font version to 001.025: 2014-02-28.

2014-02-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	TlwgTypo: Add supports for stacking over/under base-line vowels.

	* tlwg/TlwgTypo*.sfd:
	  - Add "'mark' Thai Below Base Centered" GPOS table,
	    with "BelowBaseCenter" anchor class, for aligning below marks
	    under some vowels properly.
	  - Add AboveBase, BelowBase/BelowBaseCenter base anchors to
	    base-line vowels, punctuation marks and Thai digits.
	  - Add BelowBaseCenter mark anchor to below marks.
	  - Bump font version to 002.016: 2014-02-27.

2014-02-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Update missing credit info.

	* tlwg/AUTHORS, tlwg/CREDITS:
	  - Add missing info for TlwgTypo, Umpush, Waree.

2014-02-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Garuda: Correct spline direction.

	* nf/Garuda*.sfd:
	  - Correct all glyphs with wrong spline direction.
	  - Bump font version to 2.69: 2014-02-26.

2014-02-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Loma: Correct spline direction.

	* nectec/Loma*.sfd:
	  - Correct all glyphs with wrong spline direction,
	    namely ')' in normal faces.
	  - Bump font version to 0.9.21: 2014-02-26.

2014-02-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Sawasdee: Correct spline direction.

	* tlwg/Sawasdee*.sfd:
	  - Correct all glyphs with wrong spline direction,
	    namely 'm' in bold faces.
	  - Bump font version to 001.010: 2014-02-26.

2014-02-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Umpush: Correct spline direction.

	* tlwg/Umpush*.sfd:
	  - Correct all glyphs with wrong spline direction.
	  - Bump font version to 0.9.17: 2014-02-26.

2014-02-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	TlwgTypewriter: Add support for below-base stacking.

	* tlwg/TlwgTypewriter*.sfd:
	  - Add 'mkmk' Thai Below Mark lookup and BelowMark anchor class.
	  - Add BelowMark base & mark anchors to below marks.
	  - Lift up Phinthu to get closer to base line.
	  - Bump font version to 001.021: 2014-02-26.

2014-02-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	TlwgTypewriter: Improve above-base stacking for ethnic languages.

	* tlwg/TlwgTypewriter*.sfd:
	  - Add high Yamakkan (uni0E4E.high) glyph, with conversion from
	    uni0E4E in 'Thai Mark High Variant' table.
	  - 'ccmp' Thai General Composition:
	    - Add uni0E4E to class 5 so it gets converted to high variant.
	    - Add lookups to convert marks to high variant when it comes
	      after all above-base characters and their converted variants.
	  - Add AboveMark base anchor for normal & low tone marks,
	    normal & high Maitaikhu, high Nikhahit, normal & high Yamakkan.
	  - Bump font version to 001.020: 2014-02-26.

2014-02-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	TlwgTypo: Add support for below-base stacking.

	* tlwg/TlwgTypo*.sfd:
	  - Add 'mkmk' Thai Below Mark lookup and BelowMark anchor class.
	  - Add BelowMark base & mark anchors to below marks.
	  - Bump font version to 002.015: 2014-02-26.

2014-02-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	TlwgTypo: Improve above-base stacking for ethnic languages.

	* tlwg/TlwgTypo*.sfd:
	  - Add high Yamakkan (uni0E4E.high) glyph, with dx_adv 'mkmk'
	    positioning, and conversion from uni0E4E in 'Thai Mark High
	    Variant' table.
	  - 'ccmp' Thai General Composition:
	    - Add uni0E4E to class 5 so it gets converted to high variant.
	    - Add lookups to convert marks to high variant when it comes
	      after all above-base characters and their converted variants.
	  - Add AboveMark base anchor for normal & low tone marks,
	    normal & high Maitaikhu, high Nikhahit, normal & high Yamakkan.
	  - [Normal & Oblique] Unref high Maitaikhu (uni0E47.high),
	    high Yamakkan (uni0E4E.high); and expand stroke by 6 (copied from
	    TlwgTypist).
	  - Bump font version to 002.014: 2014-02-26.

2014-02-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	TlwgTypist: Add support for below-base stacking.

	* tlwg/TlwgTypist*.sfd:
	  - Add 'mkmk' Thai Below Mark lookup and BelowMark anchor class.
	  - Add BelowMark base & mark anchors to below marks.
	  - Bump font version to 001.024: 2014-02-26.

2014-02-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	TlwgTypist: Improve above-base stacking for ethnic languages.

	* tlwg/TlwgTypist*.sfd:
	  - Add high Yamakkan (uni0E4E.high) glyph, with conversion from
	    uni0E4E in 'Thai Mark High Variant' table.
	  - 'ccmp' Thai General Composition:
	    - Add uni0E4E to class 5 so it gets converted to high variant.
	    - Add lookups to convert marks to high variant when it comes
	      after all above-base characters and their converted variants.
	  - Add AboveMark base anchor for normal & low tone marks,
	    normal & high Maitaikhu, high Nikhahit, normal & high Yamakkan.
	  - [Normal & Oblique] Unref high Maitaikhu (uni0E47.high),
	    high Yamakkan (uni0E4E.high); and expand stroke by 6.
	  - Bump font version to 001.023: 2014-02-25.

2014-02-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Purisa: Add support for below-base stacking.

	* tlwg/Purisa*.sfd:
	  - Add 'mkmk' Thai Below Mark lookup and BelowMark anchor class.
	  - Add BelowMark base & mark anchors to below marks.
	  - Bump font version to 002.017: 2014-02-24.

2014-02-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Purisa: Improve above-base stacking for ethnic languages.

	* tlwg/Purisa*.sfd:
	  - Add high Yamakkan (uni0E4E.high) glyph, with conversion from
	    uni0E4E in 'Thai Mark High Variant' table.
	  - 'ccmp' Thai General Composition:
	    - Add uni0E4E to class 5 so it gets converted to high variant.
	    - Add lookups to convert marks to high variant when it comes
	      after all above-base characters and their converted variants.
	  - Add AboveMark base anchor for normal & low tone marks,
	    normal & high Maitaikhu, high Nikhahit, normal & high Yamakkan.
	  - Adjust anchors for normal Mai Tri, normal Thanthakhat horizontally.
	  - Adjust glyph positions of low Mai Tho, low Mai Tri,
	    low Mai Chattawa, low Thanthakhat vertically.
	  - Bump font version to 002.016: 2014-02-24.

2014-02-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Sawasdee: Add support for below-base stacking.

	* tlwg/Sawasdee*.sfd:
	  - Add 'mkmk' Thai Below Mark lookup and BelowMark anchor class.
	  - Add BelowMark base & mark anchors to below marks.
	  - Bump font version to 001.009: 2014-02-21.

2014-02-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Sawasdee: Improve above-base stacking for ethnic languages.

	* tlwg/Sawasdee*.sfd:
	  - Add high Yamakkan (uni0E4E.high) glyph, with conversion from
	    uni0E4E in 'Thai Mark High Variant' table.
	  - 'ccmp' Thai General Composition:
	    - Add uni0E4E to class 5 so it gets converted to high variant.
	    - Add lookups to convert marks to high variant when it comes
	      after all above-base characters and their converted variants.
	  - Add AboveMark base anchor for normal & low tone marks,
	    normal & high Maitaikhu, high Nikhahit, normal & high Yamakkan.
	  - Unref high Maitaikhu (uni0E47.high), high Yamakkan (uni0E4E.high);
	    and expand stroke to be as thick as unscaled glyphs.
	  - Bump font version to 001.008: 2014-02-20.

2014-02-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Umpush: Add support for below-base stacking.

	* tlwg/Umpush-Light[Oblique].sfd:
	  - Fix directions for Sara U, Sara UU splines.
	* tlwg/Umpush*.sfd:
	  - Add 'mkmk' Thai Below Mark lookup and BelowMark anchor class.
	  - Add BelowMark base & mark anchors to below marks.
	  - Bump font version to 0.9.16: 2014-02-20.

2014-02-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Umpush: Improve above-base stacking for ethnic languages.

	* tlwg/Umpush*.sfd:
	  - Add high Yamakkan (uni0E4E.high) glyph, with conversion from
	    uni0E4E in 'Thai Mark High Variant' table.
	  - 'ccmp' Thai General Composition:
	    - Add uni0E4E to class 5 so it gets converted to high variant.
	    - Add lookups to convert marks to high variant when it comes
	      after all above-base characters and their converted variants.
	  - Remove AboveMark mark anchor for normal Maitaikhu.
	  - Add AboveMark base anchor for normal & low tone marks,
	    normal & high Maitaikhu, high Nikhahit, normal & high Yamakkan.
	  - Unref high Maitaikhu (uni0E47.high), high Yamakkan (uni0E4E.high);
	    and expand stroke by 30 for Light & Normal, 26 for Bold.
	  - Bump font version to 0.9.15: 2014-02-20.

2014-02-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Waree: Add support for below-base stacking.

	* tlwg/Waree-Bold[Oblique].sfd:
	  - Lengthen Sara U vertical stem.
	* tlwg/Waree*.sfd:
	  - Add 'mkmk' Thai Below Mark lookup and BelowMark anchor class.
	  - Add BelowMark base & mark anchors to below marks.
	  - Bump font version to 0.11.11: 2014-02-19.

2014-02-18  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Waree: Improve above-base stacking for ethnic languages.

	* tlwg/Waree*.sfd:
	  - Add high Yamakkan (uni0E4E.high) glyph, with conversion from
	    uni0E4E in 'Thai Mark High Variant' table.
	  - 'ccmp' Thai General Composition:
	    - Add uni0E4E to class 5 so it gets converted to high variant.
	    - Add lookups to convert marks to high variant when it comes
	      after all above-base characters and their converted variants.
	  - Add AboveMark base & mark anchors for high Yamakkan.
	  - Remove AboveMark mark anchor from normal Maitaikhu,
	    normal Nikhahit, normal Yamakkan.
	  - Unref high Maitaikhu (uni0E47.high), high Yamakkan (uni0E4E.high);
	    and expand stroke by 14.
	  - Bump font version to 0.11.10: 2014-02-18.

2014-02-18  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Loma: Add support for below-base stacking.

	* nectec/Loma*.sfd:
	  - Add 'mkmk' Thai Below Mark lookup and BelowMark anchor class.
	  - Add BelowMark base & mark anchors to below marks.
	  - Bump font version to 0.9.20: 2014-02-18.

2014-02-18  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Loma: Improve above-base stacking for ethnic languages.

	* nectec/Loma*.sfd:
	  - Add high Yamakkan (uni0E4E.high) glyph, with conversion from
	    uni0E4E in 'Thai Mark High Variant' table.
	  - 'ccmp' Thai General Composition:
	    - Add uni0E4E to class 5 so it gets converted to high variant.
	    - Add lookups to convert marks to high variant when it comes
	      after all above-base characters and their converted variants.
	  - Add AboveMark base anchor for normal & low tone marks,
	    normal & high Maitaikhu, high Nikhahit, normal & high Yamakkan.
	  - Unref high Maitaikhu (uni0E47.high), high Yamakkan (uni0E4E.high);
	    and expand stroke by 12.
	  - Bump font version to 0.9.19: 2014-02-18.

2014-02-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Norasi: Add support for below-base stacking.

	* nf/Norasi*.sfd:
	  - Add 'mkmk' Thai Below Mark lookup and BelowMark anchor class.
	  - Add BelowMark base & mark anchors to below marks.
	  - Bump font version to 004.015: 2014-02-17.

2014-02-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Norasi: Improve above-base stacking for ethnic languages.

	* nf/Norasi*.sfd:
	  - Add high Yamakkan (uni0E4E.high) glyph, with conversion from
	    uni0E4E in 'Thai Mark High Variant' table.
	  - 'ccmp' Thai General Composition:
	    - Add uni0E4E to class 5 so it gets converted to high variant.
	    - Add lookups to convert marks to high variant when it comes
	      after all above-base characters and their converted variants.
	  - Add AboveMark base anchor for normal & low tone marks,
	    normal & high Maitaikhu, high Nikhahit, normal & high Yamakkan.
	  - Unref high Maitaikhu (uni0E47.high), high Yamakkan (uni0E4E.high);
	    and expand stroke by 6.
	  - Bump font version to 004.014: 2014-02-17.

2014-02-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Kinnari: Add support for below-base stacking.

	* nf/Kinnari*.sfd:
	  - Add 'mkmk' Thai Below Mark lookup and BelowMark anchor class.
	  - Add BelowMark base & mark anchors to below marks.
	  - Bump font version to 001.012: 2014-02-13.

2014-02-12  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Kinnari: Improve above-base stacking for ethnic languages.

	* nf/Kinnari*.sfd:
	  - Add high Yamakkan (uni0E4E.high) glyph, with conversion from
	    uni0E4E in 'Thai Mark High Variant' table.
	  - 'ccmp' Thai General Composition:
	    - Add uni0E4E to class 5 so it gets converted to high variant.
	    - Add lookups to convert marks to high variant when it comes
	      after all above-base characters and their converted variants.
	  - Add AboveMark base anchor for normal & low tone marks,
	    normal & high Maitaikhu, high Nikhahit, normal & high Yamakkan.
	  - Unref high Maitaikhu (uni0E47.high), high Yamakkan (uni0E4E.high);
	    and expand stroke by 6.
	  - Bump font version to 001.011: 2014-02-12.

2014-01-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Garuda: Add support for below-base stacking.

	* nf/Garuda*.sfd:
	  - Add 'mkmk' Thai Below Mark lookup and BelowMark anchor class.
	  - Add BelowMark base & mark anchors to below marks.
	  - Bump font version to 2.68: 2014-01-21.

2014-01-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Garuda: Improve support for ethnic languages.

	* nf/Garuda*.sfd:
	  - Add high Yamakkan (uni0E4E.high) glyph, with conversion from
	    uni0E4E in 'Thai Mark High Variant' table.
	  - 'ccmp' Thai General Composition:
	    - Add uni0E4E to class 5 so it gets converted to high variant.
	    - Add lookups to convert marks to high variant when it comes
	      after all above-base characters and their converted variants.
	  - Add AboveMark base anchor for normal & low tone marks,
	    normal & high Maitaikhu, high Nikhahit, normal & high Yamakkan.
	  - Unref high Maitaikhu (uni0E47.high), high Yamakkan (uni0E4E.high);
	    and expand stroke by 6.
	  - Bump font version to 2.67: 2014-01-20.

2014-01-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Improve support for ethnic languages.

	* tlwg/Waree*.sfd:
	  - Add AboveMark base anchor for normal tone marks, low tone marks,
	    normal and high Maitaikhu, high Nikhahit, Yamakkan.
	  - Add AboveMark mark anchor for normal Nikhahit and Yamakkan.
	  - Bump font version to 0.11.9: 2014-01-17.
	* tlwg/Waree-BoldOblique.sfd:
	  - Fix license clause. TLWG changes are in public domain.

2014-01-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.ac: Post-release version suffix added.

2013-02-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.ac, NEWS:
	=== Version 0.5.1 ===

2013-02-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Resurrect dist-ctan make target.

	* Makefile.am:
	  - Revert revision 758 which removed dist-ctan target.
	    CTAN now requires source and TDS to be uploaded as a single ZIP
	    again.

2013-01-28  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Switch to XZ tarball compression.

	* configure.in -> configure.ac:
	  - Rename file for modern autoconf.
	  - Specify "dist-xz no-dist-gzip" options to AM_INIT_AUTOMAKE.
	  - Also add "-Wno-portability" to skip warnings on GNU make specific
	    features.

2012-11-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Add glyphs for Esperanto to Purisa.

	* tlwg/Purisa*.sfd:
	  - Add Ccircumflex, ccircumflex, Gcircumflex, gcircumflex,
	    Hcircumflex, hcircumflex, Jcircumflex, jcircumflex,
	    Scircumflex, scircumflex, Ubreve, ubreve.

	Thanks Pablo Busto <pablo.eo@gmail.com> for the patch.

2012-07-04  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Fix malformed fontconfig config.

	* fontconfig/89-ttf-thai-tlwg-synthetic.conf:
	  - Replace multiple strings in tests with single substring to be
	    matched with "contains".
	  - Split rule for "MS/Microsoft Sans Serif" to get the OR result.

	Thanks Daiki Ueno for the suggestion, and Akira Tagoh for the report.
	https://bugzilla.redhat.com/show_bug.cgi?id=837538

2012-02-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist*.sfd, tlwg/TlwgTypo*.sfd, tlwg/TlwgTypewriter*.sfd,
	  tlwg/tlwgMono*.sfd:
	  - Add 'quotesinglbase' and 'quotedblbase' glyphs, which was missing
	    but referenced from LaTeX enc file.

	* tlwg/TlwgTypist*.sfd:
	  - Bump font version to "001.022: 2012-02-20".
	  - Update copyright year.
	* tlwg/TlwgTypo*.sfd:
	  - Bump font version to "002.013: 2012-02-20".
	  - Update copyright year.
	* tlwg/TlwgTypewriter*.sfd:
	  - Bump font version to "001.019: 2012-02-20".
	* tlwg/TlwgMono*.sfd:
	  - Bump font version to "001.019: 2012-02-20".

2012-02-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* README: Update project name & URL.

2012-02-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in: Post-release version suffix added.

2012-02-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, NEWS:
	=== Version 0.5.0 ===

2012-02-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* TODO: Updated.

2012-02-14  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* latex/examples/teststd.tex: Fix a minor typo in Pali sample.

2012-02-14  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgMono*.sfd:
	  - Drop empty 'liga' and improper 'frac' GSUB rules.
	  - Add 'ccmp' for Pali-Sanskrit descender removal.
	  - Bump font version to "001.018: 2012-02-14".

2012-02-14  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo*.sfd:
	  - Ditto.
	  - Bump font version to "002.012: 2012-02-14".

2012-02-14  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist*.sfd:
	  - Ditto.
	  - Bump font version to "001.021: 2012-02-14".

2012-02-14  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypewriter*.sfd:
	  - Ditto.
	  - Bump font version to "001.018: 2012-02-14".

2012-02-14  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush*.sfd:
	  - Ditto.
	  - Bump font version to "0.9.14: 2012-02-14".

2012-02-14  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree*.sfd:
	  - Ditto.
	  - Bump font version to "0.11.8: 2012-02-14".

2012-02-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee*.sfd:
	  - Ditto.
	  - Bump font version to "001.007: 2012-02-13".

2012-02-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa*.sfd:
	  - Replace the 'RQD' contextual subs Pali-Sanskrit descender
	    removal GSUB with 'ccmp' single subs.
	  - Drop 'PAL' from conditional descender removal GSUB.
	  - Reorder GSUBs for Pali so descender is removed first.
	  - Add 'SAN' (Sanskrit) tag to GPOS/GSUB where 'PAL' applies.
	  - Bump font version to "002.014: 2012-02-13".

2012-02-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma-Bold.sfd:
	* nectec/Loma-BoldOblique.sfd:
	  - Correct width of descless Tho Than.

2012-02-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd:
	  - Ditto.
	  - Bump font version to "0.9.18: 2012-02-13".

2012-02-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd:
	  - Ditto.
	  - Bump font version to "004.013: 2012-02-13".

2012-02-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd:
	  - Ditto.
	  - Bump font version to "001.010: 2012-02-13".

2012-02-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd:
	  - Replace the 'RQD' contextual subs Pali-Sanskrit descender
	    removal GSUB with 'ccmp' single subs.
	  - Drop 'PAL' from conditional descender removal GSUB.
	  - Reorder GSUBs for Pali so descender is removed first.
	  - Add 'SAN' (Sanskrit) tag to GPOS/GSUB where 'PAL' applies.
	  - Bump font version to "2.66: 2012-02-13".

2012-02-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Move font encodings & ligkern stuffs back to font package,
	to allow font-specific ligkern rules.

	* +latex/lthtlwg.enc +latex/thailigs.enc +latex/thai-dummy.afm:
	  - Add enc & ligkern stuff from thailatex project.
	* latex/Makefile.am:
	  - Add new files to EXTRA_DIST.
	  - Install the enc file.
	* latex/texfont.mk.am:
	  - Add rules for creating symlinks to source files in builddir.
	  - Adjust rules to use the local source files.
	* configure.in:
	  - Drop all checks for files in TEXMF, freeing it from thailatex
	    build-dep.
	  - Drop now-unneeded check for kpsewhich utility.

2012-02-11  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in:
	  - Rename project to 'fonts-tlwg', to be more meaningful and
	    consistent with the name referred to in other places.

	    http://groups.google.com/group/thai-linux-foss-devel/
	    browse_thread/thread/c2936fc089be37f9

2012-02-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* Makefile.am:
	  - Drop unneeded dist-ctan targets, as dist-tds already suffices.

2012-02-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush*.sfd:
	  - Clear unused background layer.

2012-02-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma.sfd, nectec/Loma-Oblique.sfd:
	* tlwg/Umpush.sfd, tlwg/Umpush-Oblique.sfd:
	  - Adjust 'Y' and 'yen' diagonal stems.

	* nectec/Loma*.sfd:
	  - Clear unused background layer.

2012-02-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd, tlwg/Umpush*.sfd:
	  - Reduce width of 'E' to be similar to 'F'.
	  - Equalize space between 'm' stems.

2012-02-02  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush*.sfd:
	  - Re-align tone marks to Sara I, Sara Ii, Sara Ue, Sara Uee.

2012-02-02  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush-Light.sfd, tlwg/Umpush-LightOblique.sfd:
	  - Add more Latin glyphs from Umpush Normal, with diminished
	    thickness, for Latin coverage.
	  - Recalculate StdHW, StdVW, StemSnapH, StemSnapV.

2012-01-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma-Bold.sfd, nectec/Loma-BoldOblique.sfd:
	  - Adjust 'onehalf' and 'threequarters' slash positions.

	* tlwg/Umpush-Bold.sfd, tlwg/Umpush-BoldOblique.sfd:
	  - Add more Latin glyphs from Loma for more Latin coverage.
	  - Recalculate StdHW, StdVW, StemSnapH, StemSnapV.

2012-01-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush.sfd, tlwg/Umpush-Oblique.sfd:
	  - Recalculate StdHW, StdVW, StemSnapH, StemSnapV.

2012-01-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma.sfd, nectec/Loma-Oblique.sfd:
	  - Adjust 'uni207F' (superscript n) glyph for consistent stem widths.
	  - Adjust 'onehalf' glyph for consistent slash position.

	* tlwg/Umpush.sfd, tlwg/Umpush-Oblique.sfd:
	  - Copy the adjusted Latin glyphs from Loma.
	  - Add more Latin glyphs from Loma for more Latin coverage.

2012-01-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma.sfd, nectec/Loma-Oblique.sfd,
	  tlwg/Umpush.sfd, tlwg/Umpush-Oblique.sfd:
	  - Adjust trademark glyph for consistent stem widths.

	* tlwg/Umpush-Light.sfd, tlwg/Umpush-LightOblique.sfd:
	  - Add 8 glyphs for LaTeX completeness: ae, AE, oe, OE, germandbls,
	    guillemotright, questiondown, trademark. Glyphs are taken from
	    Loma, with stems made thinner.

2012-01-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush.sfd, tlwg/Umpush-Oblique.sfd:
	  - Update recently changed glyphs from Loma.

2012-01-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma.sfd, nectec/Loma-Oblique.sfd:
	  - Adjust ae, AE, OE, germandbls, Eth for consistent stem widths.

2012-01-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush.sfd, tlwg/Umpush-Oblique.sfd,
	  tlwg/Umpush-Bold.sfd, tlwg/Umpush-BoldOblique.sfd:
	  - Add 8 glyphs for LaTeX completeness: ae, AE, oe, OE, germandbls,
	    guillemotright, questiondown, trademark. Glyphs are taken from
	    Loma as usual. Umpush-Light is to be done later.

2012-01-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma-Bold.sfd, nectec/Loma-BoldOblique.sfd:
	  - Re-align Sara I, Sara Ii, Sara Ue, Sara Uee with tone marks.

2012-01-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma.sfd, nectec/Loma-Oblique.sfd:
	  - Recompose ff, fi, fl, ffi, ffl ligatures in the same way done
	    in bold face.

2012-01-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma-Bold.sfd, nectec/Loma-BoldOblique.sfd:
	  - Normalize stem widths for Latin glyphs.
	  - Recalculate StdHW, StdVW, StemSnapH, StemSnapV accordingly.

2012-01-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma.sfd, nectec/Loma-Oblique.sfd:
	  - Adjust some Thai glyphs with deviated stem widths.

2012-01-14  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma.sfd, nectec/Loma-Oblique.sfd:
	  - Normalize stem widths for Latin glyphs.
	  - Recalculate StdHW, StdVW, StemSnapH, StemSnapV accordingly.

2012-01-12  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma-Bold*.sfd:
	  - Embolden Latin glyphs which appear to be identical to normal face.

2012-01-12  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd:
	  - Add Latin glyphs. Glyphs are mostly composed from existing
	    glyphs. Some are taken from Garuda.

2012-01-10  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* latex/examples/teststd.tex:
	  - Fix wrong commands for Pali test on Purisa.

2012-01-10  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa*.sfd:
	  - Add 3 glyphs for LaTeX completeness: dagger, daggerdbl, trademark.
	    Glyphs are composed from existing glyphs.
	  - Flip questiondown horizontally, to get correct shape.

2012-01-10  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd:
	  - Re-encode dotlessj from Adobe PUA U+F6BE to BMP U+0237.

2012-01-10  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* latex/examples/teststd.tex:
	  - Add ?` and !` test sequences.

2012-01-10  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd:
	  - Add more Latin glyphs from Norasi. Partial Latin support was
	    not good.
	  - Fine-tune splines of the copied glyphs & related.
	* nf/Norasi*.sfd:
	  - Copy back the fine-tuned glyphs from Kinnari.

2012-01-08  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgMono*.sfd, tlwg/TlwgTypewriter*.sfd,
	  tlwg/TlwgTypist*.sfd, tlwg/TlwgTypo*.sfd:
	  - Add 3 glyphs for LaTeX completeness: OE, oe, trademark.
	    Glyphs are taken from FreeMono.

2012-01-08  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd:
	  - Add 16 glyphs for LaTeX completeness: ae, AE, oe, OE, dagger,
	    daggerdbl, section, paragraphs, copyright, trademark,
	    guillemotleft, guillemotright, questiondown, exclamdown,
	    quotedblbase, germandbls. Glyphs are taken from Norasi.

2012-01-08  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd:
	  - Re-apply Simplify, Round-to-Int, Auto-Hint.
	  - Re-encode as compact Unicode BMP.

2012-01-08  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd:
	  - Re-apply Simplify, Round-to-Int, Auto-Hint.
	  - Re-encode as compact Unicode BMP.

2012-01-08  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd:
	  - Re-apply Simplify, Round-to-Int, Auto-Hint.
	  - Re-encode as compact Unicode BMP.

2012-01-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd:
	  - Re-apply Simplify, Round-to-Int, Auto-Hint.

2012-01-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa*.sfd:
	  - Re-apply Simplify, Round-to-Int, Auto-Hint.
	  - Re-encode as compact Unicode BMP.

2012-01-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee*.sfd:
	  - Re-apply Simplify, Round-to-Int, Auto-Hint.
	  - Re-encode as compact Unicode BMP.

2012-01-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush*.sfd:
	  - Re-apply Simplify, Round-to-Int, Auto-Hint.

2012-01-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree*.sfd:
	  - Re-apply Simplify, Round-to-Int, Auto-Hint.

2012-01-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypewriter*.sfd:
	  - Re-apply Simplify, Round-to-Int, Auto-Hint.
	  - Re-encode as compact Unicode BMP.

2012-01-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgMono*.sfd:
	  - Re-apply Simplify, Round-to-Int, Auto-Hint.
	  - Re-encode as compact Unicode BMP.

2012-01-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo*.sfd:
	  - Re-apply Simplify, Round-to-Int, Auto-Hint.
	  - Re-encode as compact Unicode BMP.

2012-01-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist*.sfd:
	  - Re-apply Simplify, Round-to-Int, Auto-Hint.
	  - Re-encode as compact Unicode BMP.

2012-01-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist.sfd, tlwg/TlwgTypist-Oblique.sfd:
	  - Fix widths of low-variants of Sara U & Sara Uu to zero.

2012-01-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo*.sfd:
	  - Add "dotlessi", "dotlessj" glyphs.
	  - Bump font version to "002.011: 2012-01-07".

2012-01-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist*.sfd:
	  - Add "dotlessi", "dotlessj" glyphs.
	  - Bump font version to "001.020: 2012-01-07".

2012-01-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgMono*.sfd, tlwg/TlwgTypewriter*.sfd:
	  - Add "dotlessi", "dotlessj" glyphs.
	  - Bump font version to "001.017: 2012-01-07".

2012-01-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee*.sfd:
	  - Add "dotlessi", "dotlessj" glyphs.
	  - Bump font version to "001.007: 2012-01-07".

2012-01-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush*.sfd:
	  - Add "dotlessi", "dotlessj" glyphs.
	  - Bump font version to "0.9.13: 2012-01-06".

2012-01-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree*.sfd:
	  - Add "dotlessj" glyph.
	  - Bump font version to "0.11.7: 2012-01-06".

2012-01-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd:
	  - Add "dotlessi", "dotlessj" glyphs.
	  - Bump font version to "0.9.17: 2012-01-06".

2012-01-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd:
	  - Add "dotlessi", "dotlessj" glyphs.
	  - Bump font version to "001.009: 2012-01-06".

2012-01-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd:
	  - Add "dotlessj" glyph, for LaTeX completeness.
	  - Bump font version to "2.65: 2012-01-06".

2011-12-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* latex/examples/teststd.tex:
	  - Use macros to generate duplicated texts.
	  - Use one-column layout and make poems two-column.
	  - Add more Latin characters to ligkern test.

2011-12-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* Makefile.am: Remove old CTAN/TDS zip files before zipping.

2011-12-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* Makefile.am: Move doc in TDS zip to doc/fonts/

2011-12-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* Makefile.am: Move source in TDS zip to source/fonts/

2011-12-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* Makefile.am: Use LATEX_PACKAGE for CTAN package names.

2011-12-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* Makefile.am: Add original source to TDS zip file, as required
	for inclusion in TeXLive.

2011-12-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Install LaTeX files under consistent subdir name.

	* configure.in: Define LATEX_PACKAGE macro.
	* Makefile.am: Set doc subdir to $(LATEX_PACKAGE).
	* latex/texfont.mk.am: Install LaTeX font files under $(LATEX_PACKAGE).
	* latex/Makefile.am: Install LaTeX stuff under $(LATEX_PACKAGE).

2011-12-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in: Post-release version suffix added.

2011-11-02  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, NEWS:
	=== Version 0.4.17 ===

2011-10-31  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* latex/fonts-tlwg.sty
	* latex/lthttypist.fd
	* latex/lthumpush.fd
	* latex/lthpurisa.fd
	* latex/lthgaruda.fd
	* latex/lthwaree.fd
	* latex/lthttype.fd
	* latex/lthloma.fd
	* latex/lthnorasi.fd
	* latex/lthkinnari.fd
	* latex/lthsawasdee.fd: Add licensing header.

2011-10-28  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* Makefile.am:
	  - List latex subdir before fonts, to make sure mktexlsr is executed
	    after its installation.

2011-10-28  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Makefile.am, nectec/Makefile.am, tlwg/Makefile.am:
	  - Check for file existence before making symlinks.

2011-10-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* latex/texfonts.mk.am: Change font subdirs from 'thai' to 'tlwg'.

2011-10-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* latex/Makefile.am, -latex/lthuni.enc: Remove, use system version.

2011-10-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* Makefile.am: Add CTAN zip generation, adapted from thailatex.

2011-10-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Add LaTeX example docs

	* configure.in, +latex/Makefile.am, +latex/examples/Makefile.am:
	  - Add latex/example subdir.
	* latex/examples/Makefile.am, +latex/examples/teststd.tex:
	  - Add teststd.tex example from thailatex package.
	  - Convert the sample to UTF-8 and use fonts-tlwg package.

2011-10-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Build thailigs.vpl from thailatex resource.

	* latex/Makefile.am, -latex/thailigs.vpl: Drop thailigs.vpl.
	* latex/texfont.mk.am: Build thailigs.vpl from thailatex resource.
	* configure.in: Check for thailatex resource.

2011-10-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in: Post-release version suffix added.

2011-10-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, NEWS:
	=== Version 0.4.16 ===

2011-10-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* latex/Makefile.am: Protect LaTeX files installation with condition.

2011-10-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* README: Update project URL.

2011-10-18  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* latex/Makefile.am, +latex/fonts-tlwg.sty:
	  - Add fonts-tlwg package.
	  - Install font declaration files under tex/latex/fonts-tlwg
	    instead of babel.

2011-10-18  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Drop the hardly-used *.pfa generation, which can cause repeated
	generations of *.afm or *.pfb because of make rule match.

	* configure.in:
	  - Remove --enable-pfa configure option
	  - Remove INCLUDE_PFA and INCLUDE_TYPE1 make conditions,
	    only INCLUDE_PFB left now.
	* Makefile.am, scripts/gen.mk.am:
	  - Remove PFA rules, and INCLUDE_PFA, INCLUDE_TYPE1 conditions.

2011-10-18  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Add temporary solution for LaTeX fonts build by copying stuffs from
	thailatex package.

	* configure.in:
	  - Add --enable-latex configure option and checks for tex utilities.
	* Makefile.am, +latex/*:
	  - Add latex/ subdir for LaTeX resources:
	    + latex/lthuni.enc: LTH charset encoding definition.
	    + latex/thailigs.vpl: dummy virtual font with LIGKERN rules,
	      taken from intermediate product in thailatex build process.
	    + latex/texfont.mk.am: Makefile.am snippet for building LaTeX fonts.
	    + latex/*.fd: font descriptions for LaTeX
	* nectec/Makefile.am:
	* nf/Makefile.am:
	* tlwg/Makefile.am:
	  - Add rules under LaTeX-enabled condition to rename the generated
	    Postscript fonts to what used in LaTeX and then build the
	    LaTeX fonts using the common rule snippet.

2011-10-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Make legacy fonts dir/cache optional and disabled by default.

	* configure.in:
	  - Add --enable-xfontsdir option and only check for X/fontconfig
	    utils when enabled.
	* Makefile.am:
	  - Wrap install/uninstall hooks with xfontsdir condition.

2011-10-05  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* Makefile.am:
	  - Remove unused source.

2011-10-05  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in:
	  - Add bug report address.

2011-07-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypewriter*.sfd:
	  - Remove empty 'liga'. Remove 'frac'.
	  - Bump font version to "001.016: 2011-07-19".

2011-07-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist*.sfd:
	  - Remove empty 'liga'. Remove 'frac'.
	  - Bump font version to "001.019: 2011-07-19".

2011-07-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo*.sfd:
	  - Remove empty 'liga'. Remove 'frac'.
	  - Bump font version to "002.010: 2011-07-19".

2011-04-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree*.sfd:
	  - Ditto for GSUB reordering.
	  - Bump font version to "0.11.6: 2011-04-23".

2011-04-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush*.sfd:
	  - Ditto for GSUB reordering.
	  - Bump font version to "0.9.12: 2011-04-23".

2011-04-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo*.sfd:
	  - Ditto for GSUB reordering.
	  - Bump font version to "002.009: 2011-04-23".

2011-04-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypewriter*.sfd:
	  - Ditto for GSUB reordering.
	  - Bump font version to "001.015: 2011-04-23".

2011-04-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist*.sfd:
	  - Ditto for GSUB reordering.
	  - Remove excessive anchor "Above Mark Mark" for normal NIKHAHIT
	    in Bold and BoldOblique.
	  - Bump font version to "001.005: 2011-04-23".

2011-04-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee*.sfd:
	  - Ditto.
	  - Bump font version to "001.005: 2011-04-23".

2011-04-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa*.sfd:
	  - Ditto.
	  - Bump font version to "002.013: 2011-04-23".

2011-04-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd:
	  - Ditto.
	  - Bump font version to "0.9.16: 2011-04-23".

2011-04-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd:
	  - Ditto.
	  - Bump font version to "004.012: 2011-04-23".

2011-04-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd:
	  - Ditto.
	  - Bump font version to "001.008: 2011-04-23".

2011-04-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd:
	  - Reorder GSUB so that YO YING, THO THAN descender removals are
	    applied before the lower vowel is swapped with upper mark,
	    fixing cases like: YO YING + SARA U + NIKHAHIT.
	  - Bump font version to "2.64: 2011-04-23".

2011-04-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in: Post-release version suffix added.

2011-03-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, NEWS:
	=== Version 0.4.15 ===

2011-03-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, -thaifonts-scalable.spec.in:
	Remove long-outdated, unmaintained RPM spec.

2011-03-11  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa*.sfd: Bump font version to 002.012: 2011-03-11.

2011-03-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa*.sfd: Fix glyph name for uacute which was wrongly put
	as "S". (Debian #608134)

2011-03-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa.sfd:
	* tlwg/Purisa-Oblique.sfd:
	* tlwg/Purisa-Bold.sfd:
	* tlwg/Purisa-BoldOblique.sfd:
	Remove "TM" ligature rule which replaces the text sequence with a girl
	face (uniF000), which is not typographically correct. (LP #680464)

2010-08-01  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in: Post-release version suffix added.

	* nf/Garuda*.sfd: Adjust widths & positions of Latin accents to be the
	same as those of the base characters. Bump font version to
	2.63: 2010-08-01.

2010-07-30  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, NEWS:
	=== Version 0.4.14 ===

2010-07-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda-Bold.sfd, nf/Garuda-BoldOblique.sfd: Adjust descenders of
	p, q, y to match with that of g. Also adjust Thai RU, LU and
	LAKKHANGYAO accordingly. Update OtherBlues.

2010-07-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda.sfd: Update OtherBlues. Set date in font version to
	2010-07-29.
	* nf/Garuda-Oblique.sfd: Update BlueValues and OtherBlues.
	Set date in font version to 2010-07-29.

2010-07-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda-Bold.sfd: Update BlueValues. Adjust missing glyphs.
	Set date in font version to 2010-07-29.
	* nf/Garuda-BoldOblique.sfd: Recreate glyphs from Garuda-Bold.sfd.
	Bump font version to 2.62:2010-07-29.

2010-07-28  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda-Bold.sfd: Adjust HStems & VStems so all stem widths are
	normalized. Bump font version to 2.62: 2010-07-28.

2010-07-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda.sfd, nf/Garuda-Oblique.sfd: Adjust HStems & VStems so all
	stem widths are normalized. Bump font version to 2.62: 2010-07-22.

2010-07-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* fontconfig/89-ttf-thai-tlwg-synthetic.conf: Add back Tahoma/MS Sans
	Serif fallbacks, with lang protection, so it only falls back on Thai
	language. See LP #539008.

2010-06-28  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in: Change default font installation dirs to
	PREFIX/share/fonts/{truetype,type1,opentype}/thai.

2010-01-10  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* fontconfig/89-ttf-thai-tlwg-synthetic.conf: Drop Tahoma/MS Sans
	Serif fallbacks. The choices were quite arbitrary, and caused
	undesired side-effect on western users, such as LP #434054.

2009-08-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo*.sfd: Bump font version to 002.008: 2009-08-13.
	* tlwg/TlwgTypist*.sfd: Bump font version to 001.017: 2009-08-13.

2009-08-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo-Bold*.sfd, tlwg/TlwgTypist-Bold*.sfd:
	Lift up lower boundary of SO SUA circular hook, to get into blue zone.

2009-08-08  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in: Post-release version suffix added.

	* tlwg/TlwgTypo-Bold*.sfd:
	  - Remove outline overlap in CHO CHOE.
	  - Fine-tune descender of YO YING.
	  - Lift up loop part of LO CHULA, to avoid overlap.
	  - Bump font version to 002.007: 2009-08-08.

	* tlwg/TlwgTypist-Bold*.sfd:
	  - Copy glyphs from TlwgTypo-Bold*.
	  - Bump font version to 001.016: 2009-08-08.

2009-07-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, NEWS:
	=== Version 0.4.13 ===

2009-07-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari.sfd:
	  - Manually clear DStem hints from KHO KHUAT, KHO RAKHANG, SO SO,		    THO NANGMONTHO glyphs.

	* nf/Kinnari*.sfd: Bump font version to 001.007: 2009-07-24.

2009-07-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi.sfd:
	  - Manually clear DStem hints from '5', MAIYAMOK, THO THAN, KHOMUT
	    glyphs, to get rid of distortion.

	* nf/Norasi-[Oblique,Italic].sfd:
	  - Manually clear DStem hints from KHOMUT glyph.

	* nf/Norasi*.sfd: Bump font version to 004.011: 2009-07-24.

2009-07-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda-Bold[Oblique].sfd:
	  - Extend blue zone at base line to cover more glyphs.
	  - Lift up '5' and '6' glyphs to get into blue zone.
	  - Manually add missing HStem hint to 'u' glyph.

	* nf/Garuda*.sfd: Bump font version to 2.61: 2009-07-24.

2009-07-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo[-Oblique].sfd, tlwg/TlwgTypist[-Oblique].sfd,
	  tlwg/TlwgTypewriter[-Oblique].sfd:
	  - Reduce tilt angle of '#' from 4 to 3 degree, to get rid of
	    diffusing stems due to hinting confusion.

	* tlwg/TlwgTypewriter*.sfd: Bump font version to 001.014: 2009-07-23.
	* tlwg/TlwgTypist*.sfd: Bump font version to 001.015: 2009-07-23.
	* tlwg/TlwgTypo*.sfd: Bump font version to 002.006: 2009-07-23.

2009-07-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari-BoldItalic.sfd:
	  - Manually fix hints for S glyph.

2009-07-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd:
	  - Re-apply autohint to all glyphs to get diag hints.
	  - Bump font version to 004.010: 2009-07-22.

	* nf/Norasi[-Oblique].sfd, nf/Norasi-BoldItalic.sfd:
	  - Manually fix hints for S glyph.

2009-07-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd:
	  - Re-apply autohint to all glyphs to get diag hints.
	  - Bump font version to 001.006: 2009-07-22.

2009-07-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd:
	  - Re-apply autohint to all glyphs to get diag hints.
	  - Bump font version to 0.9.15: 2009-07-22.

2009-07-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd:
	  - Re-apply autohint to all glyphs to get diag hints.
	  - Bump font version to 2.60: 2009-07-22.

2009-07-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee[-Oblique].sfd:
	  - Lift up bottoms of w, N, Ntilde, perthousand, Sacron glyphs to blue
	    zone.
	  - Lower tip of w glyph, N in N and Ntilde glyphs down to blue zone.

	* tlwg/Sawasdee*.sfd:
	  - Re-apply autohint to all glyphs to get diag hints.
	  - Bump font version to 001.004: 2009-07-22.

2009-07-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush*.sfd:
	  - Re-apply autohint to all glyphs to get diag hints.
	  - Bump font version to 0.9.11: 2009-07-22.

2009-07-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree*.sfd:
	  - Re-apply autohint to all glyphs to get diag hints.
	  - Bump font version to 0.11.5: 2009-07-22.

2009-07-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo*.sfd: Bump font version to 002.005: 2009-07-21.
	* tlwg/TlwgTypist*.sfd: Bump font version to 001.014: 2009-07-21.

2009-07-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo*.sfd, tlwg/TlwgTypist[-Oblique].sfd: Lower top stems of
	THO THAN, THO THONG, RO RUA to the same level as other glyphs.

2009-07-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo*.sfd, tlwg/TlwgTypist*.sfd: Merge separated BlueValues
	in Arabic digits top zone, for proper hinted height.

2009-07-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa*.sfd: Bump font version to 002.011: 2009-07-06.

2009-07-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa*.sfd:
	  - Set OS/2 Weight Class to 400 for normal faces, 700 for bold.
	  - Clear OS/2 Panose and use defaults.

2009-07-02  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Makefile.am, +tlwg/Purisa-[Bold]Oblique.sfd:
	Add oblique faces for Purisa.

	* tlwg/Purisa-Bold.sfd: Fix some overlaps.

2009-07-01  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Add bold face for Purisa, to ensure availability of all glyphs
	(LP: #313427).

	* tlwg/Purisa.sfd:
	  - Fix path direction in glyphs.
	* tlwg/Makefile.am, +tlwg/Purisa-Bold.sfd:
	  - Add bold face with manually emboldened glyphs.
	* tlwg/Purisa*.sfd:
	  - Add StdVW, StemSnapV, StdHW, StemSnapH.
	  - Add ForceBold for Purisa-Bold.
	  - Re-apply autohints.

2009-06-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist-Bold[Oblique].sfd: Add missing BlueValues for
	lower-case Latin glyphs. Re-apply autohints as necessary.

2009-06-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo-Bold[Oblique].sfd: Add missing BlueValues for
	lower-case Latin glyphs. Re-apply autohints as necessary.

2009-06-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo-Bold[Oblique].sfd: Shorten MAI EK, SARA II, SARA UEE
	vertical stem, and lift up MAI CHATTAWA, to make some vertical gap.

2009-06-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo[-Oblique].sfd:
	  - Re-apply autohints with diag hints, w/o bounding box hints.
	  - Manually hint dots for 'i' and 'j' glyphs.

	* tlwg/TlwgTypo-Bold[Oblique].sfd:
	  - Manually embolden Thai glyphs, to match Latin weight, not
	    auto-emboldening like TlwgTypist, to prevent self-overlaps.
	  - Adjust BlueValues and StemSnapV/StemSnapH accordingly.

	* tlwg/TlwgTypo*.sfd:
	  - Bump font version to 002.004: 2009-06-26.

2009-06-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Makefile.am,
	  tlwg/SawasdeeOblique.sfd     -> tlwg/Sawasdee-Oblique.sfd,
	  tlwg/SawasdeeBold.sfd        -> tlwg/Sawasdee-Bold.sfd,
	  tlwg/SawasdeeBoldOblique.sfd -> tlwg/Sawasdee-BoldOblique.sfd:
	Rename font source files for consistency with other fonts, and to
	prevent unconditional re-make due to disparity between the target
	patterns in gen.mk.am and the actual names of the files generated
	from gen-test-*.pe scripts.

2009-06-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* scripts/gen.mk.am: Fix subst patterns for test font files.

2009-06-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Put duplicated make rules into the common file.

	* scripts/Makefile.am, scripts/gen.mk -> scripts/gen.mk.am:
	Copy the common rule stubs from components' Makefile.am, put it into a
	new name that implies automake content.
	* {nf,nectec,tlwg}/Makefile.am:
	Remove common rules and include gen.mk.am instead of gen.mk.

2009-06-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Rearrange make rules.

	* {nf,nectec,tlwg}/Makefile.am:
	  - Use make pattern subst to generate lists of generated files instead
	    of sed in $(shell).

	* configure.in, scripts/Makefile.am,
	  scripts/gen.mk.in -> scripts/gen.mk:
	  - Don't bother generating gen.mk from gen.mk.in template. Just use
	    the $(FONTFORGE) variable provided by the configure script.

	* {nf,nectec,tlwg}/Makefile.am:
	  - Include gen.mk directly from $(top_srcdir)/... instead of from
	    $(top_builddir)/...

2009-06-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist*.sfd:
	  - Re-apply autohints with diag hints, w/o bounding box hints.
	  - Embolden Thai glyphs more for bold faces, to match Latin weight.
	  - Bump font version to 001.013: 2009-06-24.

2009-06-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypewriter*.sfd:
	  - Correct direction for THO THONG, SARA AA, SARA AM, LAKKHANGYAO,
	    THAI DIGIT ONE glyphs.
	  - Re-apply autohints without diag hints
	  - Manually add diag hint to DIGIT FOUR for TlwgTypewriter.sfd.
	  - Bump font version to 001.013: 2009-06-24.

2009-06-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgMono*.sfd:
	  - Correct direction for THO THONG, SARA AA, SARA AM, LAKKHANGYAO,
	    THAI DIGIT ONE glyphs.
	  - Re-apply autohings without diagonal hints (diag hints cause glitch
	    in some glyphs like asterisk).
	  - Manually add diag hint to DIGIT FOUR for TlwgMono.sfd.
	  - Bump font version to 001.013: 2009-06-24.

2009-06-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/{TlwgMono,TlwgTypewriter}-BoldOblique.sfd: Correct direction for
	THO THONG, SARA AA, SARA AM, LAKKHANGYAO glyphs.

2009-06-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* fontconfig/89-ttf-thai-tlwg-synthetic.conf: Fix 'eq' non-attribute
	with 'compare' attribute for 'test' element (LP: #387872).

2009-06-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in: Post-release version suffix added.

2009-06-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, NEWS:
	=== Version 0.4.12 ===

2009-06-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgMono*.sfd, tlwg/TlwgTypewriter*.sfd, tlwg/TlwgTypist*.sfd,
	tlwg/TlwgTypo*.sfd: Remove ligature substitution for ellipsis in all
	monospace fonts, as this is rather an annoyance when viewing source
	code.

	* tlwg/TlwgMono*.sfd, tlwg/TlwgTypewriter*.sfd, tlwg/TlwgTypist*.sfd:
	Bump font version to 001.012: 2009-06-07.
	* tlwg/TlwgTypo*.sfd: Bump font version to 002.003: 2009-06-07.

2009-05-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* fontconfig/Makefile.am:
	* fontconfig/90-ttf-thai-tlwg-synthetic.conf
	  -> 89-ttf-thai-tlwg-synthetic.conf:
	- Revise the scaling matrix application, from multiplying to existing
	  matrix to direct assignment. This solves the problem with too small
	  synthetic fonts due to double multiplication.
	- Bump the order of the rule, to be applied before fontconfig's
	  90-synthetic.conf

2009-03-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda-Bold[Oblique].sfd: Adjust BlueValues to cover Do Dek's tip.
	* nf/Garuda*.sfd: Bump font version to "2.59: 2009-03-29".

2009-03-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* fontconfig/90-ttf-thai-tlwg-synthetic.conf:
	  - Rewrite matching rules for synthesizing Windows fonts, so that the
	    scaling matrices are only applied to the matched fonts, not to the
	    entire pattern. The old rules caused problem when multiple families
	    are listed in CSS, where the matched font was always scaled down,
	    no matter what it was, if one of the synthesized fonts appeared in
	    the pattern.
	  - Fallback missing Tahoma with unscaled Waree, MS Sans Serif with
	    Loma.

2008-11-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, NEWS:
	=== Version 0.4.11 ===

2008-10-05  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* fontconfig/65-ttf-thai-tlwg.conf -> 64-ttf-thai-tlwg.conf,
	fontconfig/Makefile.am: Rank up the configuration, to really take
	precedence over fontconfig's default config.

2008-07-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist*.sfd, tlwg/TlwgTypewriter*.sfd, tlwg/TlwgMono*.sfd:
	Apply similar changes done to TlwgTypo.
	Bump font version to "001.011: 2008-07-21".

2008-07-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo[-Oblique].sfd: Adjust the loops in 'g', 'p', 'q'
	glyphs to touch blue zones, for proper hinted shapes.

	* tlwg/TlwgTypo-Bold[Oblique].sfd: Adjust BlueValues at lower-case
	x-height to touch upper leveled tips of characters.

	* tlwg/TlwgTypo*.sfd: Bump font version to "002.002: 2008-07-21".

2008-06-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree*.sfd: Hard code OS/2 Sub/Superscript and Strikeout with
	default values, fixing thick strikeout bug caused when leaving it
	auto-calculated.

2008-06-04  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* fontconfig/65-ttf-thai-tlwg.conf: Use <prefer> instead of <accept>,
	to take over upstream fontconfig's config.

2008-05-28  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in: Post-release version bump.

2008-05-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* NEWS:
	=== Version 0.4.10 ===

2008-05-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd: Lift up 'f' horizontal strike, as well as its
	ligatures, to usual lowercase height.

2008-05-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree.sfd: Round points to int for low Mai Tho, fixing broken
	lower line.

2008-05-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda.sfd: Autohint "I".

2008-05-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo*.sfd: Add RQD feature for re-positioning non-spacing
	layout characters. Set ZWSP advance x to make its width zero.
	Add blank glyphs for ZWNJ, ZWJ, LRM, RLM, and set their advance x.

2008-05-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypewriter*.sfd, tlwg/TlwgTypist*.sfd:
	Add blank glyphs for ZWNJ, ZWJ, LRM, RLM.

2008-05-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd, nf/Norasi*.sfd, tlwg/Purisa.sfd,
	tlwg/Sawasdee*.sfd: Add blank glyphs for ZWNJ, ZWJ, LRM, RLM.

2008-05-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd: Add default script/language to OpenType tables.
	Bump font version to 2.58: 2008-05-16. Save as SplineFontDB 3.0
	format. Add ZWNJ, ZWJ, LRM, RLM glyphs.

2008-05-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd, tlwg/Umpush*.sfd, tlwg/Waree*.sfd: Remove splines
	for ZWJ, ZWNJ, LRM, RLM (by moving them to background).

2008-05-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in:
	  - Bump required fontforge version to 20080110, for SplineFontDB 3.0
	    format
	  - Use FONTFORGE_MIN_VER variable instead of hard coding
	  - Fix fontforge format extraction by ignoring extra lines from
	    `fontforge --version`

2008-05-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree*.sfd: Add default script/language to OpenType tables.
	Bump font version to 0.11.4: 2008-05-16. Save as SplineFontDB 3.0
	format.

2008-05-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush*.sfd: Add default script/language to OpenType tables.
	Bump font version to 0.9.10: 2008-05-16. Save as SplineFontDB 3.0
	format.

2008-05-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo*.sfd: Add default script/language to OpenType tables.
	Bump font version to 002.001: 2008-05-16. Save as SplineFontDB 3.0
	format.

2008-05-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist*.sfd: Add default script/language to OpenType tables.
	Bump font version to 001.010: 2008-05-16. Save as SplineFontDB 3.0
	format.

2008-05-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypewriter*.sfd: Add default script/language to OpenType
	tables. Bump font version to 001.010: 2008-05-16. Save as
	SplineFontDB 3.0 format.

2008-05-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgMono*.sfd: Bump font version to 001.009: 2008-05-16.
	Save as SplineFontDB 3.0 format.

2008-05-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee*.sfd: Add default script/language to OpenType tables.
	Bump font version to 001.003: 2008-05-16. Save as SplineFontDB 3.0
	format.

2008-05-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa.sfd: Add default script/language to OpenType tables.
	Bump font version to 002.010: 2008-05-16. Save as SplineFontDB 3.0
	format.

2008-05-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd: Add default script/language to OpenType tables.
	Bump font version to 0.9.14: 2008-05-16. Save as SplineFontDB 3.0
	format.

2008-05-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd: Add default script/language to OpenType tables.
	Bump font version to 004.009: 2008-05-16. Save as SplineFontDB 3.0
	format.

2008-05-14  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd: Add default script/language to OpenType tables.
	Bump font version to 001.005: 2008-04-28.

2008-04-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd: Touch and save it in SplineFontDB 3.0 format,
	fixing glitches in printout.

2008-03-30  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa.sfd:
	  - Add Latin accented glyphs submitted by
	    Pietro Battiston <toobaz@email.it>.
	  - Re-encode as compacted UnicodeBMP.

2008-02-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypo*.sfd: Add anchors to dotted circle.

2008-02-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari-Bold.sfd: Extend blue zone to cover some Arabic digits'
	tips.

2008-02-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* fontconfig/65-ttf-thai-tlwg.conf: Add TlwgTypo to "monospace" match.

2008-02-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Makefile.am, +tlwg/TlwgTypo*.sfd: Add pure monospace font
	modified from TlwgTypist with following changes:
	  - Transform combining marks to have full width
	  - Add anchors to all base glyphs
	  - Set combining marks positioning to have negative advance width
	    adjustment that cancels out their normal width
	  - Remove SARA AM decomposing GSUB, to prevent inter-cell
	    substitutions in console grid

2008-02-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush*.sfd:
	  - Lower down tops of 'h' and 'n' into blue zone.
	  - Lift up 'f' horizontal strike, as well as its ligatures, to usual
	    lowercase height.

2008-01-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd: Remove lookups for f* ligatures. We just provide the
	glyphs in this font for completeness, not for use by normal OpenType
	apps.

2008-01-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee*.sfd, tlwg/Waree-Oblique.sfd,
	tlwg/Waree-Bold[Oblique].sfd: Rename f* ligatures that were in uniXXXX
	forms to postscript names.

2008-01-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypewriter.sfd: Simplify f glyph, eleminating some glitch.

	* tlwg/TlwgTypeWriter*.sfd, tlwg/TlwgTypist*.sfd: Add ff, fi, fl,
	ffi, ffl glyphs *without* ligature info. Bump font version.

2008-01-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa.sfd: Add ff, fi, fl, ffi, ffl glyphs with ligature info.
	Bump font version.

2008-01-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda-Bold[Oblique].sfd: Adjust BlueValues to touch lower-case
	glyphs' tops.

	* nf/Garuda*.sfd: Add ff, ffi, ffl pseudo-ligature glyphs
	with ligature info. Manually hint some glyphs. Bump font version.

2008-01-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush*.sfd, nectec/Loma*.sfd: Add ff, ffi, ffl glyphs
	with ligature info. Bump font version.

	* nectec/Loma*.sfd: Reencode as UnicodeBmp (from Custom).

2008-01-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree*.sfd: Add ff, ffi, ffl glyphs (taken from DejaVu Sans),
	with ligature info. Bump font version.

2008-01-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush*.sfd: Clear OS/2 Sub/Sup/Strike controls, fixing weird
	sub/superscript rendition in gecko.

2008-01-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* COPYING: Add e-mail addresses for Pol and Widhaya.

2008-01-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari[-Oblique].sfd: Correct width of SARA AM, which was
	incorrectly set to zero, fixing bug found in latex.

	* nf/Kinnari-Italic.sfd: Add extrema & autohint to SARA AA. Use
	references for SARA AM.

2008-01-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist-Bold.sfd: Add missing values for OtherBlues, fixing
	Postscript stack error when using with latex.

2008-01-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in: Post-release version bump.

2008-01-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* NEWS:
	=== Version 0.4.9 ===

2008-01-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgMono*.sfd:
	* tlwg/TlwgTypewriter*.sfd:
	* tlwg/TlwgTypist*.sfd:
	* tlwg/Purisa.sfd:
	* tlwg/Sawasdee*.sfd:
	* tlwg/Waree*.sfd:
	* tlwg/Umpush*.sfd:
	Bump font versions for new release.

	* ChangeLog: Correct path for Loma in previous log.

2008-01-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd:
	Bump font versions for new release.

2008-01-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd, nf/Garuda*.sfd, nf/Norasi*.sfd:
	Bump font versions for new release.

2008-01-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd: Use safe ASCII "(C)" for copyright mark.

2008-01-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist-Bold[Oblique].sfd: Also set ZWSP widths to zero.

2008-01-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist-Bold[Oblique].sfd: Re-encode U+0E5C as ZWSP.

	* nf/Kinnari*.sfd, nf/Garuda*.sfd, nf/Norasi*.sfd:
	* tlwg/Sawasdee*.sfd, tlwg/TlwgTypewriter*.sfd, tlwg/TlwgTypist*.sfd:
	* tlwg/Purisa.sfd:
	Rename ZWSP from uni200B/zerospace to zerowidthspace.

2008-01-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush-Light[Oblique].sfd: Add ZWSP. Remove alternate glyph for
	low SARA U and SARA UU.
	* tlwg/Umpush*.sfd, nectec/Loma*.sfd, tlwg/Waree*.sfd:
	Rename ZWSP, ZWNJ, ZWJ from uni* and afii* to zerowidth*.
	Rename afii00208 to horizontalbar.

2008-01-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* fontconfig/90-ttf-thai-tlwg-synthetic.conf: Adjust scaling factor
	for Browallia/Garuda by measurement. Thanks Widhaya Trisarnwadhana for
	the help.

2008-01-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* fontconfig/90-ttf-thai-tlwg-synthetic.conf: Adjust scaling factor
	for Angsana/Kinnari and Cordia/Umpush by actually measuring relative
	height of BO BAIMAI of the fonts.

2008-01-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tests/gen-pdfsample.sh: Add Umpush sample.

2008-01-12  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi-Bold*.sfd: Add Std{H,V}W, StemSnap{H,V}.

2008-01-12  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd: Add Std{H,V}W, StemSnap{H,V}.

2008-01-12  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd: Add OtherBlues. Recalculate Std{H,V}W,
	StemSnap{H,V}.

2008-01-12  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee*.sfd: Add StdHW, StdVW, StemSnapH, StemSnapV.
	* tlwg/TlwgTypist*.sfd: Add OtherBlues, StdHW, StdVW, StemSnapH,
	StemSnapV, ForceBold.
	* tlwg/TlwgTypewriter*.sfd: Add StdHW, StdVW, StemSnapH, StemSnapV.
	* tlwg/TlwgMono*.sfd: Add StdHW, StdVW, StemSnapH, StemSnapV.

2008-01-12  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree*.sfd: Add StdHW, StdVW, StemSnapH, StemSnapV.

2008-01-12  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush-Light[Oblique].sfd: Hint some glyphs. Recalculate StdHW,
	StdVW, StemSnapH, StemSnapV.
	* tlwg/Umpush[-Oblique].sfd, tlwg/Umpush-Bold[Oblique].sfd: Add StdHW,
	StdVW, StemSnapH, StemSnapV.

2008-01-12  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush*.sfd: Use references for low SARA U, SARA UU, PHINTU.
	* tlwg/Umpush-Bold[Oblique].sfd: Merge BlueValues, for consistent
	heights of Arabic digits.
	* tlwg/Umpush-Light[Oblique].sfd: Recalcuate BlueValues and
	OtherBlues. Add BlueValues for Thai glyphs.

2008-01-10  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* fontconfig/65-ttf-thai-tlwg.conf: Add Umpush to "sans-serif" match.
	* fontconfig/90-ttf-thai-tlwg-synthetic.conf: Synthesize Windows
	Cordia with scaled-down Umpush.

2008-01-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush*.sfd:
	  - Set anchors for FO FA, FO FAN, LO CHULA to the same Y as PO PLA
	  - Lift up high Nikhahit to its place
	  - Lengthen low Mai Ek and Mai Chattawa
	  - Scale down high tone marks, Thanthakhat and Maitaikhu

2008-01-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush*.sfd: Apply new GSUB/GPOS:
	  - Add high Maitaikhu
	  - Import GSUB rules from Garuda; remove duplicates; rename; rearrange
	  - Rename GPOS rules from numbered names to comprehensible ones
	  - Reorder GPOS so that 'mkmk' comes after all 'mark'

2008-01-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush*.sfd: Convert splines to cubic. Add extremas. Simplify.
	Adjust combining characters positions and anchors. Use more
	references. Autohint.

2008-01-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Umpush*.sfd: Add copyright for Widhaya, the designer.
	Put his info in Designer and Designer URL. Point Vendor URL to LTN.
	* AUTHORS, COPYING: Add Umpush info.

2008-01-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Makefile.am, +tlwg/Umpush*.sfd: Import Umpush font by 
	Widhaya Trisarnwadhana <widhaya3@gmail.com>.

2007-12-31  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari.sfd, nf/Kinnari-[Bold]{Italic,Oblique}.sfd: Hint glyphs.
	* nf/Kinnari-BoldOblique.sfd: Adjust BlueValues for consistent heights
	of Arabic digits.
	* tlwg/Waree-Oblique.sfd: Hint some glyphs.

2007-12-30  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* AUTHORS, COPYING: Add Kinnari info.
	* tests/gen-pdfsample.sh: Add Kinnari sample.

2007-12-30  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda[-Oblique].sfd:
	* nf/Kinnari*.sfd: Hint various glyphs.

2007-12-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* fontconfig/65-ttf-thai-tlwg.conf: Add Kinnari to "serif" match.
	* fontconfig/90-ttf-thai-tlwg-synthetic.conf: Synthesize Windows
	Angsana with scaled-down Kinnari.

2007-12-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd:
	* tlwg/Waree*.sfd:
	* tlwg/TlwgTypewriter*.sfd: Add anchors for CHO CHING, NO NEN, NO NU
	and SO RUSI.

	* nectec/Loma-Bold*.sfd: Extend below-base BlueValues to cover
	CHO CHING.

2007-12-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd:
	* nf/Norasi*.sfd: Add anchors for glyphs with deep right stem, namely
	CHO CHING, NO NEN, NO NU and SO RUSI.

2007-12-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee[-Oblique].sfd: Adjust hints for KHO KHUAT and
	THO PHUTHAO, for proper height of rightmost stem. Also adjust
	THO NANGMONTHO for more obvious zigzag head.

2007-12-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree*.sfd: Adjust hints for KHO KHUAT, KHO RAKHANG,
	THO PHUTHAO, for proper height of the rightmost stem.
	Also adjust hints for various glyphs, namely PHO SAMPHAO, DO CHADA,
	TO PATAK and LU, for proper left stem width for bold faces;
	SO SUA for bold faces, and many others.

2007-12-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma-[Oblique].sfd: Add HHint in MAITRI and its variants,
	to satisfy Pattara. :-P
	* nectec/Loma-Oblique.sfd: Add VHint in CHO CHANG and SO SO.

2007-12-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda.sfd: Adjust hints for F, I, e, g and THO THONG.
	Autohint left MAITAIKHU.
	* nf/Garuda-Oblique.sfd: Autohint left MAITAIKHU.
	* nf/Garuda-Bold[Oblique].sfd: Modify M, N, R for proper stem widths.
	Adjust hints for e.

2007-12-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi-Bold*.sfd: Simplify splines. Hint glyphs.
	* nf/Kinnari-BoldItalic.sfd: Borrow some hints from Norasi-BoldItalic.

2007-12-28  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi-{Italic,Oblique}.sfd: Simplify more splines. Hint glyphs.
	* nf/Kinnari-Italic.sfd: Borrow some hints from Norasi-Italic.

2007-12-28  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi[-Oblique].sfd: Simplify splines. Auto and manually hint
	glyphs.

2007-12-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd, nf/Garuda*.sfd: Use absolute values, rather than
	offsets, for OS/2 ascent/descent.

2007-12-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd: Use reference for low SARA U, SARA UU, PHINTHU.
	Narrow down the gap between DO CHADA / TO PATAK and below-base vowels
	in non-bold faces by shifting up the anchors. Set OS/2 ascent/descent
	to 1216/-488.

2007-12-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd: Scale down high MAITAIKHU. Set OS/2 ascent/descent
	to 1286/-496. Clear OS/2 line gap to 0.
	* nf/Kinnari-{Italic,BoldOblique}.sfd: Really unlink reference in
	THO THAN.

2007-12-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd: Scale down high MAITAIKHU, to harmonize with high
	tone marks. Set OS/2 ascent/descent to 1284/-591, for consistent
	heights among all faces.

2007-12-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd:
	* nectec/Loma*.sfd:
	* tlwg/Waree*.sfd:
	* tlwg/TlwgTypist*.sfd: Unlink reference in THO THAN and YO YING.

	* scripts/gen[-test]-ttf.pe: Remove UnlinkReference command.

2007-12-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd: Unlink reference in THO THAN and YO YING, so that
	we won't have to unlink all references when generating TTF, as TTF
	doesn't support mixed references and contours. Moreover, this would
	also allow us to manually hint all glyphs without worry that the hints
	would be lost when applying AutoInstr, due to the unsynchronized state.
	But the drawback is that we have to make sure the descless part and the
	full forms of the two characters are closely synchronized when editing.

	* nf/Kinnari-[Bold]Oblique.sfd: Remove hints at ring hook fronts of all
	glyphs with SARA E (Mai Nah) like forms, including CHO CHOE, YO YING,
	THO THUNG, LO LING, RU, SO SUA, etc., as it causes ink glots at small
	sizes.

2007-12-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree*.sfd: Use references for accented Latin characters.
	Add some necessary accent glyphs as well.

2007-12-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi-BoldItalic.sfd: Use references for accented Latin
	characters and Thai left variants. Add extremas and simplify splines.
	* nf/Kinnari-BoldItalic.sfd: Add a VHint in 'n' glyph.

2007-12-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi-Italic.sfd: Use references for accented Latin characters
	and Thai left variants. Correct inconsistent width for descless
	YO YING. Add extremas and simplify glyphs.
	* nf/Kinnari-Italic.sfd: Simplify more Latin glyphs and sync back to
	Norasi-Italic.
	* nf/Norasi-Oblique.sfd: Correct inconsistent width for descless
	THO THAN. Remove meaningless points in dottedcircle.
	* nf/Norasi.sfd: Remove meaningless points in dottedcircle.

2007-12-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi-Bold[Oblique].sfd: Use references for accented Latin
	characters and Thai left variants. Correct inconsistent width for
	descless YO YING. Correct Aring glyph, which was incorrectly drawn as
	A breve.
	* nf/Norasi[-Oblique].sfd: Correct Aring glyph, which was incorrectly
	drawn as A breve.

2007-12-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi[-Oblique].sfd: Use references for accented Latin
	characters and Thai left variants. Correct inconsistent width for
	descless YO YING.

2007-12-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari-[Bold]Italic.sfd: Add extremas. Simplify splines.
	Autohint. Use reference where possible. Adjust anchors for tone marks.
	Lift up ring hooks for THO PHUTHAO, DO DEK and TO TAO, to be closer to
	traditional printings.

2007-12-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari-Bold[Oblique].sfd: Add extremas. Simplify splines.
	Autohint. Use reference where possible.
	* nf/Kinnari-BoldOblique.sfd: Update (mostly Latin) glyphs to be
	12-degree inclined, to be consistent with the font's italic angle.

2007-12-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari[-Oblique].sfd: Add extremas. Simplify splines. Autohint.
	Use reference where possible.
	* nf/Kinnari-Oblique.sfd: Update (mostly Latin) glyphs to be 12-degree
	inclined, to be consistent with the font's italic angle.

2007-12-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd: Apply changes done to Garuda:
	  - Add high Maitaikhu
	  - Use reference for left Maitaikhu
	  - Import GSUB rules from Garuda; remove duplicates; rename; rearrange
	  - Rename GPOS rules from numbered names to comprehensible ones
	  - Reorder GPOS so that 'mkmk' comes after all 'mark'
	* nf/Kinnari-BoldItalic[Base].sfd:
	  - Correct AboveMark base anchor position for NIKHAHIT.

2007-12-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd: Update Kinnari fonts with GPL version from the
	National Font Project web site [http://wiki.opentle.org/NationalFont].
	Also update copyright/license info for the derivative Italic faces.
	* nf/Makefile.am: Add Kinnari back to the distribution.

2007-12-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa.sfd: Apply changes done to Garuda:
	  - Add high Maitaikhu
	  - Import GSUB rules from Garuda; remove duplicates; rename; rearrange
	  - Rename GPOS rules from numbered names to comprehensible ones
	  - Reorder GPOS so that 'mkmk' comes after all 'mark'

2007-12-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypewriter*.sfd: Apply changes done to Garuda:
	  - Add high Maitaikhu
	  - Import GSUB rules from Garuda; remove duplicates; rename; rearrange
	  - Rename GPOS rules from numbered names to comprehensible ones
	  - Reorder GPOS so that 'mkmk' comes after all 'mark'

2007-12-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist*.sfd: Apply changes done to Garuda:
	  - Add high Maitaikhu
	  - Import GSUB rules from Garuda; remove duplicates; rename; rearrange
	  - Rename GPOS rules from numbered names to comprehensible ones
	  - Reorder GPOS so that 'mkmk' comes after all 'mark'
	* tlwg/TlwgTypist-Bold[Oblique].sfd:
	  - Add missing anchor for DO CHADA.
	  - Move anchors of PO PLA, FO FA, FO FAN, LO CHULA to the left.

2007-12-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree*.sfd: Apply changes done to Garuda:
	  - Add high Maitaikhu
	  - Import GSUB rules from Garuda; remove duplicates; rename; rearrange
	  - Rename GPOS rules from numbered names to comprehensible ones
	  - Reorder GPOS so that 'mkmk' comes after all 'mark'

2007-12-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee*.sfd: Apply changes done to Garuda:
	  - Add high Maitaikhu
	  - Use reference for left Maitaikhu
	  - Import GSUB rules from Garuda; remove duplicates; rename; rearrange
	  - Rename GPOS rules from numbered names to comprehensible ones
	  - Reorder GPOS so that 'mkmk' comes after all 'mark'

2007-12-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd: Apply changes done to Garuda:
	  - Add high Maitaikhu
	  - Import GSUB rules from Garuda; remove duplicates; rename; rearrange
	  - Rename GPOS rules from numbered names to comprehensible ones
	  - Reorder GPOS so that 'mkmk' comes after all 'mark'

2007-12-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd: Apply changes done to Garuda:
	  - Add high Maitaikhu
	  - Use reference for left Maitaikhu where found using copy (namely
	    Italic, Bold, BoldOblique, BoldItalic)
	  - Import GSUB rules from Garuda; remove duplicates; rename; rearrange
	  - Rename GPOS rules from numbered names to comprehensible ones
	  - Reorder GPOS so that 'mkmk' comes after all 'mark', hopefully
	    correcting rendition on non-Pango platforms

2007-12-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd: Move up high Maitaikhu to its place.

2007-12-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda-Oblique.sfd, nf/Garuda-Bold[Oblique].sfd: Apply similar
	changes done to normal face.

2007-12-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda.sfd:
	  - Add scaled-down high variant glyph for Maitaikhu; so normal
	    Maitaikhu and the high variant are now in different mark classes
	  - Add mark classes: BelowBase, AboveBase, AboveMark; not so sure if
	    it's really useful, though
	  - Rename "Thai Nikhahit High Variant" GSUB to "Thai Mark High
	    Variant", and add high variant selection for Maitaikhu to relevant
	    rules
	  - Rename GPOS rules from numbered names to comprehensible ones
	  - Reorder GPOS so that 'mkmk' comes after all 'mark', hopefully
	    correcting rendition on non-Pango platforms

2007-12-18  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree-Bold.sfd: Re-apply autohint to all glyphs, as many glyphs
	with leveled top edges appeared to be of inconsistent heights.

2007-12-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda.sfd: Rearrange single substitution rules by categories.
	* nf/Garuda-Oblique.sfd: Fix anchors for PO PLA, FO FA, FO FAN.
	* nf/Garuda-Oblique.sfd, nf-Garuda-Bold[Oblique].sfd: Import GSUB
	rules from normal face.

2007-12-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda.sfd: Revise GSUB rules:
	  - Rename lookups from numbered names to be comprehensible ones
	  - Split rule for the cases of below vowels + tone marks into a new
	    subtable which also reorders the glyphs so that the tone marks
	    are properly placed on base character's anchor
	  - Also remove the class for below vowel from the main 'ccmp'
	  - Merge duplicated substitutions for descless YO YING and THO THAN

2007-12-14  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee.sfd: Fix 'ccmp' rule for descless Yo Ying and Tho
	Than, which was somehow messed up.

2007-12-14  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in: Post-release version bump.

2007-12-10  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* TODO: Remove finished issues: OpenType tables, Latin glyphs, Hints.

	* NEWS:
	=== Version 0.4.8 ===

2007-12-10  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi-Oblique.sfd: Correct width for Sara Ae. Problem found
	thanks to the test suite.

2007-12-10  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tests/gen-pdfsample.sh: Remove Kinnari and DBThaiText samples.
	Add Italic faces for Norasi.
	Rename PseudoMono to TlwgTypewriter.
	Add Loma, TlwgTypist, Sawasdee, Waree.

	* tests/Makefile.am: Clear the generated PDF's on 'make clean'.

2007-12-10  Theppitak Karoonboonyanan <thep@linux.thai.net>

	"make distcheck" fixes.

	* configure.in: Check for mkfontdir and X11 font encodings path, as
	the old X11R6 dir has long been obsolete in Xorg 7.
	* Makefile.am: Call mkfontdir via the detected value. Also get rid of
	an extra assignment step for ttmkfdir, type1inst, and fccache, as
	configured variables can be used directly.

2007-12-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* COPYING: Add copyright and license info for Sawasdee and Waree.

2007-12-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree-Bold[Oblique].sfd: Add ForceBold.
	* tlwg/Waree*.sfd: Bump font version to "0.11.1: 2007-12-07".

2007-12-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee*.sfd: Rearrange copyright message. Bump font version
	to "001.001: 2007-12-07". Mark Copyright and Version TTF Names to be
	the same as Postscript names.

2007-12-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa.sfd: Add extremas. Simplify splines. Apply autohint.
	All originally traced splines are kept in the backgrounds.
	Bump font version to "002.007: 2007-12-07".
	Note that the splines are now saved in SplineFontDB 2.0 format, after
	having been untouched for a long time.

2007-12-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist*.sfd: Simplify Latin splines more. Add extremas
	where missing. Re-apply autohint. Bump font version to
	"001.007: 2007-12-07". Update copyright year. Fix copyright lines
	separation.

2007-12-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypewriter*.sfd: Add extremas. Simplify splines. Add
	BlueValues and OtherBlues. Also ForceBold for bold faces. Apply
	autohint to all glyphs. Bump font version to "001.007: 2007-12-07".

	* tlwg/TlwgMono*.sfd: Copy adjusted glyphs from TlwgTypewriters,
	plus translate all combining marks to remain true monospace.
	Add BlueValues and OtherBlues. Also ForceBold for bold faces.
	Set ItalicAngle for oblique faces. Apply autohint to all glyphs.
	Bump font version to "001.007: 2007-12-07", in sync to TlwgTypewriter.
	Note that the splines are now saved in SplineFontDB 2.0 format, after
	having been untouched for a long time.

2007-12-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd: Bump font version to "0.9.11: 2007-12-07".

2007-12-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd: Bump font version to "2.55: 2007-12-07", for new
	release.

	* nf/Norasi*.sfd: Bump font version to "004.007: 2007-12-07".

2007-12-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda[-Oblique].sfd: Adjust heights for '1', '5', and '7' glyphs
	to blue zone boundary. This particularly fixes too small heights for
	'5' and '7' found at 10pt.

2007-12-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in: Require fontforge >= 20071110 for Nowakowski
	AutoInstr. (20071002 also provides the feature, but it crashes before
	finishing the builds.) No longer try to find pfaedit, just fontforge.

2007-12-01  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist[-Bold].sfd: Re-apply autohint to Tho Phuthao,
	Do Dek, To Tao. This fixes ink spots for the glyphs at 16pt.

2007-11-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd: Adjust BlueValues to cover lowercase 'n' curve.

2007-11-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda[-Oblique].sfd: Adjust BlueValues to cover Ho Hip tips.

2007-11-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee*.sfd: Adjust BlueValues, for more consistent rendered
	heights.

	* tlwg/Sawasdee[Oblique].sfd: Lift up lowest points of capital S glyph
	so it's still in blue zone.

2007-11-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree-[Bold]Oblique.sfd: Change Italic Angle from 10 to 11
	degree, to be compatible with DejaVu Sans.

2007-11-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree-Oblique: Fix BelowBase anchor for DO CHADA.
	* tlwg/Waree-BoldOblique: Fix BelowBase anchor for TO PATAK.

2007-11-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree-Bold[Oblique].sfd: Add OtherBlues. Recalculate
	BlueValues/OtherBlues. This fixes funny glyphs heights for Latin
	characters, due to excessive BlueValues.

2007-11-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd, nf/Norasi*.sfd, nectec/Loma*.sfd,
	tlwg/TlwgTypewriter*.sfd, tlwg/TlwgTypist*.sfd: Apply autohint to all
	glyphs.

2007-11-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* scripts/gen-[test-]ttf.pe: Add commands to apply AutoInstr on the
	fly. This includes converting splines to be quadratic, unlinking all
	references (as TrueType doesn't support mixed references and
	contours), and then applying AutoInstr.

2007-11-08  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* fontconfig/Makefile.am, +fontconfig/90-ttf-thai-tlwg-synthetic.conf:
	Add fontconfig file to synthesize Windows fonts with our known similar
	shipped fonts. (Currently only Browallia with scaled-down Garuda).

2007-11-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee*.sfd: Change Em Size from 1000 to 2048. Scale by
	109.3%, to match X-Height with Waree. Update BlueValues and OtherBlues
	accordingly.

2007-11-05  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree-Bold[Oblique].sfd: Find & fix problems. Apply autohint
	to all glyphs.

2007-11-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree[-Oblique].sfd: Find & fix problems. Apply autohint to all
	glyphs.

2007-11-01  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree-Bold[Oblique].sfd: Scale down high Nikahit, to match
	normal weight counterparts.

2007-10-31  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree[-Oblique].sfd: Scale up Nikhahit.

2007-10-18  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree[-Oblique].sfd: Scale up Maitaikhu.

2007-10-18  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree-Bold.sfd: Adjust anchor above Lo Chula. Fix wrong anchor
	for Thanthakhat. Scale up Maitaikhu. 

	* tlwg/Waree-BoldOblique.sfd: Propagate changes for combining marks
	and anchors from the regular shape.

2007-10-18  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree-Bold.sfd: Adjust anchors. Adjust mark glyphs.
	Scale up *.low version of tone marks. Use *.low references in
	*.low_left.

2007-10-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree.sfd: Re-calculate shift vectors for *.left variants of
	upper vowels.

	* tlwg/Waree-Oblique.sfd: Propagate changes for combining marks and
	anchors from the regular shape.

2007-10-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree.sfd: Center anchors above Sara Ii and Sare Uee.
	Re-apply autohints on some glyphs.

2007-10-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree.sfd: Widen gaps below top-level tone marks.
	Lengthen Mai Ek glyphs. Scale up *.low version of tone marks.
	Use *.low references in *.low_left.

2007-10-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree.sfd: Adjust anchors. Adjust mark glyphs.

2007-10-11  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* fontconfig/65-ttf-thai-tlwg.conf: Add "Waree" to sans-serif list.

2007-10-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Waree*.sfd: Remove Thai glyphs copyright, making it
	public-domain, with the original author's agreement, for DejaVu
	compatibility.

2007-10-04  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Makefile.am, tlwg/Verachart*.sfd -> tlwg/Waree*.sfd:
	Rename Verachart to Waree, to avoid the risk of violating the name
	"Vera". Also change the license to Bitstream, as it's actually based
	on Bitstream Vera Sans. All are agreed by the font author.

	* AUTHORS: Change Verachart to Waree as well.

2007-10-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Verachart*.sfd: Fix error in GSUB rules for combination case
	of lower vowels and tone marks, caused by feature copying.

2007-10-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Verachart-BoldOblique.sfd: Simplify splines. Apply autohints.

2007-10-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Verachart-Bold.sfd: Simplify splines. Apply autohints.

2007-10-02  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Verachart-Oblique.sfd: Simplify splines. Apply autohints.

2007-10-02  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Verachart.sfd: Simplify splines. Apply autohints.

2007-10-01  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Verachart*.sfd: Correct copyright info.
	* AUTHORS: Add author info for Verachart.

2007-10-01  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Makefile.am, +tlwg/Verachart*.sfd: Import Verachart font by
	Widhaya Trisarnwadhana <widhaya3@gmail.com>.

2007-06-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee*.sfd: Add BlueValues, OtherValues. Add ForceBold for
	bold faces.

2007-06-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee*.sfd: Correct FONGMAN glyph. Adjust splines.

	* tlwg/Sawasdee[Bold]Oblique.sfd: Add extremas + simplify splines.

2007-06-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/SawasdeeBoldOblique.sfd: Scale up by 133.33%. Add anchors.

2007-06-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/SawasdeeBold.sfd: Scale up by 133.33%. Add anchors.

2007-06-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/SawasdeeOblique.sfd: Scale up by 133.33%. Add anchors.

2007-06-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee.sfd: Scale up by 133.33%. Add anchors.

2007-06-05  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Sawasdee*.sfd: Rename PUA glyphs to indicate variants.
	Add high NIKHAHIT glyph. Clear original GSUB and use our set instead.

	* tlwg/Sawasdee-[Bold]Oblique.sfd: Replace Italic with Oblique in font
	info. Set italic angle.

2007-06-05  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in: Post-release version bump.

	* AUTHORS, tlwg/AUTHORS, tlwg/CREDITS, tlwg/Makefile.am,
	+tlwg/Sawasdee*.sfd: Add Sawasdee fonts by
	Pol Udomwittayanukul <webnaipol@gmail.com>, relicensed to GPL with
	font exception, with the original author's agreement.

2007-05-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in: Use new version of AC_INIT and AM_INIT_AUTOMAKE.
	Use AC_CONFIG_SRCDIR for source dir check.

	* configure.in, NEWS:
	=== Version 0.4.7 ===

2007-05-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* fontconfig/Makefile.am (EXTRA_DIST): Add EXTRA_DIST to include
	65-ttf-thai-tlwg.conf in tarball.

2007-05-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd:
	* nectec/Loma*.sfd:
	* tlwg/TlwgTypist*.sfd: Mark version for release.

2007-05-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda[-Bold].sfd: Remove some more VHints that cause oversized
	stem ring-head.

2007-05-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, Makefile.am, +fontconfig/Makefile.am,
	+fontconfig/65-ttf-thai-tlwg.conf: Install fontconfig config file,
	taken from Debian package.

2007-05-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist[-Bold].sfd: Remove some VHints that cause oversized
	stem ring-head.

2007-05-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda[-Bold].sfd: Remove some VHints that cause oversized stem
	ring-head.

2007-05-16  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Loma[-Bold].sfd: Remove some VHints that cause oversized stem
	ring-head.

2007-05-14  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda-Bold.sfd: Remove VHints in some glyphs that cause
	oversized stem ring-head.

2007-05-02  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist-Bold[Oblique].sfd: (Thai glyphs only)
	  - Find & fix problems.
	  - Revise & simplify glyphs.
	  - Add BlueValues.
	  - Add missing uni0E4D.high (high NIKHAHIT) glyph.

2007-05-02  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist[-Oblique].sfd: (Thai glyphs only)
	  - Find & fix problems.
	  - Simplify glyphs.

2007-05-02  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma-Bold[Oblique].sfd: (Thai glyphs only)
	  - Find & fix problems.
	  - Adjust stems for uniform widths.
	  - Decrease widths of horizontal stems for anti-illusion design.

2007-05-01  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma[-Oblique].sfd: Decrease widths of horizontal stems for
	Thai glyphs, for anti-illusion design.

2007-04-30  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma[-Oblique].sfd: Adjust Thai glyphs stems for uniform
	widths.

2007-04-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma-Bold[Oblique].sfd: Increase stems width for SO SALA.

2007-04-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma-Bold[Oblique].sfd: Increase stems width for SARA UU.

2007-04-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda-Bold.sfd: Find & fix problems in splines.

	* nf/Garuda-BoldOblique.sfd: Refine splines. Use glyph references.

2007-04-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda-Bold.sfd: Refine splines. Use glyph references.

2007-04-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda-Oblique.sfd: Refine splines. Use glyph references.

	* nf/Garuda-[Oblique,Bold,BoldOblique].sfd: 
	Fix error in GSUB rules for combination case of lower vowels and
	tone marks, caused by feature copying.

	* nf/Garuda.sfd: Fix LO CHULA spline.

2007-04-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda.sfd: Refine splines. Use glyph references.

2007-04-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Fix hinting bugs triggered in Loma-Bold.

	* nectec/Loma*.sfd:
	  - Add StdHW, StdVW, StemSnapH, StemSnapV, for proper hints.
	  - Also hint referencing glyphs.

	* nectec/Loma-Bold.sfd: Simplify NIKHAHIT high glyph.

	* nectec/Loma.sfd: Refine CHO CHANG splines.

2007-04-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd: Lift up the right part of THO NANGMONTHO and
	THO THAHAN to the blue zone.

2007-04-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma-BoldOblique.sfd: Simplify splines. Use glyph references.
	Also skew BelowBase anchors.

	* nectec/Loma-Oblique.sfd: Also move lower version of lower vowels to
	the left, according to replacement by skewing.

	* nectec/Loma-Bold.sfd: Adjust the tail of descless THO THAN spline.

2007-04-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma-Bold.sfd: Simplify splines. Use glyph references.

2007-04-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma-Oblique.sfd: Simplify splines. Use glyph references.
	* nectec/Loma.sfd: Clear hints in referencing glyphs.

2007-04-18  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma.sfd:
	  - Simplify splines for all glyphs.
	  - Use glyph references where possible, including Sara Am's
	    components and combining marks' PUA variations.

2007-04-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd:
	* nectec/Loma*.sfd:
	* tlwg/TlwgTypewriter*.sfd:
	* tlwg/TlwgTypist*.sfd:
	* tlwg/Purisa.sfd: Fix error in GSUB rules for combination case of
	lower vowels and tone marks, caused by feature copying.

2007-04-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, NEWS:
	=== Version 0.4.6 ===

2007-04-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd:
	* nf/Norasi*.sfd:
	* nectec/Loma*.sfd:
	* tlwg/TlwgTypewriter*.sfd:
	* tlwg/TlwgTypist*.sfd:
	* tlwg/Purisa.sfd: Update version info for release.

2007-04-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd: Mention TLWG modification in Copyright.
	* COPYING: Updated.

2007-04-04  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd:
	* tlwg/TlwgTypewriter*.sfd:
	* tlwg/TlwgTypist*.sfd:
	* tlwg/Purisa.sfd: Copy recent GSUB changes from Garuda.

2007-04-04  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd: Copy recent GSUB changes from Garuda.

2007-04-04  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd: Rearrange 'ccmp' GSUB rules again, to deal with
	horizontal shift problem found in recent change with OO.o.
	Now, for Tone Mark + Sara Am cases, we insert Nikhanit by substituting
	Tone Mark => Nikhanit + Tone Mark, and then Sara Am => Sara Aa.
	The old scheme (Tone Mark => Nikhahit, Sara Am => Tone Mark + Sara Aa)
	caused the whole cell to be shifted with the anchored mark is shifted.
	The new scheme alleviates this a bit by causing only Sara Aa to be
	shifted. (We need more refinement on this later.) Besides, the rules
	are now a lot simplified.

2007-04-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa.sfd: Copy recent GSUB changes from Garuda.

2007-04-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist*.sfd: Copy recent GSUB changes from Garuda.

2007-04-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypeWriter*.sfd: Copy recent GSUB changes from Garuda.

2007-04-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma-Bold[Oblique].sfd: Resurrect lost GPOS info in last
	glyphs sync.

2007-04-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd: Copy recent GSUB changes from Garuda.

2007-04-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd, nf/Norasi*.sfd: Remove unused nested GSUB.

2007-04-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd: Copy recent GSUB changes from Garuda (again).

2007-04-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd: Adjust GSUB to cover the case of SARA AM without
	tone mark.

2007-04-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd: Copy recent GSUB changes from Garuda.

2007-04-02  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd: Revise 'ccmp' GSUB. Group rules for tone marks and
	SARA AM together in a single class-based rule set, to get rid of rule
	application order problem as happened to the old coverage-based rules.
	Fixing problem with OpenOffice.org. Thanks to Kitt Tientanopajai for
	urging for the fix, with problem details.

2007-03-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd: Replace simple GPL mentioning in License with full
	GPL disclaimers. Also add font exception clause.

2007-03-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd: Replace simple GPL mentioning in License with full
	GPL disclaimers. Also add font exception clause.

	* nf/Norasi*.sfd: Replace simple GPL mentioning in License with full
	GPL disclaimers. Also add font exception clause. Change UniqueID to
	be consistently prefixed with TLWG.

2007-03-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist*.sfd: Put full GPL disclaimers in License. Add
	special exception clause for font.

	* tlwg/TlwgMono*.sfd, tlwg/TlwgTypewriter*.sfd, tlwg/Purisa.sfd:
	Move GPL disclaimers from Copyright to License. Update FSF address.
	Add special exception clause for fonts.

2007-03-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/AUTHORS, tlwg/CREDITS: Change PseudoMono to TlwgTypewriter.
	Add info about TlwgTypist.

2007-02-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, scripts/gen.mk.in: Rename PFAEDIT variables to
	FONTFORGE.

2007-02-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* {nf,nectec,tlwg}/Makefile.am: Replace lists of generated files with
	sed auto edition.

	* scripts/gen.mk.in: Add *.afm to Type1 targets, to cover some missed
	casses.

2007-02-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd: Remove duplicated encodings, which confused latex
	ligkern rules.

2006-12-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* {nf,nectec,tlwg}/*.sfd: Clear Sub/Sup/Strike controls in OS/2 table.

	* nf/Garuda[-Oblique].sfd: Clear glyph 96 with '.notdef' name.

2006-11-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma-Bold[Oblique].sfd: Update non-rounded glyphs from
	original creator. Use reference for Yo Ying and Tho Than upper part.

	* nectec/Loma[-Oblique].sfd: Use reference for Yo Ying and Tho Than 
	upper part.

2006-10-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, NEWS:
	=== Version 0.4.5 ===

2006-10-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* {nf,nectec,tlwg}/Makefile.am: Also install *.afm for Type1 fonts.

2006-10-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* COPYING, tlwg/TlwgTypist*.sfd: Update copyright info for TlwgTypist.

2006-07-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* {nf,nectec,tlwg}/*.sfd:  Added Foundry info and Thai sample texts.

2006-06-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* README: Replaced mention to PfaEdit with FontForge.

	* COPYING, Makefile.am, +GPL: Added copyright info for individual 
	fonts. Added GPL file for license term referral.

	* nf/README.1ST, -nf/COPYING, -tlwg/COPYING: Removed the GPL content 
	and refer to the GPL file at the top directory instead.

2006-04-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypist-Bold[Oblique].sfd: Adjusted splines for Kho Rakhang,
	Tho Nangmontho, Mo Ma, Do Chada, To Patak, Pho Samphao, Lu.

2006-04-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Makefile.am, +tlwg/TlwgTypist*.sfd: Added TlwgTypist font.

2006-03-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/{Purisa,TlwgMono,TlwgTypewriter}*.sfd:  Removed XUID field.
	The XUID for TlwgTypewriter-Bold[Oblique].sfd were incomplete and
	caused error with dvips. And, according to Fontforge doc, this field
	and UniqueID were said by Adobe to be unnecessary.

2006-03-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, NEWS:
	Version 0.4.4.

2006-03-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd:
	Cleared OS/2 metrics which caused wide line gaps on OpenOffice.org.

2006-01-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd:
	Got rid of duplication of version in TTF name. Bumped font versions to
	reflect recent en/em space change.

2006-01-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/*.sfd:
	Ensured that version in TTF names were not duplicated. Bumped font
	versions to reflect recent en/em space change.

2005-12-28  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa.sfd:
	Got rid of duplication of version in TTF name.  English and Thai
	sample texts are now provided separately.  (Hope this is still enough
	to preserve the original writer's handwritten name.)

2005-12-28  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypewriter*.sfd:
	* tlwg/TlwgMono*.sfd:
	Fixed Thai fields in TTF names. Bug noticed by cwt (See
	http://thep.blogspot.com/2005/12/gnome-doc-utils-for-thai.html
	#c113571022060505822).  Got rid of duplication of version in TTF
	name, actually fixed previous bug reported by Werner Lemberg in the
	long run.  English and Thai sample texts are now provided separately.

2005-12-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa.sfd:
	* nectec/Loma*.sfd:
	Added enspace, emspace glyphs.

2005-12-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/*.sfd:
	Added enspace, emspace glyphs.

2005-10-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in:
	Formatted configure options help strings with AC_HELP_STRING().
	Used --disable/--enable help style rather than --enable with default
	yes or no.

2005-07-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, NEWS:
	Version 0.4.3.1.

2005-06-30  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in:
	Distinguish between Xorg's and XFree86's mkfontdir.
	Hopefully fixes bug found by K. konnux in LTN forum.

2005-06-30  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd:
	Change the global Version field, rather than the TTF Version, as
	pointed out by Werner Lemberg <wl@gnu.org>.

	* nf/Garuda*.sfd:
	Ditto.

	* tlwg/Purisa.sfd:
	Ditto.

	* tlwg/TlwgMono*.sfd:
	Ditto.

	* tlwg/TlwgTypewriter*.sfd:
	Ditto.

	* nectec/Loma*.sfd:
	Ditto.

2005-06-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* Makefile.am, configure.in, nf/Makefile.am, AUTHORS:
	Drop DBThaiText and Kinnari from the distribution, as their licenses
	are still not clear.

	* Makefile.am:
	Fix uninstall-hook target so fonts.cache-1 is properly removed in each
	font dir.  Also use 'fc-cache -f <dir>' instead of
	'fc-cache -f || true'.

	* configure.in, NEWS:
	Version 0.4.3.

2005-06-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd:
	- Be more verbose in the license field.
	- Bump the version field to 0.9.2.1.

2005-06-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgMono*.sfd:
	- Split the lines in copyright field, as the bug in copyright field
	  generation is now fixed in the new fontforge.
	- Identify the license info as GPL.
	- Bump the version field to 001.001.

2005-06-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa.sfd:
	- Split the lines in copyright field, as the bug in copyright field
	  generation is now fixed in the new fontforge.
	- Identify the license info as GPL.
	- Bump the version field to 002.001.

2005-06-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd:
	- Edit wording in the copyright field about TLWG part under GPL.
	  Split the lines, as the bug in copyright field generation is now
	  fixed in the new fontforge.
	- Be more verbose in the license field.
	- Bump the version field to 004.

2005-06-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd:
	- Edit the copyright info about TLWG part under GPL.
	- Identify the license info as GPL.
	- Bump the version field to 2.1.

2005-06-05  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgMono*.sfd:
	Revoke the ZWSP glyph, as it's not clear how the width should be in
	monospace fonts.

2005-05-30  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText*.sfd:
	- Add high variant glyph for Nikhahit (uni0E4D.high), as well as
	  'ccmp' rule for appropriate glyph selection.
	- Remove unused "BelowMark" anchor class.

	* db/DBThaiText[-Oblique].sfd:
	- Make uni200B (zerowidthspace) width actually zero.

	* db/DBThaiText-Bold[Oblique].sfd:
	- Undefine uni0E3C-uni0E3E, which are not used.
	- Add uni200B (zerowidthspace) glyph.

2005-05-30  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd:
	- Add high variant glyph for Nikhahit (uni0E4D.high), as well as
	  'ccmp' rule for appropriate glyph selection.
	- Remove unused "BelowMark" anchor class.
	- Make uni200B (zerowidthspace) width actually zero.

2005-05-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypewriter*.sfd, tlwg/TlwgMono*.sfd:
	Undefine glyphs uni0E3B-uni0E3e, which are not used.

2005-05-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/TlwgTypewriter*.sfd:
	- Add high variant glyph for Nikhahit (uni0E4D.high), as well as
	  'ccmp' rule for appropriate glyph selection.
	- Remove unused "BelowMark" anchor class.
	- Round (truncate) all anchor coordinates to int.
	- Add uni200B (zerowidthspace) glyph, replacing the wrongly-placed
	  U+0E5C.

	* tlwg/TlwgMono*.sfd:
	Add uni200B (zerowidthspace) glyph, replacing the wrongly-placed
	U+0E5C.

2005-05-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa.sfd:
	- Add high variant glyph for Nikhahit (uni0E4D.high), as well as
	  'ccmp' rule for appropriate glyph selection.
	- Remove unused "BelowMark" anchor class.
	- Add uni200B (zerowidthspace) glyph.

2005-05-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd:
	- Add high variant glyph for Nikhahit (uni0E4D.high), as well as
	  'ccmp' rule for appropriate glyph selection.
	- Remove unused "BelowMark" anchor class.
	- Make uni200B (zerowidthspace) width actually zero.

2005-05-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd:
	- Add high variant glyph for Nikhahit (uni0E4D.high), as well as
	  'ccmp' rule for appropriate glyph selection.
	- Remove unused "BelowMark" anchor class.
	- Round (truncate) all anchor coordinates to int.
	- Make uni200B (zerowidthspace) width actually zero.

2005-05-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd:
	Remove unused "BelowMark" anchor class.

2005-05-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd:
	- Add high variant glyph for Nikhahit (uni0E4D.high), as well as
	  'ccmp' rule for appropriate glyph selection. This is to solve the
	  anchor class overload problem for Nikhahit character.
	- Make uni200B (zerowidthspace) width actually zero.
	- round (truncate) all anchor coordinates to int.

2005-04-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	Add missing EXTRA_DIST's in Makefiles.

	* nf/Makefile.am:
	Add README.1ST

	* tlwg/Makefile.am:
	Add CREDITS

	* scripts/Makefile.am:
	Add gen-otf.pe, gen-test-{ttf,pfa,pfb,otf}.pe

2005-04-04  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma[-Oblique].sfd:
	Add back anchors missing somehow along editing.

2005-04-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma[-Oblique].sfd:
	Fine-tune splines.

2005-04-02  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, Makefile.am:
	Use 'fc-cache -f <dir>' instead of 'fc-cache -f || true', as once
	suggested by Poonlap Veerathanabutr.

2005-03-01  Poonlap Veerathanabutr <poonlap@linux.thai.net>

	* tlwg/Purisa.sfd:
	Reduced Copyright to one line.

2005-03-02  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd, nectec/Loma*.sfd:
	Add GPL URL in License URL field. Increment Version field.

2005-03-02  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma[Oblique].sfd:
	Synchronize Thai glyphs from the author (Sirichai Lerdvorawut).

2005-02-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in:
	Fix ttmkdir availability checking variable.
	(Bug found by K. seal at poppymail.com, discussed in LTN forum.)

2005-02-02  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* scripts/thaikernpairs.txt:
	Add more (questionalble) kern pairs.

2005-01-31  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* scripts/Makefile.am, +scripts/{eng,thai}kernpairs.txt:
	Add kern pairs lists, for use in auto kerning. Engish kern pairs
	were taken from FontForge documentation, which were in turn taken
	from Adobe list. Some pairs were commented out, based on experiment.
	Thai kern pairs were listed from experiment.

2005-01-30  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd:
	More spline clean-ups (mostly duplicated spline removals).
	
	* nf/Kinnari-[Bold]Italic.sfd:
	Make glyphs for Cho Chang and So So different from upright version,
	according to sample books.. With this, Kho Khai and Kho Khuat are
	also adjusted accordingly.

2005-01-30  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari-BoldItalic.sfd:
	Finalize fine tuning splines and adding extremas in Kinnari family.
	This is for better quality in Type 1 rasterization.

2005-01-28  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari.sfd, nf/Kinnari-Oblique.sfd, nf/Kinnari-Italic.sfd,
	nf/Kinnari-Bold.sfd, nf/Kinnari-BoldOblique.sfd:
	Fine tune splines, add extremas, for better quality. (BoldItalic still
	left to do.)

2005-01-28  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari*.sfd:
	Add ff fi fl ffi ffl ligatures. Glyphs stolen from Norasi.

2005-01-23  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari-BoldItalic.sfd:
	Make consonant heads real circles, the same as what was done to
	Kinnari-Italic.

	* nf/Kinnari-Italic.sfd:
	Narrow down Ngo Ngu glyph, according to the changed shape.

2005-01-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari-Italic.sfd:
	Make consonant heads real, rather than skewed, circles. This seems to
	be a significant characteristic that makes italic shapes look
	different from oblique.

2005-01-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari-[Bold]Italic.sfd:
	Untaper Mai-Ek glyphs.

2005-01-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd:
	Fixed malformed Copyright field, which cause error in Postscript
	applications.
	(Bug reported by K.Boonlert in thai-latex-user-group mailint list).

2005-01-14  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Makefile.am, +nf/Kinnari-[Bold]Italic.sfd:
	Add a first version of Kinnari [Bold]Italic, using Latin glyphs from
	Norasi, and following transformations on Thai glyphs:
	- All pointed stem tips are leveled.
	- Tho Thahan and Tho NangMontho diagonal stem is shifted up.
	- All glyphs are narrowed down by 95.37%, based on proportion of
	  glyphs in sample book, to make them look slimmer than normal glyphs.
	- Glyphs are skewed by 15.5 degree, based on italic angle of Latin
	  glyphs.

2004-11-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* scripts/gen*{pfa,pfb}.pe:
	Revert glyph variants removal scripts, as the glyphs are still needed
	for Type 1 fonts.

2004-11-10  Poonlap Veerathanabutr <poonlap@linux.thai.net>

	* tlwg/PseudoMono*sfd:
	Remove them all, change to TlwgTypewriter.

	* tlwg/TlwgTypewriter*sfd:
	New name for PseudoMono.

	* tlwg/Makefile.am:
	Change the rule for new name.

2004-10-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd:
	Change TTF Value "PFM Family" from Serif to Sans-Serif.
	Change underline position/height from -217/50 to -170/20.
	Remove exessive LangName 1024.
	
	* nectec/Loma-[Bold]Oblique.sfd:
	Change TTF Unique ID, using Oblique instead of Italic.

	* nectec/Loma*.sfd:
	Remove glyph for U+007F.

2004-09-19  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, NEWS:
	Version 0.4.2.

2004-09-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd:
	Scale up 146.48% (based on relative X-height with Times New Roman).
	Adjust BlueValues accordingly.

2004-08-29  Chanop Silpa-Anan <chanop@debian.org>

	* nf/Norasi.sfd:
	Clean up cubis spline.

2004-08-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd:
	Scale up 153.28% (based on relative X-height with Arial).
	Adjust BlueValues accordingly.

2004-08-08  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd:
	Add GPOS, GSUB.

	* tlwg/PseudoMono*.sfd:
	Add missing "AboveBase" anchor for MAITAIKHU.

2004-08-06  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma*.sfd:
	Rename uni25CC glyph to "dottedcircle".
	Rename Thai alternate glyphs to "uniXXXX.variant" form.

2004-08-05  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/PseudoMono*.sfd:
	Add GPOS, GSUB.

2004-08-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa.sfd:
	Add GPOS, GSUB.

2004-07-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* tlwg/Purisa.sfd:
	Scale up 126% (based on relative average X-height with Comic Sans).
	No BlueValues nor hint to adjust for this font.

2004-07-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText*.sfd:
	Scale up 145% (based on relative X-height with Arial).
	Adjust BlueValues accordingly.

	* nf/Kinnari*.sfd:
	Scale up 153.6% (based on relative X-height with Times New Roman).
	Adjust BlueValues accordingly.

2004-06-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText{,-Bold,-Oblique,-BoldOblique}.sfd:
	Adjust attachment points for tone marks positioning.
	Adjust Sara I, II, UE, UEE positions to be aligned with base cons.

	* nf/Norasi{,-Bold,-Oblique,-BoldOblique,-Italic,-BoldItalic}.sfd:
	Fix fi, ff, ffi, ffl 'liga' components.

2004-06-12  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari{,-Bold,-Oblique,-BoldOblique}.sfd:
	Adjust attachment points for tone marks positioning.

	* nf/Garuda{,-Bold,-Oblique,-BoldOblique}.sfd:
	Ditto.

2004-06-11  Chanop Silpa-Anan <chanop@debian.org>

	* nf/Norasi{,-Bold,-Oblique,-BoldOblique,-Italic,-BoldItalic}.sfd:
	Adjust copyright information within the family.

2004-06-11  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi{,-Bold,-Oblique,-BoldOblique,-Italic,-BoldItalic}.sfd:
	Add OpenType GPOS and GSUB. Rename Norasi-Regular back to Norasi,
	so that it can build.

2004-06-10  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Kinnari{,-Bold,-Oblique,-BoldOblique}.sfd:
	Add OpenType GPOS and GSUB.

2004-06-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda{,-Bold,-Oblique,-BoldOblique}.sfd:
	Add OpenType GPOS and GSUB.

2004-06-05  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText-Bold.sfd:
	Add OpenType GPOS and GSUB. Adjust Sara-i, Sara-ii positions.

	* db/DBThaiText-[Bold]Oblique.sfd:
	Transform GPOS and copy GSUB from their upright counterparts.

2004-06-04  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText.sfd:
	Add OpenType GPOS and GSUB.

2004-05-25  Chanop Silpa-Anan <chanop@debian.org>
	* nf/Norasi*.sfd:
	Fix bad PostScript name.

	* scripts/gen*{pfa,pfb,otf}*:
	Delete left variants while generating these fonts.

2004-05-15  Chanop Silpa-Anan <chanop@debian.org>

	* nf/Norasi*.sfd:
	Replace all glyphes with GPL counterparts from Omegafonts, Txfonts,
	and URW ghostscript fonts projects. Draw new ff, ffi, and ffl
	ligatures. Reencode all the fonts.

2004-04-16  Chanop Silpa-Anan <chanop@debian.org>

	* nf/Norasi.sfd:
	Replace all glyphes with GPL counterparts from Omegafonts, Txfonts,
	and URW ghostscript fonts projects. Draw new ff, ffi, and ffl
	ligatures.

2004-04-02  Chanop Silpa-Anan <chanop@debian.org>

	* nf/Norasi.sfd:
	Re-import latin kerning table from Times Roman and Times Roman
	SmallCaps.

2004-03-31  Chanop Silpa-Anan <chanop@debian.org>

	* nf/Norasi.sfd:
	Merge latin kerning table from Nimbus Roman.

2004-03-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText-Bold.sfd:
	Remove excessive PS Private entry. (reported by pang.)

2004-03-25  Chanop Silpa-Anan <chanop@debian.org>

	* nf/Norasi.sfd:
	Overall Type 1 hinting.
	Change the shape of oneoldstyle to look like one in Times Roman face.
	Use glyph reference in as many as possible glyphes.

2004-03-07  Chanop Silpa-Anan <chanop@debian.org>

	* configure.in:
	Add a quick check for fontforge.

2004-03-04  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nectec/Loma-{Bold,Oblique,BoldOblique}.sfd:
	Hyphenate font name and style, for proper generated
	test font file names.

2004-03-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText.sfd, db/DBThaiText-Bold.sfd:
	Recalculate BlueValues. Add BlueValues for Thai glyphs.
	Recalculate stem widths and snaps.

	* db/DBThaiText-Oblique.sfd, db/DBThaiText-BoldOblique.sfd:
	Recalculate BlueValues. Add BlueValues for Thai glyphs.
	Remove stem widths and snaps. Apply auto hint.

2004-02-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, Makefile.am, +nectec/Loma*.sfd, +nectec/Makefile.am:
	Add Loma font from NECTEC (Sirichai Lerdvorawut).

	* AUTHORS:
	Add Loma font author.

	* nectec/Loma*.sfd:
	Apply "Round to Int".

2004-02-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* TODO:
	Update TODO.

	* configure.in:
	Version 0.4.1

2004-02-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* NEWS:
	Prepare for next release.

	* tests/gen-pdfsample.sh:
	Add new fonts to the test suite.

	* thaifonts-scalable.spec.in:
	Add new fonts to the RPM descriptions.

	* tests/Makefile.am:
	Add missing EXTRA_DIST.

	* AUTHORS:
	Add TlwgMono, PseudoMono, Purisa author.

2004-02-18  Poonlap Veerathanabutr <poonlap@linux.thai.net>

	* tlwg/Purisa.sfd:
	Fixed letter G. Thank you, K.Vuthichai and K.Chanop.

2004-02-14  Poonlap Veerathanabutr <poonlap@linux.thai.net>

	* tlwg/Purisa.sfd:
	Modified almost all characters, make numbers bigger.

2004-02-04  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* README:
	Add link to project page. (Thanks to Vee Satayamas)

	* AUTHORS:
	Add Kinnari author (DB).

2004-02-02  Poonlap Veerathanabutr <poonlap@linux.thai.net>

	* tlwg/TlwgMono.sfd, tlwg/PseudoMono.sfd:
	Fixed character ! and #.
	
2004-01-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd:
	Narrow down the dotted circle glyph for proper positioning.

	* nf/Kinnari*.sfd:
	Narrow down the dotted circle glyph for proper positioning.

	* nf/Makefile.am:
	Add Kinnari to the distribution.

2004-01-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText*.sfd:
	Scale down and narrow down the dottedcircle glyph for proper
	positioning.

	* nf/Garuda*.sfd:
	Narrow down the dottedcircle glyph for proper positioning.

2003-12-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda-Bold[Oblique].sfd:
	Redo the underscore fix.

2003-12-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd, db/DBThaiText*.sfd:
	Scale underlining position according to the new em square.
	Regulate underlining position in fonts.

2003-12-10  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda[-Bold].sfd:
	Import Garuda family from its original Type 1 version provided by
	Chanop Silpa-Anan in cubic-spline branch, to get rid of estimated
	splines due to conversion through TTF.

	* nf/Garuda-[Bold]Oblique.sfd:
	Generate skewed glyphs from upright versions.

	* db/DBThaiText[-Bold].sfd:
	Import DBThaiText from cubic-spline branch.
	Redo previous editing: scale up 13%; adjust sizes of digits
	and + < = > punctuation marks; change glyphs for quotedbl,
	quotesingle and grave; fix Tho Thahan's right bearing;
	fix combining characters' widths.

	* db/DBThaiText-[Bold]Oblique.sfd:
	Generate skewed glyphs from upright versions.

2003-12-01  Poonlap Veerathanabutr <poonlap@linux.thai.net>

	* +tlwg/Purisa.sfd, tlwg/AUTHORS, tlwg/CREDITS, tlwg/Makefile.am:
	Added handwriting font Purisa.

2003-11-26  Poonlap Veerathanabutr <poonlap@linux.thai.net>

	* tlwg/PseudoMono.sfd, tlwg/TlwgMono.sfd, tlwg/Makefile.am
	  +tlwg/TlwgMono-Bold.sfd, +tlwg/TlwgMono-Oblique.sfd
	  +tlwg/TlwgMono-BoldOblique.sfd:
	Rounded to init PseudoMono and TlwgMono
	Add TlwgMono family.

2003-11-25  Poonlap Veerathanabutr <poonlap@linux.thai.net>

	* tlwg/PseudoMono.sfd
	  +tlwg/PseudoMono-Oblique.sfd, +tlwg/PseudoMono-BoldMono.sfd
	  tlwg/Makefile.am:
	Fixed vowel and tone mark's level. Added more fonts.

2003-11-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* +tests/, scripts/gen-pdfsample.sh.in -> tests/gen-pdfsample.sh,
	  +tests/test-ttf.sh, +tests/test-pfb.sh, +tests/test-pfa.sh,
	  +tests/test-otf.sh, +tests/Makefile.am,
	  scripts/Makefile.am, Makefile.am, configure.in:
	Add test suite using gen-pdfsample.sh.

2003-11-22  Poonlap Veerathanabutr <poonlap@linux.thai.net>

	* tlwg/PseudoMono-Bold.sfd, tlwg/Makefile.am:
	Add new font PseudoMono-Bold.sfd

2003-11-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText-Oblique.sfd, db/DBThaiText-BoldOblique.sfd:
	Change italic angle from 18 degree to 12 degree.

	* scripts/gen-pdfsample.sh -> scripts/gen-pdfsample.sh.in,
	scripts/Makefile.am, configure.in:
	Use new version of Poonlap's gen-pdfsample.sh script.
	Use autotools to reference output fonts' path.

	* db/DBThaiText*.sfd:
	Adjust vertical positions.

	* scripts/gen-pdfsample.sh.in:
	Fix typo in the "quick brown" message.

2003-11-21  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText*.sfd:
	Widen vertical spaces.

2003-11-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* +tlwg/PseudoMono.sfd, tlwg/Makefile.am:
	Add Poonlap Veerathanabutr's Pseudo mono font.
	Fix typo in OTFFILES.

2003-11-18  Poonlap Veerathanabutr <poonlap@linux.thai.net>

	* tlwg/TlwgMono.sfd:
	Fixed some chracters' shap.
	Make every characters' width to monospace (600).

2003-11-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, Makefile.am, +tlwg/*:
	Add Poonlap Veerathanabutr's TlwgMono font.

2003-11-10  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* +scripts/gen-pdfsample.sh, scripts/Makefile.am:
	Add script for generating PDF sample from test fonts,
	submitted by Poonlap Veerathanabutr.

2003-10-14 Chanop Silpa-Anan <chanop@debian.org>
	* nf/Makefile.am, nf/Norasi*.sfd:
	Merge Norasi from the post-0-4 branch.

2003-10-10  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* README, AUTHORS:
	Compose info.

	* configure.in:
	Version 0.4.0

2003-10-08  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, nf/Makefile.am, db/Makefile.am:
	Fix typo in testfontdir configure script.
	Split configure option --enable-type1 into --enable-pfa and
	--enable-pfb.

	* configure.in, Makefile.am:
	Don't configure fontdirs that are not enabled.

2003-10-05  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in:
	Adjust help message for --with-testdir.

2003-10-02  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* +TODO:
	Add TODO list for 0.5.0.

	* configure.in, nf/Makefile.am, db/Makefile.am:
	Use $HOME/.fonts/testfont as default testfontdir, as /dev/null
	can't be mkdir'd.

	* configure.in:
	Version 0.3.92.

2003-09-30 Chanop Silpa-Anan <chanop@debian.org>
	* nf/Makefile.am :
	Norasi-Italic and Norasi-BoldItalic shall not be released untill
	the next major release because they have different character sizes
	and control points to Norasi in the main trunk.

	* nf/Norasi*.sfd :
	Fix the quote single glyph.

2003-09-29 Chanop Silpa-Anan <chanop@debian.org>
	* configure.in :
	Add --enable-otf, with-otfdir, --enable-testfont.
	--enable-testfont generates fonts with TTF, OTF, and PS prefixed
	to their regular names.

	* nf/Makefile.am, db/Makefile.am :
	Corresponding changes to configure.in.

2003-09-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText.sfd:
	Fix non-zero width of MAI-CHATTAWA.low_left and MAI-TRI.left.

2003-09-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText*.sfd:
	Change glyphs of quotedbl, quotesingle, and grave
	so they are different from those of smart quotes.

2003-09-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText*.sfd:
	Apply "Round to Int".

2003-09-19  Vee Satayamas <vee@linux.thai.net>

	* thaifonts-scalable.spec.in:
	Remove extra files in RPM building.

	* nf/Makefile.am, db/Makefile.am:
	Use $(top_builddir) instead of @top_builddir@.

2003-09-15  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText*.sfd:
	Lift up + < = > to balance with digits.

	* db/DBThaiText{,-Oblique}.sfd:
	Widen 'c' glyph.

2003-09-10  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in:
	Version 0.3.91

2003-09-09  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText*.sfd:
	Fine tune upper/lower glyphs positions.

2003-09-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText*.sfd:
	Adjust positions of Thanthakhat.low, period, comma, colon, semicolon,
	ellipsis, quotedbl, quotesingle, grave, quoteleft, quoteright,
	quotedblleft, quotedblright.

	* db/DBThaiText{,-Oblique}.sfd:
	Scale glyphs of digits 0-9 up to upper-case height.
	
2003-09-03  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText{,-Oblique}.sfd:
	Adjust right bearing of Tho Thahan, which appears ugly when combined
	with lower vowels at small sizes.

2003-08-28  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText-Bold{,Oblique}.sfd:
	Fix combining characters' glyph width (to zero).

2003-08-27  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda-{Bold,BoldOblique}.sfd:
	Fix underscore (_) glyph.

	* db/DBThaiText{,-Bold}.sfd:
	Fix combining characters' glyph width (to zero).

2003-08-07  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* thaifonts-scalable.spec.in:
	Fix sed script in manifest generation, as suggested by
	Supphachoke Santiwichaya <mrchoke@opentle.org>.
	Prefer mkfontscale in install scripts.

2003-07-22  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in, Makefile.am:
	Prefer mkfontscale if present, and use it for both type1 and ttf.
	Always use -e option for mkfontdir.

2003-07-03 Chanop Silpa-Anan <chanop@debian.org>
	* *.sfd :
	Change glyph names from PUA to Unicodename.variant.
	Glyph 0x007f has name .notdef and unicodename U+007F.
	* Norasi*.sfd:
	Glyph DEL locates at 0xff with unicodename U+F17B.
	Thaipaiyalnoi bug in Norasi-Bold.

2003-06-13  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in:
	Make the absence of pfaedit an error, as suggested by 
	Vee Satayamas <virasj@users.sf.net>.

2003-06-12  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* thaifonts-scalable.spec.in:
	Make thai-ttf and thaipst1fonts mutually exclusive.
	Fix some descriptions.

2003-06-05  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* configure.in:
	Version 0.3.90

2003-06-04  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* thaifonts-scalable.spec.in:
	Apply spec for creating 2 sperate RPM packages (thai-ttf,
	thaipst1fonts), as submitted by Vee Satayamas <virasj@users.sf.net>.

2003-06-02  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Makefile.am, db/Makefile.am:
	Add *.pfb to DISTCLEANFILES.

	* scripts/Makefile.am:
	Fix typo, as reported by Vee Satayamas <virasj@users.sf.net>.

	* configure.in:
	Use $prefix in $ttfdir and $type1dir to pass 'make distcheck'.

	* COPYING:
	Fix wording as suggested by Vee Satayamas <virasj@users.sf.net>.

	* nf/Norasi*.sfd:
	Adjust BlueValues for base-line stems to be narrower. Add BlueScale.
	Add missing hints for base-line stems of 'a', 'b', sara-o.

2003-06-01  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* Makefile.am:
	Additional fix to avoid ambiguity with automake.

2003-05-31  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* Makefile.am:
	Fix typo in make rules, as suggested by Vee Satayamas
	<virasj@users.sf.net>.

2003-05-29  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd:
	Rearrange encoding for more proper 8-bit Type1 fonts.

	* nf/Garuda*.sfd:
	Rearrange encoding for more proper 8-bit Type1 fonts.

	* db/DBThaiText*.sfd:
	Rearrange encoding for more proper 8-bit Type1 fonts.

2003-05-26  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* Makefile.am:
	Fix errors in multi-line rules.

2003-05-25  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd:
	Add BlueValues, OtherBlues, and ForceBold hints.
	Apply autohint.

	* db/DBThaiText*.sfd:
	Add BlueValues, OtherBlues, and ForceBold hints.
	Apply autohint.

2003-05-24  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd:
	Adjust sara-e and sara-ae height.
	Add BlueValues, OtherBlues, and ForceBold hinting.
	Apply autohint.

2003-05-20  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* +scripts/gen-pfa.pe, +scripts/gen-pfb.pe,
	  scripts/Makefile.am, scripts/gen.mk.in:
	Add scripts for generating .pfa and .pfb.

	* configure.in, Makefile.am, nf/Makefile.am, db/Makefile.am:
	Use $(ttfdir) variable name instead of $(fontdir), so other kinds
	of fonts can also be issued.

	* configure.in, Makefile.am, nf/Makefile.am, db/Makefile.am:
	Add conditions for Type1 fonts generation & installation.

	* Makefile.am:
	Add checking for package building, so font list/cache is not
	generated in that case.

2003-05-18  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi*.sfd:
	Edit U+25CC (dottedcircle) shape so the dots do not overlap.

	* nf/Garuda*.sfd:
	Add U+25CC (dottedcircle) glyph.

	* db/DBThaiText*.sfd:
	Add U+25CC (dottedcircle) glyph.

2003-05-12  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Garuda*.sfd:
	Edit TTF info: make PFM Family Sans-Serif, add TLWG to Copyright,
	prepare for Version 1.1,  rename font names to be hyphen-separated
	like those of Norasi, use "Oblique" instead of "Italic" in Style.

	* nf/Makefile.am, nf/GarudaBold.sfd -> Garuda-Bold.sfd,
	  nf/GarudaItalic.sfd -> nf/Garuda-Oblique.sfd,
	  nf/GarudaBoldItalic.sfd -> nf/Garuda-BoldOblique.sfd:
	Actually rename the font files.

	* nf/Norasi-*.sfd:
	Edit TTF info: add TLWG to Copyright, prepare for Version 1.1,
	use "Oblique" instead of "Italic" in Style.

	* nf/Makefile.am, 
	  nf/Norasi-Italic.sfd -> nf/Norasi-Oblique.sfd,
	  nf/Norasi-BoldItalic.sfd -> nf/Norasi-BoldOblique.sfd:
	Actually rename the font files.

	* db/DBThaiText*.sfd:
	Edit TTF info: make PFM Family Sans-Serif, add TLWG to Copyright,
	prepare for Version 1.1, rename font names to be hyphen-separated
	like those of Norasi, use "Oblique" instead of "Italic" in Style.

	* db/Makefile.am, db/DBThaiTextBold.sfd -> DBThaiText-Bold.sfd,
	  db/DBThaiTextItalic.sfd -> db/DBThaiText-Oblique.sfd,
	  db/DBThaiTextBoldItalic.sfd -> db/DBThaiText-BoldOblique.sfd:
	Actually rename the font files.


2003-05-11  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* nf/Norasi.sfd, nf/Norasi-Bold.sfd, nf/Norasi-Italic.sfd,
	  nf/Norasi-BoldItalic.sfd:
	Rename U+25CC glyph to dottedcircle.

2003-05-04  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiTextItalic.sfd, db/DBThaiTextBoldItalic.sfd:
	Adjust combining characters positions.

2003-05-01  Poonlap Veerathanabutr <poonlap@linux.thai.net>

	* nf/Norasi.sfd, nf/Norasi-Bold.sfd:
	Edited circledash (U+25CC) and assigned the correct name.

2003-02-18  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* db/DBThaiText.sfd, db/DBThaiTextBold.sfd,
	  db/DBThaiTextItalic.sfd, db/DBThaiTextBoldItalic.sfd:
	Scale up by 13% to conform to National Font spec.
	Fix Fongman, AngkhanKhu, Khomut, Baht currency glyphs.

2003-02-17  Theppitak Karoonboonyanan <thep@linux.thai.net>

	* Create thaifonts-scalable project from thai-ttf 0.3.1

